HP Jetdirect Print Servers

Administrator's Guide (Firmware V.38)

http://www.hp.com


Trademark and Copyright Information

Trademark and Copyright Information

© 2008 Copyright Hewlett-Packard Development Company, L.P.

Reproduction, adaptation, or translation without prior written permission is prohibited, except as allowed under the copyright laws.

The information contained in this document is subject to change without notice.

The only warranties for HP products and services are set forth in the express warranty statements accompanying such products and services. Nothing herein should be construed as constituting an additional warranty. HP shall not be liable for technical or editorial errors or omissions contained herein.

Edition 8, 02/2008

Trademark Credits

Microsoft®, MS-DOS®, Windows®, Vista® are U.S. registered trademarks of Microsoft Corporation. NetWare® and Novell® are registered trademarks of Novell Corporation. IBM® is a registered trademark of International Business Machines Corp. Ethernet is a registered trademark of Xerox Corporation. PostScript is a trademark of Adobe Systems, Incorporated. UNIX® is a registered trademark of the Open Group.


Introducing the HP Jetdirect print server
Introducing the HP Jetdirect print server

Introducing the HP Jetdirect print server

HP Jetdirect print servers connect printers and other devices directly to a network. By attaching a device directly to a network, you can install it in a convenient location and share it with multiple users. In addition, a network connection allows data transfers to or from the device at network speeds. The following HP Jetdirect print server types are available:

●
HP Jetdirect embedded print servers are integrated with a supported printer or multifunction peripheral (MFP). Because they are built directly into the printer's mother board, the print server cannot be independently purchased or replaced. However, depending on the printer (or MFP), they are assigned an HP part number for compatibility and identification purposes.
●
HP Jetdirect EIO internal print servers are modular I/O cards installed in HP printers (or MFPs) that have a compatible enhanced input/output (EIO) slot.
●
HP Jetdirect external print servers connect printers (or MFPs) to the network by adapting a printer's input/output connector, such as a USB port, to the network.
NOTE:

Unless otherwise specified, the term print server refers to an HP Jetdirect print server and not a separate computer running print server software.

  • Supported print servers
  • Supported network protocols
  • Security protocols
  • Supplied manuals
  • HP support
  • Product registration
  • Product accessibility


Supported print servers

Supported print servers

The following table lists the supported HP Jetdirect print server features and capabilities discussed in this manual.

Supported HP Jetdirect print server features and capabilities
Model
Product Number
Printer Connect
Network Connect1
Network Protocols and Features2
Firmware Version3
690n
J8007G
EIO
10/100/1000T
Full (includes IPsec)
V.38.xx.nn
635n
J7961G
EIO
10/100/1000T
Full (includes IPsec)
V.38.xx.nn
630n
J7997G
EIO
10/100/1000T
Full
V.38.xx.nn
Not Applicable
J8010E
Embedded
10/100–TX or 10/100/1000T
Full
V38.xx.nn
Not Applicable
J8011E
Embedded
10/100–TX or 10/100/1000T
Full
V38.xx.nn
Not Applicable
J8013E
Embedded
10/100–TX or 10/100/1000T
Full
V38.xx.nn
Not Applicable
J8017E
Embedded
10/100–TX or 10/100/1000T
Full
V38.xx.nn

1 Embedded HP Jetdirect print server support for 100T (Gigabit) depends on both the print server and printer/MFP in which it is installed.

2 Full-featured support includes TCP/IP (IPv 4 and IPv 6), IPX/SPX, AppleTalk (EtherTalk), DLC/LLC, and advanced security features. Value-featured support includes TCP/IP (IPv 4 and IPv 6) only, with limited printing, management and security features. See Supported network protocols. HP Jetdirect print server support for Internet protocol security (IPsec) depends on the print server and the printer/MFP in which it is installed.

3 xx represents a release number. If nn appears, it is an encoded value for HP support use only.

To view the HP Jetdirect print server product number and installed firmware version, use the HP Jetdirect configuration page (see HP Jetdirect configuration pages), Telnet (see TCP/IP configuration), embedded Web server (see Embedded Web server (V.38.xx)), or the network management applications. For firmware updates, see Firmware upgrades.


Supported network protocols

Supported network protocols

The following table lists the supported network protocols and network printing environments that use those protocols.

Supported network protocols
Supported Network Protocols
Network Printing Environments1
Product Support
TCP/IPv4
(Direct Mode printing) Microsoft Windows 2000, XP (32- and 64-bit), Server 2003, Vista
Microsoft Terminal Server and Citrix MetaFrame environments2
Novell NetWare2 5, 6.x
UNIX and Linux, including: Hewlett-Packard HP-UX, Sun Microsystems Solaris (SPARCsystems only), IBM AIX2, HP MPE-iX2, RedHat Linux2, SuSE Linux2
Line printing daemon (LPR/LPD) RFC-1179 compliant systems2
Internet printing protocol (IPP)
File transfer protocol (FTP) printing
J8007G (690n)
J7961G (635n)
J7997G (630n)
J8010E, J8011E, J8013E, J8017E
TCP/IPv6
(Direct Mode printing) Microsoft Windows XP (32- and 64-bit). Server 2003, Vista. (Requires HP IPv6/IPv4 port monitor software running on the system.)
LPR/LPD RFC 1179 compliant systems with IPv6 client support
IPP systems with IPv6 client support
FTP printing
J8007G (690n)
J7961G (635n)
J7997G (630n)
J8010E, J8011E, J8013E, J8017E
IPX/SPX and compatible
Novell NetWare2
(Direct Mode printing) Microsoft Windows 2000 and XP (32-bit only)
J8007G (690n)
J7961G (635n)
J7997G (630n)
J8010E, J8011E, J8013E, J8017E
AppleTalk
(EtherTalk only)
Apple Mac OS
J8007G (690n)
J7961G (635n)
J7997G (630n)
J8010E, J8011E, J8013E, J8017E
DLC/LLC
DLC/LLC protocols are provided for legacy systems that might require support2
J8007G (690n)
J7961G (635n)
J7997G (630n)
J8010E, J8011E, J8013E, J8017E

1 For additional network systems and versions, see the current HP Jetdirect product data sheets. For operation with other network environments, consult your system vendor or authorized HP dealer.

2 For software documentation and support, contact your network system vendor.

If HP network setup and management software for supported systems is not supplied, obtain it from HP support at:

http://www.hp.com/support/net_printing

For software to set up network printing on other systems, contact your system vendor.


Security protocols

Security protocols

This section provides information about the following topics:

  • SNMP (IP and IPX)
  • HTTPS
  • Authentication
  • IPsec/Firewall


SNMP (IP and IPX)

SNMP (IP and IPX)

Simple network management protocol (SNMP) is used by network management applications for device management. HP Jetdirect print servers support access to SNMP and standard management information base (MIB-II) objects on IPv4, IPv6 and IPX networks.

Full-featured HP Jetdirect print servers support an SNMP v1/v2c agent, and an SNMP v3 agent for enhanced security.

Value-featured print servers support an SNMP v1/v2c agent only.


HTTPS

HTTPS

Both full-featured and value-featured HP Jetdirect print servers support secure hypertext transfer protocol (HTTPS) for secure, encrypted management communications between the embedded Web server and your Web browser.


Authentication

Authentication

This section provides information about the following topics:

  • EAP/802.1X server-based authentication
  • Wireless print server authentication


EAP/802.1X server-based authentication

EAP/802.1X server-based authentication

As a network client, HP Jetdirect full-featured print servers support network use with the extensible authentication protocol (EAP) on an IEEE 802.1X network. The IEEE 802.1X standard provides a port-based authentication protocol where a network port allows or blocks use, depending on client authentication results.

When using an 802.1X connection, the print server supports EAP with an authentication server, such as a remote authentication dial-in user service (RADIUS, RFC 2138) server.

Full-featured HP Jetdirect print servers support the following EAP/802.1X methods:

●
LEAP (lightweight EAP) is a proprietary Cisco Systems protocol that uses passwords for mutual authentication (the client and the server authenticate each other).
●
PEAP (protected EAP) is a mutual authentication protocol that uses digital certificates for network server authentication and passwords for client authentication. For additional security, the authentication exchanges are encapsulated within transport layer security (TLS). Dynamic encryption keys are used for secure communications.
●
EAP-TLS (RFC 2716) is a mutual authentication protocol based on X.509v3–compliant digital certificates for authentication of both the client and the network authentication server. Dynamic encryption keys are used for secure communications.

The network infrastructure device that connects the print server to the network (such as a network switch) must also support the EAP/802.1X method used. In cooperation with the authentication server, the infrastructure device can control the degree of network access and services available to the print server client.

To configure the print server for EAP/802.1X authentication, use the embedded Web server through your Web browser. For more information, see Embedded Web server (V.38.xx).


Wireless print server authentication

Wireless print server authentication

HP Jetdirect wired/wireless print servers support several wireless authentication methods, which include the following:

●
WEP Authentication is based on a secret, common wired equivalent privacy (WEP) key that must be configured on each wireless device. A device that does not have the proper WEP key cannot use the network. Static WEP encryption protocols are used for network communications.
●
WPA/WPA2–Personal Uses wi-fi protected access (WPA) standards through a pre-shared key. A user-specified passphrase must be entered to generate the pre-shared key. Dynamic WPA encryption protocols are used for network communications to provide enhanced security.
●
WPA/WPA2–Enterprise Requires 802.1X credentials to use the wireless network. A dedicated server verifies the identity of the user or device that is requesting network use. There are several available protocols.


IPsec/Firewall

IPsec/Firewall

IPsec/Firewall features provide network-layer security on both IPv4 and IPv6 networks. A firewall provides simple control of IP traffic, which is either permitted access or discarded. IPsec, RFC 2401 provides additional protection through authentication and encryption protocols.

The IPsec/Firewall capabilities depend on the HP Jetdirect print server product and the printer/MFP in which it is installed. The following capabilities are available:

●
Value-featured print servers do not support IPsec/Firewall operation.
●
Full-featured print servers and printers/MFPs that support IPsec can control IP traffic by using both firewall and IPsec protection.
●
Full-featured print servers and printers/MFPs that do not support IPsec can control IP traffic using firewall protection only.

To configure the print server for IPsec/Firewall operation, use the embedded Web server through your browser. For more information, see IPsec/Firewall configuration (V.38.xx).


Supplied manuals

Supplied manuals

For information about your HP Jetdirect print server, see the following manuals:

●
Start or use guides, or equivalent printer documentation (shipped with printers that have factory-installed HP Jetdirect print servers).
●
This manual, the HP Jetdirect Print Server Administrator's Guide for the applicable HP Jetdirect product models.


HP support

HP support

This section provides information about the following topics:

  • HP online support
  • Firmware upgrades
  • HP support by phone


HP online support

HP online support

Visit the HP Web site 24 hours a day, 7 days a week at:

http://www.hp.com/support/net_printing


Firmware upgrades

Firmware upgrades

Full-featured HP Jetdirect print servers support firmware upgrades of new or enhanced features. If a firmware upgrade is available for your print server model, you can download and install the upgrade over your network. To check for and download available upgrades, visit the Hewlett-Packard Web site at:

http://www.hp.com/go/webjetadmin_firmware

This section provides information about the following topics:

  • Firmware installation tools


Firmware installation tools

Firmware installation tools

Install firmware upgrades for supported HP Jetdirect print servers over a network by using one of the following installation tools:

●
HP Jetdirect download manager (Windows) Download from HP online support at:

http://www.hp.com/go/dlm_sw
●
HP Web Jetadmin For more information about supported systems, visit HP Web Jetadmin at:

http://www.hp.com/go/webjetadmin
●
Embedded Web server Provides a firmware upgrade option. It is resident on the print server, and is accessible using a Web browser. For more information see Embedded Web server (V.38.xx).
●
FTP Transfer a firmware upgrade image file to the print server. To start an FTP session, use the device IP address or host name. If a password is set, it must be entered to log into the device. Ensure that the download is complete before exiting the session. Typical FTP commands to upgrade the device are provided in the following example:

Example of using FTP for firmware upgrades

In the example, <firmware image filename> specifies the full path name.


HP support by phone

HP support by phone

Highly trained technicians are ready to take your call. For the most recent HP support telephone numbers and available services worldwide, visit:

http://www.hp.com/support

NOTE:

For toll-free support in the USA and Canada, call 1-800-HPINVENT or 1-800-474-6836.

Telephone fees are the responsibility of the caller. Rates can vary. Contact your local telephone company for current rates.


Product registration

Product registration

To register your HP Jetdirect print server, use the following HP Web page:

http://www.hp.com/go/jetdirect_register


Product accessibility

Product accessibility

For information on HP's commitment to accessibility of HP Jetdirect print server products:

●
Visit the HP Web site at: http://www.hp.com/accessibility
●
Send email to: accessibility@hp.com


HP software solutions summary
HP software solutions summary

HP software solutions summary

HP provides a variety of software solutions to set up or manage your HP Jetdirect-connected network devices. To determine the appropriate software solution for your needs, see Software Solutions.

NOTE:

For more information on these and other solutions, visit HP online support at:

http://www.hp.com/support/net_printing

Software Solutions
Operating Environment
Function
Remarks
HP Install Network Printer Wizard (Windows)
Windows 2000, XP, Server 2003, Vista
TCP/IPv4 and TCP/IPv6
A utility for printer discovery, setup, and installation on a TCP/IP network. Once the printer is connected to your network, you can install (or add) a single network printer on your system for direct-mode (peer-to-peer) printing. For a network server, you can share the printer for client-server (shared) printing.
●
Simple printer setup and installation.
●
You can download and install a version that runs from your hard disk from the HP Web site.
NOTE:

Printer software drivers are not included and must be obtained separately.
HP Jetdirect printer installer for UNIX
HP-UX 10.x-10.20, 11.x
Solaris 2.6, 7, 8 (SPARCsystems only)
TCP/IPv4
A software solution for installation of HP Jetdirect-connected printers on an IPv4 network.
●
You can download and install a version that runs from your hard disk from HP's Website.
HP Web Jetadmin
(See the HP Website for supported system updates.)
Windows 2000, XP Professional, Server 2003, Vista
HP-UX1
Solaris1
Fedora Core and SuSE Linux
NetWare1
TCP/IPv4, IPX/SPX
An enterprise management tool for the remote installation, configuration, and management of HP Jetdirect-connected print servers, non-HP printers that support the standard MIBs, and printers with embedded Web servers.
●
The HP preferred solution for ongoing management and installation of multiple printers anywhere on your intranet.
●
Browser-based management.
Internet Printer Connection software
Windows 2000 (Intel-based)
TCP/IPv4
NOTE:

Microsoft Internet Printing software is also integrated with Windows 2000, XP, Server 2003.
A software solution for printing over the Internet to IPP-enabled HP Jetdirect-connected printers.
●
Can provide economical distribution of high-quality hardcopy documents over the Internet, replacing fax, mail, and overnight services.
●
Requires HP Jetdirect print server firmware version x.20.00 or later.

1 Supports queue creation and peripheral management from HP Web Jetadmin hosted on a supported system.

  • HP Install Network Printer Wizard (Windows)
  • HP Jetdirect printer installer for UNIX
  • HP Web Jetadmin
  • Internet Printer Connection software
  • Mac OS network installation


HP Install Network Printer Wizard (Windows)

HP Install Network Printer Wizard (Windows)

The HP Install Network Printer Wizard is a utility for printer discovery, setup and installation on a TCP/IP network. On Windows XP and 2003 Server systems, Version 5.0 also supports printing on an IPv6 network, but printer discovery is limited to IPv4 protocols. Versions 6.0 and 7.0 support printer discovery on an IPv6 network.

On wireless print servers, first configure wireless settings on the print server so that it can connect to your network.

Once your printers have a network connection (either wired or wireless), the wizard installs the printer on your systems or servers that send print jobs directly to the printer. This is called direct-mode (peer-to-peer) printing.

If your system is a server, you can share the printer so that network clients can use the printer through the server. This is called client-server printing.

You can download a version that runs from your system disk from HP online support at:

http://www.hp.com/go/inpw_sw

This section provides information about the following topics:

  • Requirements


Requirements

Requirements

NOTE:

For HP Jetdirect wired/wireless print servers used in a wireless environment, a network cable connection for configuring the wireless settings is recommended. Once the settings are configured, you can remove the cable.

To configure wireless settings without a cable, you need a computer containing a wireless interface card, that is either built-in or installed in an I/O slot. For detailed instructions, see the Setup guide provided with your print server.

●
Microsoft Windows XP, Windows 2000, Server 2003, Vista on TCP/IP networks
●
Printer software (printer driver) to use with your printer and operating system
●
Printer connection to the network through an HP Jetdirect print server


HP Jetdirect printer installer for UNIX

HP Jetdirect printer installer for UNIX

The HP Jetdirect Printer Installer for UNIX supports HP-UX and Solaris systems. The software installs, configures, and provides diagnostics capabilities for HP printers connected to TCP/IPv4 networks using full-featured HP Jetdirect print servers.

You can download the installer from HP online support at:

http://www.hp.com/support/net_printing

For system requirements and installation information, see the documentation provided with the software.


HP Web Jetadmin

HP Web Jetadmin

HP Web Jetadmin is an enterprise management tool for remotely installing, configuring, and managing a wide variety of HP and non-HP network printing devices using a standard Web browser. Use HP Web Jetadmin to proactively manage both individual or groups of devices.

HP Web Jetadmin supports devices that contain standard printer MIB objects for common management. Because it is well-integrated with HP Jetdirect print servers and HP printers, HP Web Jetadmin can provide enhanced management features.

To use HP Web Jetadmin, see the online help and documentation supplied with the software.

This section provides information about the following topics:

  • System requirements
  • Install HP Web Jetadmin software
  • Configure and modify a device
  • Remove HP Web Jetadmin software


System requirements

System requirements

HP Web Jetadmin software runs on Microsoft Windows 2000, Windows XP Professional, Windows Server 2003, Windows Vista, and selected Linux (Fedora Core and SuSE Linux) systems. For information on supported operating systems, clients, and compatible browser versions, visit HP online support at: http://www.hp.com/go/webjetadmin.

NOTE:

When HP Web Jetadmin is installed on a supported host server, you can gain access to it from any client through a compatible Web browser (browse to the HP Web Jetadmin host). This allows printer installation and management on Novell NetWare and other networks.


Install HP Web Jetadmin software

Install HP Web Jetadmin software

To install HP Web Jetadmin software, use the following steps:

1.
Verify that you have administrator privileges on the local system.
2.
Download the installation files from HP online at: http://www.hp.com/go/webjetadmin.
3.
Follow the on-screen instructions to install the HP Web Jetadmin software.

NOTE:

Installation instructions are also contained in the HP Web Jetadmin install file.

This section provides information about the following topics:

  • Verify HP Web Jetadmin installation and provide access


Verify HP Web Jetadmin installation and provide access

Verify HP Web Jetadmin installation and provide access

●
Navigate to the HP Web Jetadmin installation using your Web browser, as shown in the following example:

http://systemname.domain:port/

In the example, systemname.domain is the host name of your Web server and port is the port number assigned during installation. By default, the port number is 8000.

●
Provide access to HP Web Jetadmin software by adding a link to your Web server's home page that is addressed to HP Web Jetadmin's URL. For example:

http://systemname.domain:port/


Configure and modify a device

Configure and modify a device

Using your browser, navigate to HP Web Jetadmin's URL. For example:

http://systemname.domain:port/

NOTE:

In place of systemname.domain, you can use the IPv4 address of the host computer on which HP Web Jetadmin is installed.

Follow the instructions on the appropriate home page to find and manage your printer.


Remove HP Web Jetadmin software

Remove HP Web Jetadmin software

To remove HP Web Jetadmin software from your Web server, use the uninstall program provided with the software package.


Internet Printer Connection software

Internet Printer Connection software

(For full-featured print servers only) HP Jetdirect print servers support IPP and Secure IPP.

Using the appropriate software on your system, you can create an IPP print path from your system to a supported HP Jetdirect-connected printer over the Internet.

NOTE:

Security features available in IPP printing software are limited. For incoming print path requests, the network administrator must configure the network firewall to accept incoming IPP requests. Secure IPP connections over HTTPS (Secure HTTP) is supported.

The following features and benefits are provided by Internet printing:

●
Print high-quality, time-sensitive documents remotely, in full color or black-and-white
●
Print documents remotely at a fraction of the cost of current methods (such as fax, mail, or overnight delivery services)
●
Extend the traditional LAN printing model to that of an Internet printing model
●
Transmit IPP outbound print send requests through firewalls

This section provides information about the following topics:

  • HP-supplied software
  • Microsoft-supplied software
  • Novell-supplied software


HP-supplied software

HP-supplied software

HP Internet Printer Connection software allows you to set up Internet printing from Windows 2000 clients. To obtain and install the software, use the following steps:

1.
Download the HP Internet Printer Connection software from HP online support at:

http://www.hp.com/go/ipc_sw
2.
Follow the instructions provided with the software. (Contact your network administrator to get the IP address or URL of the printer to complete the setup.)

This section provides information about the following topics:

  • HP software system requirements
  • HP software supported proxies


HP software system requirements

HP software system requirements

●
Computer running Microsoft Windows 2000
●
IPP enabled HP Jetdirect print server


HP software supported proxies

HP software supported proxies

Web proxy with support for HTTP v1.1 or greater. (This might not be required if printing over an intranet).


Microsoft-supplied software

Microsoft-supplied software

NOTE:

Contact Microsoft for support of Windows IPP software.

This section provides information about the following topics:

  • Windows 2000/XP/Server 2003 integrated software


Windows 2000/XP/Server 2003 integrated software

Windows 2000/XP/Server 2003 integrated software

You can use the IPP client software integrated with the Windows system instead of HP-supplied software. The IPP implementation on the HP Jetdirect print server is compatible with the Windows system IPP client software.

To set up a print path to an HP Jetdirect-connected Internet printer using the Windows 2000/XP IPP client software, use the following steps:

1.
Click Start, and then click Printers and Faxes.
2.
Run the Add Printer wizard (click Add a printer), and then click Next.
3.
Select the option for a Network printer and then click Next.
4.
Select Connect to a printer on the Internet and enter the print server's URL, as in the following example:

http:// <IP_address> [/ipp/port#]

In the example, <IP_address> is the IPv4 address configured on the HP Jetdirect print server and [/ipp/port#] identifies the port number, which is port 1 for single-port print servers (default is /ipp/port1).

Example:
http://192.160.45.40
An IPP connection to an HP Jetdirect print server with IPv4 address 192.160.45.40. (“/ipp/port1” is assumed and not required.)

NOTE:

For a Secure IPP connection, replace http:// with https:// in the URL string above.

Click Next.

5.
Provide the printer driver. (The HP Jetdirect print server does not contain drivers. You might need the printer CD-ROM to install the driver.)
6.
Click OK to install the printer driver and then follow the on-screen instructions.


Novell-supplied software

Novell-supplied software

The HP Jetdirect print server is compatible with IPP running on NetWare 5.1 with SP1 or later. For NetWare client support, see your NetWare technical documentation or contact Novell.


Mac OS network installation

Mac OS network installation

This section provides information about the following topics:

  • Software tools
  • Use Bonjour (Mac OS X v10.4)
  • Verify network configuration
  • Test the configuration


Software tools

Software tools

Use the following Mac OS software tools:

NOTE:

For more information on Mac OS solutions, visit: http://www.hp.com/go/mac
●
Mac OS Classic systems: The HP LaserJet Utility provides configuration and management of your HP Jetdirect-connected printers/MFPs on AppleTalk (EtherTalk) networks.
●
Mac OS X v10.2 and later: Use one of the following for printer/MFP configuration and management:
●
HP Printer Utility (for supported printers only) on TCP/IP and AppleTalk (EtherTalk) networks.
●
Embedded Web server on the printer/MFP device from your browser (such as Safari 2.0 or greater) by entering the IP address or host name of the device as the URL address.
●
Mac OS X v10.2 and later: Use system utilities, such as Apple's Print Center or Bonjour (formerly known as Rendezvous) for TCP/IP Printing.


Use Bonjour (Mac OS X v10.4)

Use Bonjour (Mac OS X v10.4)

HP Jetdirect print servers support Bonjour (formerly known as Rendezvous) technology for printer discovery and installation over a TCP/IP network.

NOTE:

The printer must be on the same network segment and not across a router.

The Network Port Configurations setting must have the appropriate network port enabled (for example, Built-in Ethernet is active) and be listed at the top of the ports list.

To uniquely identify a printer on a network that contains many printers, print an HP Jetdirect configuration page from the printer control panel. That page contains unique identification information for the printer.

To start Bonjour and the embedded Web server directly, use the following steps:

1.
Open Safari and click the bookmark icon.
2.
In the bookmark list, select Bonjour. A list of discovered printers is displayed.
3.
Identify and select your printer. A string of hexadecimal digits is listed, which should match the LAN hardware address (or the last 6 digits of the address) on the HP Jetdirect configuration page for the printer.
4.
Double-click the printer to use the embedded Web server on the printer. Configure the network settings using the Networking tab.

To add the printer to your system for printing, use the following steps:

1.
Open System Preferences, and then open Print & Fax.
2.
Click + to add a printer.
3.
Using the Default Browser in the Printer Browser window, select the printer, and then click Add.
NOTE:

If multiple connection types are listed, select the one with a Bonjour connection.
4.
In the Print & Fax window, verify the new printer is added.


Verify network configuration

Verify network configuration

To verify your current network configuration, print an HP Jetdirect configuration page, or use the embedded Web server and view the Networking tab settings.

When printing a configuration page, make sure a READY message appears on the control panel for at least 1 minute before printing the page.

For information on the contents of the configuration page, see HP Jetdirect configuration pages.


Test the configuration

Test the configuration

1.
Open Safari and display a page.
2.
Click the Safari File menu and select Print.
3.
In the Printer field, select the printer and then click the Print button.

If the printer prints the job, you have connected your printer to your network correctly. If your printer does not print, see Troubleshoot the HP Jetdirect print server.


TCP/IP configuration
TCP/IP configuration

TCP/IP configuration

To operate properly on a TCP/IP network, you must configure the HP Jetdirect print server with valid TCP/IP network configuration parameters, such as an IP address that is valid for your network.

The HP Jetdirect print server supports both IPv4 and IPv6 networks simultaneously. Print server configuration for IPv4 operation remains the same as in previous HP Jetdirect products.

  • IPv6 configuration
  • IPv4 configuration
  • Use the embedded Web server
  • Use the printer control panel


IPv6 configuration

IPv6 configuration

HP Jetdirect print servers provide basic configuration capabilities for operation on an IPv6 network. For IPv6 printing services, the print server supports the following:

●
IP printing (raw) using HP-proprietary TCP port 9100
●
LPD printing using standard TCP port 515
●
IPP printing using standard TCP port 631
●
FTP printing using standard TCP ports 20 and 21

The print server supports remote configuration by DHCPv6 servers and IPv6 routers. In addition, it supports remote configuration and management from a Web browser over HTTP or HTTPS. Local configuration of basic IPv6 parameters is available through the printer control panel if supported by the printer/MFP device.

This section provides information about the following topics:

  • IPv6 address introduction
  • IPv6 address configuration


IPv6 address introduction

IPv6 address introduction

An IPv6 address consists of 128 bits. The normal format of an IPv6 address is eight fields, each separated by a colon (:). Each field contains four hexadecimal digits representing 16 bits:

hhhh:hhhh:hhhh:hhhh:hhhh:hhhh:hhhh:hhhh

In the example, h is a hexadecimal digit 1 through 0, A through F. This is sometimes called colon hexadecimal format.

Depending on the application, you can enter or display an IPv6 address using a shortened version when successive fields contain all zeros (0). You can use two colons (::) and omit leading zeros in a field. (The use of two colons to represent successive zero fields can be used only once in an address.) The following is an example IPv6 address:

2001:0DB8:0000:0000:0000:0000:0200:bb02

Using the shortened version, the example address is:

2001:DB8::200:bb02

However, the use of two colons to represent successive zero fields can be used only once in an address.

IPv6 addresses are often specified by a prefix that identifies a fixed value associated with the first part of the address, followed by a prefix length that specifies the number of bits in the prefix. In IPv6 addressing, a prefix length of 64 typically specifies a network or subnet. A prefix with a prefix length less than 64 typically identifies a portion of the IPv6 address space or a route.

The following is a list of those reserved portions of the IPv6 address space:

●
2001:DB8::/32 (reserved for use only as examples in documentation)
●
FE80::/10 (reserved for link-local addresses only)

IPv6 addresses do not use subnet masks as in IPv4 formats. Instead, the prefix length can specify an entire network/subnet, or the network portion of a complete host address, as in the following example:

2001:DB8:1234:5678:abcd::ef01/64

In the example, /64 is the prefix length and indicates that 2001:DB8:1234:5678 is the network/subnet for the specific host uniquely identified by abcd::ef01.

For a more thorough discussion of IPv6 address formats and types, see the Internet Engineering Task Force (IETF) IPv6 RFCs, or see the documentation supplied with your IPv6-supported system or router.


IPv6 address configuration

IPv6 address configuration

Most print server addresses are automatically configured in accordance with the IPv6 standards. If necessary, the print server allows manual entry of an IPv6 address by using the printer control panel or embedded Web server. If the print server is enabled for IPv6 operation, all automatically configured IPv6 addresses are active. However, by default, manually configured addresses are disabled and must be manually enabled.

Stateless addresses assigned to the print server are under the control of a router. Stateful addresses are normally assigned by a DHCPv6 server under the direction of a router. However, you can configure the print server to always use stateful configuration, or to use stateful configuration if stateless configuration fails.

This section provides information about the following topics:

  • Link-local address
  • Stateless addresses
  • Stateful addresses
  • Use DNS
  • Tools and utilities


Link-local address

Link-local address

IPv6 link-local addresses are automatically self-configured and allow IPv6 communications between hosts connected to the same link (routers do not forward link-local addresses). Because each IPv6 host on a local network assigns itself a link-local address, a router-based infrastructure is not required.

When the print server creates a link-local address, the link-local prefix FE80::/10 is combined with a 64-bit host address, derived from the print server's MAC address, in accordance with a predefined algorithm.

For example, a print server with MAC address 00–0E-7F-E8–01–DD results in the following link-local address:

FE80::20e:7FFF:FEE8:1DD

The use of link-local IPv6 addressing is beneficial for small, configuration free networks.


Stateless addresses

Stateless addresses

Stateless addresses are usually assigned to the print server under router control, and not by a server, such as a DHCPv6 server. However, the router can specify that other configuration be provided by a server.

The print server must receive periodic router advertisement messages. These messages contain one or more IPv6 prefix options, and they can specify 64–bit local subnets, or a default route. These prefixes are combined with a 64-bit host address derived from the print server's MAC address to form the IPv6 stateless addresses configured on the print server.

Stateless addressing is useful for networks that require traffic to be routed but with minimal network configuration.


Stateful addresses

Stateful addresses

A DHCPv6 server configures stateful IPv6 addresses on HP Jetdirect print servers. A DHCPv6 policy on the print server determines when to use the DHCPv6 server for stateful configuration. You can select one of the following DHCPv6 policies for the print server to use:

●
Under router control Use DHCPv6 stateful configuration when requested by the router.
●
Stateless configuration fails Use DHCPv6 stateful configuration if stateless configuration fails.
●
Always use DHCPv6 On startup, always use DHCPv6 for stateful configuration.

Stateful configuration is useful when host configuration beyond that provided by a router is necessary, such as a domain name or DNS server addresses.


Use DNS

Use DNS

HP Jetdirect print servers support the configuration of IPv6 DNS servers for the print server.

Due to IPv6 address length and complexity, specifying an IPv6 address in applications to identify or search for a device can be cumbersome. Some client applications might not support the direct IPv6 address entry. However, name resolution can be available for the print server if the appropriate IPv6 records are configured in DNS. If name resolution is supported, you can enter the print server's host name or a fully qualified domain name (FQDN) when using these applications.

NOTE:

The print server does not support dynamic updates to DNS. IPv6 addresses are not automatically supplied to DNS servers.


Tools and utilities

Tools and utilities

System tools and utilities for IPv6 networks are available to access or troubleshoot communications with the print server. The following are some examples:

●
ipconfig /all or ipv6 if Identify IPv6 addresses for various interfaces configured on the system. An interface IPv6 address can contain a ScopeID, which is an interface index identifier (for example, %3) that is appended to a link-local IPv6 address.
●
ping6 Send test packets to a remote interface and report the response packets. This command uses the following syntax:

ping6 <IPv6 address><%ScopeID>

NOTE:

On Windows Server 2003, use the ping command for an IPv6 address by specifying the appropriate command option.

In the example, <IPv6 address> is the address of the remote host interface, such as the print server. The <%ScopeID> uniquely identifies the interface on the local system when it is configured with multiple link-local IPv6 addresses.

For example, if the print server's link-local IPv6 address is fe80::20e:7fff:fee8:1dd, and the Windows system contains a LAN interface identifier (%3), enter the following:

ping6 fe80::20e:7fff:fee8:1dd%3

Depending on the local interface used, you might need to create a route to the remote host address.

●
IPv6 addresses as URL An IPv6 address in a URL must be enclosed in brackets. The following is an example to use the print server's embedded Web server:

http://[fe80::20e:7fff:fee8:1dd]

In the example, fe80::20e:7fff:fee8:1dd is the IPv6 address of the print server.

NOTE:

The browser must support direct IPv6 addressing as a URL.

For detailed information on these and other tools, see your system documentation and help.


IPv4 configuration

IPv4 configuration

This section provides specific IPv4 configuration information for HP Jetdirect print servers on a TCP/IPv4 network.

This section provides information about the following topics:

  • Server-based and manual TCP/IP configuration (IPv4)
  • Default IP address (IPv4)
  • Use BOOTP/TFTP (IPv4)
  • Use DHCP (IPv4)
  • Use RARP (IPv4)
  • Use the arp and ping commands (IPv4)
  • Use Telnet (IPv4)
  • Move to another network (IPv4)


Server-based and manual TCP/IP configuration (IPv4)

Server-based and manual TCP/IP configuration (IPv4)

When in a default factory state (as initially shipped or after a cold reset) and turned on, the HP Jetdirect print server attempts to obtain its TCP/IP configuration using a server-based method, such as bootstrap protocol/trivial transfer protocol (BOOTP/TFTP), dynamic host configuration protocol/trivial transfer protocol (DHCP/TFTP), or reverse address resolution protocol (RARP). Depending on the print server model, it can take several minutes for these methods to complete. If configuration is not successful, a default IP address is assigned.

You can also configure the print server manually by using Telnet, a Web browser, the printer control panel, arp and ping commands (when the default IP address is 192.0.0.192), or SNMP-based management software. Manually assigned TCP/IP configuration values are retained when the print server is turned off, and then turned on.

You can configure the print server to use either server-based or manual configuration of TCP/IP settings at any time.

To identify the print server's configured IP address, see the HP Jetdirect configuration page.


Default IP address (IPv4)

Default IP address (IPv4)

When in a factory-default state, the HP Jetdirect print server has no IP address. You can assign a default IP address depending on the network environment.

This section provides information about the following topics:

  • Default IP address is not assigned
  • Default IP address is assigned
  • Default IP on wireless and wired print servers
  • Default IPv4 address configuration options
  • Default IPv4 behavior
  • TCP/IP configuration tools


Default IP address is not assigned

Default IP address is not assigned

A default IP address is not assigned if a server based method (such as BOOTP or DHCP) is successful. If the print server is turned off and then on, the same method is again used to retrieve the IP configuration settings. If the method now fails (for example, the BOOTP or DHCP server is not available), a default IP address is not assigned. Instead, the print server continues to send IP configuration requests indefinitely. To change this behavior, perform a cold reset..

A default IP address is assigned only when a network cable is attached to a wired print server.


Default IP address is assigned

Default IP address is assigned

A default IP address is assigned if the factory default methods fail, or if the print server is re-configured by an administrator to use a server-based method (such as BOOTP or DHCP) and the method fails.

If a default IP address is assigned, the address depends on the network to which the print server is connected. The print server senses broadcast packets on the network to determine the appropriate default IP settings, using the following methods:

●
On small private networks that adhere to automated, standards-based IP address assignments, the print server uses a link-local addressing technique to assign a unique IP address. Link-local addressing is limited to a local IP subnet (not routed) and can be referenced as Auto IP. The IP address assigned is in the range of 169.254.1.0 to 169.254.254.255 (commonly referred to as 169.254/16). If necessary, you can further modify the IP address for your network, using supported TCP/IP configuration tools.

With link-local addresses, subnetting is not used. The subnet mask is 255.255.0.0, and cannot be changed.

Link-local addresses do not route off the local link, and access to or from the Internet is not available. The default gateway address is the same as the link-local address.

If a duplicate address is sensed, the HP Jetdirect print server automatically reassigns its address, if necessary, in accordance with standard link-local addressing methods.

●
On large or enterprise IP networks, a temporary address of 192.0.0.192 is assigned until it is re-configured with a valid address through supported TCP/IP configuration tools. This temporary address is referred to as Legacy Default IP.
●
On mixed-environment networks, the self-assigned default IP address is either 169.254/16 or 192.0.0.192. Verify that the assigned default IP address is correct, using the HP Jetdirect configuration page.

To determine the IP address configured on your print server, use the HP Jetdirect configuration page. See HP Jetdirect configuration pages.


Default IP on wireless and wired print servers

Default IP on wireless and wired print servers

Wired and wireless print servers can have different default IP configuration results:

●
When turned on, a print server in a factory default state that is connected to a network through a cable (wired), retrieves its IP settings by systematically using BOOTP, DHCP, and RARP. If configuration fails, a default IP address is assigned.
●
A wired/wireless print server in a factory default state that is not connected by a cable initially has only a wireless ad hoc connection available. Retrieval of IP settings from a network is limited to a few seconds, during which a single BOOTP request is transmitted, and broadcast packets are sensed. Because a response from a BOOTP server on an ad hoc network is unlikely, and the number of broadcast packets sensed are minimal, a default IP configuration using link-local addressing is likely.

The IP configuration can change when the wireless print server is connected to a DHCP network because, sending DHCP requests is enabled by default even after a link-local address is assigned.

Configuration tools that require a specific default IP address on the print server for initial communication might not work without modification. For the default IP address settings actually configured on the print server, see the HP Jetdirect configuration page.


Default IPv4 address configuration options

Default IPv4 address configuration options

This section provides information about the following topics:

  • Default IPv4 parameter
  • DHCP requests enable/disable


Default IPv4 parameter

Default IPv4 parameter

A default IP configuration parameter on the print server controls how the default IPv4 address is assigned. Whenever the print server is unable to obtain an IP address during a forced TCP/IP reconfiguration (for example, when manually configured to use BOOTP or DHCP), this parameter determines the default IPv4 address to use.

When the print server is in a factory default state, this parameter is undefined.

If the print server is initially configured with a default IPv4 address by using either a link-local IPv4 address or the legacy default 192.0.0.192 IP address, the default IP parameter is set to either Auto IP or Legacy Default IP to match.

You can change the Default IP parameter by using a supported configuration tool, such as Telnet, a Web browser, a printer control panel, or SNMP management applications.


DHCP requests enable/disable

DHCP requests enable/disable

When a default IPv4 address is assigned, you can configure the print server to send periodic DHCP requests, which are used to retrieve IP configuration settings from a DHCP server on the network. By default, this parameter is enabled, allowing transmission of DHCP requests. To disable this parameter, use a supported configuration tool such as Telnet, a Web browser, or SNMP management applications.

When an HP Jetdirect Wireless Print Server in a factory default state (without a network connection) is initially turned on, it likely self-assigns a link-local IP address. If a network connection to a DHCP server-based network is made, the IP address might be reconfigured because DHCP requests on the print server are enabled by default.


Default IPv4 behavior

Default IPv4 behavior

When turned on, a factory-default print server connected to a network through a cable (wired), retrieves its IPv4 settings by systematically using BOOTP, DHCP, and RARP. This can take several minutes to complete. If configuration fails, a default IPv4 address is assigned.

Configuration tools that require a specific default IP address on the print server for initial communication might not function without modification. To view the default IP address settings on the print server, use the HP Jetdirect configuration page.


TCP/IP configuration tools

TCP/IP configuration tools

When a network connection is established, you can configure an HP Jetdirect print server with valid TCP/IP parameters for your network, using the following methods:

●
Software solutions Use installation, setup, and management software running on supported systems. For more information see HP software solutions summary.
●
BOOTP/TFTP Download the data from a network-based server by using BOOTP and TFTP each time the printer is turned on. For more information, see “Use BOOTP/TFTP (IPv4)”.

The BOOTP daemon (bootpd) must be running on a BOOTP server that is accessible by the printer.

●
DHCP/TFTP Use DHCP and TFTP each time the printer is turned on. These protocols are supported on HP-UX, Solaris, Linux, Windows 2000/Server 2003, NetWare, and Mac OS systems. (See your network operating system manuals to verify that your server supports DHCP.) For more information, see Use DHCP (IPv4).
NOTE:

For more information about Linux and UNIX systems, see the bootpd man page.

On HP-UX systems, a sample DHCP configuration file (dhcptab) might be located in the /etc directory.

Because HP-UX does not currently provide dynamic domain name system (DDNS) services for its DHCP implementations, HP recommends that you set all print server lease durations to infinite. This ensures that print server IP addresses remain static until DDNS is provided.

●
RARP Use RARP to answer the print server's RARP request and supply the print server with the IP address. The RARP method allows you to only configure the IP address. For more information, see “Use RARP (IPv4)”.
●
arp and ping commands (Only for print servers configured with Legacy default IP address 192.0.0.192) Use the arp and ping commands from your system. For more information, see “Use the arp and ping commands (IPv4)”.
●
Telnet Set configuration parameters by creating a Telnet connection from your system to the HP Jetdirect print server, using the default IP address. Once configured, the print server saves the configuration when turned off and then turned on. For more information, see “Use Telnet (IPv4)”.
●
Embedded Web server Use the embedded Web server on the HP Jetdirect print server to set configuration parameters. For more information, see Embedded Web server (V.38.xx).
●
Printer control panel (For printers that support HP Jetdirect control panel menus.) Manually enter the configuration data, using the printer control panel keys. Because you can configure a limited subset of the configuration parameters, control panel configuration is recommended only during troubleshooting or for simple installations. If control panel configuration is used, the print server saves the configuration when turned off and then turned on. For more information, see “Use the printer control panel”.


Use BOOTP/TFTP (IPv4)

Use BOOTP/TFTP (IPv4)

BOOTP and TFTP provide a convenient way to automatically configure the HP Jetdirect print server for TCP/IPv4 network operation. When turned on, the HP Jetdirect print server sends a BOOTP request message onto the network. A properly configured BOOTP server on the network responds with a message that contains basic network configuration data for the HP Jetdirect print server. The BOOTP server's response can also identify a file (TFTP configuration file) that contains extended configuration data for the print server. The HP Jetdirect print server uses TFTP to download this file from the BOOTP server or from a separate TFTP server.

NOTE:

If you are configuring an HP Jetdirect wireless print server, this section assumes that a wireless network connection is established.

BOOTP/TFTP servers are typically UNIX or Linux systems. Windows 2000/Server 2003 and NetWare servers can respond to BOOTP requests. Windows 2000/Server 2003 servers are configured through Microsoft DHCP services (see Use DHCP (IPv4)). However, Windows 2000/Server 2003 systems might require third-party software for TFTP support. For setup of NetWare BOOTP servers, see the NetWare documentation.

NOTE:

If the HP Jetdirect print server and BOOTP/DHCP server are located on different subnets, IPv4 configuration might fail unless the routing device supports BOOTP Relay, which allows the transfer of BOOTP requests between subnets.

This section provides information about the following topics:

  • Advantages of using BOOTP/TFTP
  • Configure the print server using BOOTP/TFTP on UNIX


Advantages of using BOOTP/TFTP

Advantages of using BOOTP/TFTP

Using BOOTP/TFTP to download configuration data has the following benefits:

●
Enhanced configuration control of the HP Jetdirect print server. Configuration by other methods, such as a printer control panel, are limited to select parameters.
●
Ease of configuration management. Network configuration parameters for the entire network are in one location.
●
Ease of HP Jetdirect print server configuration. Complete network configuration is automatically downloaded each time the print server is turned on.
NOTE:

BOOTP operation is similar to DHCP, but the resulting IP parameters are the same when turned off and then turned on. In DHCP, IP configuration parameters are leased and might change over time.

When in its factory-default state and turned on, the HP Jetdirect print server attempts to automatically configure itself using several dynamic methods, including BOOTP.


Configure the print server using BOOTP/TFTP on UNIX

Configure the print server using BOOTP/TFTP on UNIX

This section describes how to configure the print server using BOOTP and TFTP services on UNIX servers. Use BOOTP and TFTP to download network configuration data from a server to the HP Jetdirect print server over the network.

This section provides information about the following topics:

  • Systems using network information service (NIS)
  • Configure the BOOTP server
  • Bootptab file entries (IPv4)
  • TFTP configuration file entries (IPv4)


Systems using network information service (NIS)

Systems using network information service (NIS)

If your system uses NIS, you might need to rebuild the NIS map with the BOOTP service before performing the BOOTP configuration steps. See your system documentation.


Configure the BOOTP server

Configure the BOOTP server

For the HP Jetdirect print server to obtain its configuration data over the network, the BOOTP/TFTP servers must have the appropriate configuration files. The print server uses BOOTP to obtain entries in the /etc/bootptab file on a BOOTP server. It uses TFTP to obtain additional configuration information from a configuration file on a TFTP server.

When the HP Jetdirect print server is turned on, it broadcasts a BOOTP request that contains its MAC (hardware) address. A BOOTP server daemon searches the /etc/bootptab file for a matching MAC address, and if successful, sends the corresponding configuration data to the HP Jetdirect print server as a BOOTP reply. The configuration data in the /etc/bootptab file must be correct. For a description of entries, see Bootptab file entries (IPv4).

The BOOTP reply can contain the name of a configuration file that stores enhanced configuration parameters. If the HP Jetdirect print server finds such a file, it uses TFTP to download the file and configure itself using the parameters. For a description of the entries, see TFTP configuration file entries (IPv4). Configuration parameters retrieved through TFTP are optional.

NOTE:

HP recommends that the BOOTP server be located on the same subnet as the printers it serves. Routers that are incorrectly configured might not forward BOOTP broadcast packets.


Bootptab file entries (IPv4)

Bootptab file entries (IPv4)

The following is an example of a /etc/bootptab file entry for IPv4 configuration of an HP Jetdirect print server:

Example of bootptab file entries

The configuration data contains tags to identify the various HP Jetdirect parameters and their settings.

●
Colon (:): End of a field.
●
Backslash (\): Entry is continued on the next line.
●
Space: Not allowed between the characters on a line.
●
Names (such as host names): Must begin with a letter and can contain only letters, numbers, periods (domain names, or hyphens.
●
Underline: Not allowed.

Entries and tags supported by the HP Jetdirect print serer are listed in the following table:

Tags supported in a BOOTP/DHCP boot file
Item
RFC 2132 Option
Description
nodename
--
Peripheral name. Identifies an entry point to a list of parameters for a specific peripheral. Must be the first field in an entry. (In the example, nodename is picasso.)
ht
--
Hardware type. For the HP Jetdirect print server, set this to ether (for Ethernet). Must precede the ha tag.
vm
--
BOOTP report format (required). Set this to rfc1048.
ha
--
Hardware address. The media access control (MAC) address or hardware address, which is displayed on the HP Jetdirect configuration page as the HARDWARE ADDRESS. Must be preceded by the ht tag.
ip
--
IP address tag (required) of the HP Jetdirect print server.
sm
1
Subnet mask. Used by the HP Jetdirect print server to identify the portions of an IP address that set the network/subnetwork number and the host address.
gw
3
Gateway IP address. The IP address of the default gateway (router) that the HP Jetdirect print server uses for communication with other subnets.
ds
6
DNS server's IP address. Specify only a single name server.
lg
7
The syslog server's IP address. Specify the server that the HP Jetdirect print server sends syslog messages to.
hn
12
Host name. (This parameter does not accept a value.) When present in the file, causes the BOOTP daemon to download the host name to the HP Jetdirect print server. The host name is printed on the HP Jetdirect configuration page, or returned on an SNMP sysName request by a network application.
dn
15
Domain name. Specify the domain name for the HP Jetdirect print server (for example, support.hp.com). It does not include the host name, and is not the FQDN (such as printer1.support.hp.com).
ef
18
Extensions file. Specify the relative path name of the TFTP configuration file.
NOTE:

This is similar to the vendor-specific tag T144, described below.
na
44
NetBIOS-over-TCP/IP Name Server (NBNS) IP addresses. Specify a primary and secondary server in order of preference.
lease-time
51
DHCP IP address lease duration time. Specify the time in seconds.
tr
58
DHCP T1 timeout. Specify the DHCP lease renewal time in seconds.
tv
59
DHCP T2 timeout. Specify the DHCP lease rebind time in seconds.
T144
--
Relative path name of the TFTP configuration file. HP proprietary. Specify the path name using double quotes, for example “pathname”. Long path names are truncated. For file format information, see TFTP configuration file entries (IPv4).
NOTE:

Standard BOOTP option 18 (extensions file path) also allows a standard tag (ef) for specifying the relative path name of the TFTP configuration file.

T145
--
Idle timeout. HP proprietary. Specify the time, in seconds, that a print data connection can remain idle before being closed. The range is 1–3600 seconds.
T146
--
Buffer packing. HP proprietary. Set buffer packing for TCP/IP packets.
0 (default): Pack normal data buffers before sending to the printer.
1: Disable buffer packing. Data is sent to the printer when received.
T147
--
Write mode. HP proprietary. Set the TCP PSH flag for device-to-client data transfers.
0 (default): Disable.
1: Set the TCP PSH (all-push) in all data packets.
T148
--
IP gateway disable. HP proprietary. Control configuration of a Gateway IP address.
0 (default): Allow configuration of an IP address.
1: Prevent configuration.
T149
--
Interlock mode. HP proprietary. Require an acknowledgement (ACK) on all TCP packets before allowing the printer to close a port 9100 print connection. Specify a port number and option, as in the following example:
<Port Number> <Option>
<Port Number>: For supported HP Jetdirect print servers, the default port number is 1.
<Option>: Set to 0 (default) to disable interlock, or 1 to enable.
For example, setting this to “1 1” specifies port number 1 and enables interlock.
T150
--
TFTP server's IP address. HP proprietary. Specify the IP address of the TFTP server where the TFTP configuration file is located.
T151
--
Network configuration. HP proprietary. Send either BOOTP-ONLY or DHCP-ONLY requests.


TFTP configuration file entries (IPv4)

TFTP configuration file entries (IPv4)

To provide additional configuration parameters for your HP Jetdirect print server, such as SNMP or non-default settings, you can download a configuration file using TFTP. This TFTP configuration file's relative path name is specified in the BOOTP reply using the /etc/bootptab file's T144 vendor-specific tag, or the ef standard BOOTP tag entry. The following is an example of a TFTP configuration file. (The # symbol signifies a remark and is not included in the file.)

Example HP Jetdirect TFTP configuration file

Example of TFTP configuration file entries

Set allow to enable subnet 192.168.10.0 with access to the printer. This specifies a host or network of hosts that can connect to the print server. Add up to 10 entries using TFTP, Telnet, or the embedded Web server. You can also specify single IP addresses for specific systems. The following list describes the example TFTP configuration file settings:
telnet-config Set to zero (0). Cannot use Telnet.
ews-config Set to one (1). Use the embedded Web server.
auth-trap Set to on. Send SNMP authentication traps.
trap-dest IP address of the system to send SNMP traps to.
set-cmnt-name Community name required in SNMP Set commands.

This table describes the TFTP command parameters supported by HP Jetdirect print servers. (Optional commands for the same function are shown in parentheses.)

TFTP configuration file parameters
General
passwd: (or passwd-admin:)
Administrator's password to control access to HP Jetdirect print server configuration parameters using Telnet, HP Web Jetadmin, or the embedded Web server. Enter up to 16 alphanumeric characters. Clear the password with a cold reset.
sys-location: (or host-location:, location:)
Physical location of the printer (SNMP sysLocation object). Enter up to 64 alphanumeric characters. The default location is undefined.
sys-contact: (or host-contact:, contact:)
Name of the network or device administrator (SNMP sysContact object) who administers or services the printer. Enter up to 64 alphanumeric characters. The default contact is undefined.
ssl-state: (or ssl-redirect-config)
Print server's security level for Web communication, using the following values:

1: Forced redirection to the HTTPS port. Use only HTTPS (secure HTTP) communication.

2: Disable redirection to HTTPS. Use both HTTP and HTTPS communication.

security-reset:
Reset security settings on the print server to factory default values. 0 (default): Do not reset. 1: Reset.
TCP/IP Main
llmnr:
●
Link local multicast name resolution (LLMNR). 0 (default): Disable. 1: Enable.
host-name: (or sys-name:, name:)
Node name that appears on the HP Jetdirect configuration page. Default is NPIxxxxxx, where xxxxxx represents the last six digits of the LAN hardware address.
parm-file:
Path and file name whose contents are printed each time the print server is turned on. Enter up to 64 alphanumeric characters.
domain-name:
Domain name of the device, for example support.hp.com. Does not include the host name and is not the FQDN, such as printer1.support.hp.com.
pri-dns-svr: (or dns-srv:)
IP address of the DNS server.
sec-dns-svr:
IP address of a secondary DNS server to use if the primary DNS server is unavailable.
pri-wins-svr: (or pri-wins-srv:)
IP address of the primary Windows Internet naming service (WINS) server.
sec-wins-svr: (or sec-wins-srv:)
IP address of the secondary WINS) server.
TCP/IP Print Options
9100-printing: (or 9100-config:)
Print to TCP port 9100 on the print server. 0: Disable. 1 (default): Enable.
ftp-printing: (or ftp-config:, ftp:)
Print through FTP. 0: Disable. 1 (default): Enable.
ipp-printing: (or ipp-config:, ipp:)
Print through IPP. 0: Disable. 1 (default): Enable.
lpd-printing: (or lpd-config:, lpd:)
Print using the line printer daemon (LPD) on the HP Jetdirect print server. 0: Disable. 1 (default): Enable.
banner:
Print a port-specific LPD banner page. 0: Disable. 1 (default): Enable.
interlock: (or interlock-mode:)
Require an acknowledgement (ACK) on all TCP packets before allowing the printer to close a port 9100 print connection. Specify a port number and the parameter value. For current HP Jetdirect print servers, the port number is 1. For example, interlock 1 1 specifies port 1 and enable interlock. 0 (default): Disable. 1: Enable.
buffer-packing: (or packing:)
Pack the TCP/IP data buffer.

0 (default): Pack the data buffer before sending to the printer.

1: Disable buffer packing. Data is sent to the printer as it is received.

write-mode:
Set the TCP PSH flag for device-to-client data transfers.

0 (default): Disable.

1: Enable the all-push option in all data packets.

mult-tcp-conn:
Allow multiple TCP connections.

0 (default): Enable multiple connections.

1: Disable multiple connections.

TCP/IP Raw Print Ports
raw-port: (or addrawport:)
Additional ports for printing to TCP port 9100. Valid ports are 3000 to 9000, which are application-dependent.
TCP/IP Access Control
allow: netnum [mask]
Add entries to the host access list stored on the HP Jetdirect print server. Each entry specifies a host or network of hosts allowed to connect to the printer. The netnum parameter sets the network number or host IP address, and mask sets an address mask of bits applied to the network number and host address to verify access. Add up to 10 access list entries. If there are no entries, all hosts are permitted access. For example:

allow: 192.0.0.0 255.0.0.0 Allow hosts on network 192.

allow: 192.168.1.2 Allow a single host. The default mask 255.255.255.255 is assumed and is not required.

allow: 0 Clear the host access list.

For additional information, see Security features (V.38.xx).

TCP/IP Other Settings
syslog-config:
Allow syslog server operation on the print server: 0: Disable. 1 (default): Enable.
syslog-svr: (or syslog-srv:)
IP address of the server that the HP Jetdirect print server sends syslog messages to.
syslog-max:
Maximum number of syslog messages sent by the HP Jetdirect print server on a per-minute basis. Allows administrators to control the log file size. 0: No restriction on the number of messages. 10 (default): Send a maximum of 10 messages per minute.
syslog-priority:
Filter messages sent to the syslog server. The filter range is 0 to 7, with 0 being the most specific, and 7 the most general. Only messages that are lower than the specified filter level (or higher in priority) are reported. 7 (default): Messages of all priorities are sent. 8: Disable. No syslog messages are sent.
syslog-facility:
Identify the source facility of a message. Typically used to identify the source of selected messages during troubleshooting. By default, the HP Jetdirect print server uses LPR as the source facility code. Use values of local0 through local7 to isolate individual or groups of print servers.
slp-config:
Use the service location protocol (SLP) operation on the print server. 0: Disable. 1 (default): Enable.
slp-keep-alive:
Number of minutes the print server waits between sending multicast packets on the network to prevent deletion from network device tables. The range is 1 to 1440 minutes. Some infrastructure devices, such as switches, delete active devices from their device tables because of network inactivity. 0: Disable.
ttl-slp:
IP multicast time to live (TTL) setting for SLP packets. The range is 1 to 15 hops. (A hop is the number of routers from the local network.). -1: Disable. 4 (default): Enable.
bonjour-config:
Use Bonjour. (Previously listed as multicast domain name system [mDNS services.) Bonjour is typically used for IP address and name resolution (through UDP port 5353) where a conventional DNS server is neither used or available. 0: Disable. 1 (default): Enable.
bonjour-service-name:
Bonjour service name. This name is persistent and is used to resolve a particular device or service if socket information (such as the IP address) changes from session to session. Apple Bonjour displays this service. The default service name is the printer model and the LAN hardware (MAC) address. Enter up to 64 alphanumeric characters.
bonjour-pri-svc:
Highest priority Bonjour service to use for printing. Set this using the following values:

1: Port 9100 printing

2: IPP port printing

3: Default LPD raw queue

4: Default LPD text queue

5: Default LPD auto queue

6: Default LPD binps (binary PostScript) queue

7 through 12: If user-specified LPD queues are defined, corresponds to user-specified LPD queues 5 through 10.

The default selection depends on the printer, typically port 9100 printing or LPD binps.

ipv4-multicast:
Receive and transmit IP version 4 multicast packets. 0: Disable. 1 (default): Enable.
NOTE:

If disabled, other protocols that use multicast protocols, such as Bonjour and SLP, might also be disabled without notification.
idle-timeout:
Seconds that an idle print data connection is allowed to remain open. The range is 1 to 3600 seconds. Since the card supports only a single TCP connection, the idle timeout balances the opportunity of a host to recover or complete a print job against the ability of other hosts to access the printer. 0: Disable. 270 (default): Enable.
user-timeout: (or telnet-timeout:)
Seconds that a Telnet or FTP session is idle before it is automatically disconnected. The range is 1 to 300 seconds. 0: Disable. 900 (default): Enable.
CAUTION:

Small values, such as 1 to 5, can disable the use of Telnet. A Telnet session can terminate before any changes are made.
ews-config: (or web:)
Allow use of the print server's embedded Web server. 0: Disable. 1 (default): Enable.
tcp-mss: (or subnets-local:)
Maximum segment size (MSS) that the HP Jetdirect print server advertises for use when communicating with local subnets (Ethernet MSS=1460 bytes or more) or remote subnets (MSS=536 bytes). Use the following values:

0 (default): All networks are assumed to be local (Ethernet MSS=1460 bytes or more).

1: Use MSS=1460 bytes (or more) for subnets, and MSS=536 bytes for remote networks.

2: All networks are assumed to be remote (MSS=536 bytes), except the local subnet.

MSS affects performance by preventing IP fragmentation that can result in data retransmission.

tcp-msl:
Maximum segment life (MSL) in seconds. The range is 5 to 120 seconds. 0: Disable. 15 (default): Enable.
telnet-config: (or telnet:)
Print server allows incoming Telnet connections. If disabled, you can regain access by changing the setting in the TFTP file and turning the print server on and then off, or resetting the print server to factory default values (cold reset). 0: Disable. 1: Enable. Allow incoming Telnet connections.
default-ip:
IP address to use when the print server is unable to obtain an IP address from the network during a forced TCP/IP re-configuration. For example, when turned off and then on or when manually configured to use BOOTP/DHCP.

DEFAULT_IP: Set the legacy default IP address 192.0.0.192.

AUTO_IP: Set a link-local IP address 169.254.x.x.

The initial setting is determined by the IP address obtained when first turned on.

default-ip-dhcp:
Periodically transmit DHCP requests when a legacy default IP address 192.0.0.192 or link-local IP address 169.254.x.x is automatically assigned.

0: Disable.

1 (default): Enable DHCP requests.

dhcp-arbitration:
Seconds that the print server waits for DHCP configuration offers. The range is between 1 and 10 seconds. 0: Disable. 5 (default): Enable.
web-refresh:
Time interval (1–99999 seconds) for embedded Web server diagnostic page updates. The range is between 1 and 99999 seconds. 0: Disable.
SNMP
snmp-config:
SNMP operation on the print server. 0: Disable. 1 (default): Enable SNMP operation.
CAUTION:

Disabling SNMP disables all SNMP agents (SNMP v1, v2, v3), communication with HP Web Jetadmin, and firmware upgrades using HP downloading utilities.

get-cmnty-name: (or get-community-name:)
Optional. Password to determine which SNMP GetRequests the HP Jetdirect print server responds to. If a Get community name is set, the print server responds to either a user-specified community name or the factory-default. Enter up to 255 alphanumeric characters.
set-cmnty-name: (or set-community-name:)
Password to determine which SNMP SetRequests (control functions) the HP Jetdirect print server responds to. The community name of an incoming SNMP SetRequest must match the print server's Set community name for the print server to respond. (For additional security, you can limit configuration access through the print server's host access list.) Enter up to 255 alphanumeric characters.
auth-trap: (or authentication-trap:)
Send SNMP authentication traps. Authentication traps indicate that an SNMP request was received, but the community name check failed. 0: Disable. 1 (default): Enable.
trap-dest: (or trap-destination:)
Add a host's IP address to the HP Jetdirect print server's SNMP trap destination list. The list can contain up to six entries. To receive SNMP traps, the systems listed on the SNMP trap destination list must have a trap daemon that listens for the traps. The following is the parameter format:

trap-dest: <ip-address> [community name] [port number]

The default community name is public. The default SNMP port number is 162. (You must enter a community name to specify a port number.)

If a trap-dest follows a trap-community-name, the trap community name is assigned to those entries unless a different community name is specified in each trap-dest command.

To delete the table list, set trap destination to zero (trap-dest: 0).

By default the SNMP trap destination list is empty and does not send SNMP traps.

IPX/SPX
ipx-config: (or ipx/spx:)
IPX/SPX protocol operation on the print server. 0: Disable. 1 (default): Enable.
NOTE:

On HP Jetdirect 635n print servers, by default all network protocols except TCP/IP are disabled.
ipx-unit-name:
Name assigned to the print server. By default, the name is NPIxxxxxx, where xxxxxx are the last six digits of the LAN hardware address. Enter up to 31 alphanumeric characters.
ipx-frametype:
IPX frame type setting available for your print server model. Set to AUTO (default), EN_SNAP, EN_8022, EN_8023, EN_II.
ipx-sapinterval:
Time in seconds that the HP Jetdirect print server waits between service advertising protocol (SAP) broadcasts on the network. The range is 1 to 3600 seconds. 0: Disable. 60 (default): Enable SAP broadcasts.
ipx-nds-tree:
Name of the Novell directory services (NDS) tree for this printer.
ipx-nds-context:
NDS context for the HP Jetdirect print server. Enter up to 256 alphanumeric characters.
ipx-job-poll:
Time in seconds that the HP Jetdirect print server waits to check for print jobs in a print queue. The range is 1 to 255 seconds. 0: Disable. 2 (default): Enable.
pjl-banner: (or ipx-banner:)
Print an IPX banner using the printer job language (PJL). 0: Disable. 1 (default): Enable banner pages.
pjl-eoj: (or ipx-eoj:)
IPX end-of-job notification. 0: Disable. 1 (default): Enable.
pjl-toner-low: (or ipx-toner-low:)
IPX toner-low notification. 0: Disable. 1 (default): Enable.
AppleTalk
appletalk: (or at-config:, ethertalk:)
Use AppleTalk (EtherTalk) protocol operation on the print server. 0: Disable. 1 (default): Enable.
NOTE:

On HP Jetdirect 635n print servers, all network protocols except TCP/IP are disabled by factory default.
DLC/LLC
dlc/llc-config: (or dlc/llc:)
Use DLC/LLC protocol operation on the print server. 0: Disable. 1 (default): Enable.
NOTE:

On HP Jetdirect 635n print servers, all network protocols except TCP/IP are disabled by factory default.
Other Settings
link-type:
(For wired 10/100/1000T Ethernet.) Set the print server's link speed (10, 100, 1000 Mbps) and communication mode (Full- or Half-Duplex). The available link-speed depends on the print server model. The communication modes are: AUTO, 1000FULL, 100AUTO, 100FULL, 100HALF, 10FULL, 10HALF.

For AUTO (default), the print server uses auto-negotiation to configure the highest link speed and communication mode allowed. If auto-negotiation fails, either 100TX HALF or 10TX HALF is set, depending on the detected link speed of the hub/switch port. (A 1000T half-duplex selection is not supported.)

upgrade:
Set the name and location of a firmware upgrade file for the HP Jetdirect print servers.
CAUTION:

Ensure that command parameters are properly entered. Verify that the upgrade file is a higher version than the currently installed version. The print server attempts to upgrade when the upgrade file contains a higher version than the installed version.

The following is the command format:

upgrade: <TFTP server IP> <Version> <Product Number> <Filename>

The following defines the parameters:

<TFTP Server IP> IP address of the TFTP server.

<Version> Firmware version of the upgrade file.

<Product Number> Print server product number.

<Filename> Path and filename of the firmware upgrade file.

usb-mode:
USB port communication mode on the HP Jetdirect print server.
●
Auto (default): Automatically negotiate and set the highest communication mode possible for the attached printer or device.
●
MLC: HP proprietary communication mode (multiple logical channels) that allows multiple channels of simultaneous print, scan, and status communications.
●
BIDIR: Standard connection that supports bi-directional communication between the printer and print server. The print server sends print data and receives status from the printer.
●
UNIDIR: Standard connection in which data is transferred in one direction only (to the printer).
status-page-lang:
Page description language (PDL) that the print server uses to send the HP Jetdirect configuration/status page to the printer.
●
Auto (default): Auto-detected when the print server is turned on or after a cold-reset.
●
PCL: Hewlett-Packard Printer Control Language.
●
ASCII: Standard ascii characters.
●
HPGL2: Hewlett-Packard Graphics Language (v2).
●
PS: PostScript language.
network-select:
(For HP Jetdirect products with a dual wired/wireless port.) Specifies the active behavior of the print server.
●
Auto (default): Automatically determines the active port. If a network cable is attached, then only the IEEE 802.3 wired port is active. If a network cable is not attached, only the IEEE 802.11g wireless port is active.
●
Wired: Only the 802.3 wired port is active.
●
Wireless: Only the 802.11g wireless port is active.
CAUTION:

If you plug in a network cable on an active wireless network, wireless use of the device is terminated.
Support
support-name: (or support-contact:)
Identify the name of a person to contact for support of this device.
support-number:
Phone number or extension to call for support of this device.
support-url:
Web URL for product information on this device over the Internet or an intranet.
tech-support-url:
Web URL for technical support over the Internet or an intranet.


Use DHCP (IPv4)

Use DHCP (IPv4)

DHCP (RFC 2131/2132) is one of several automatic configuration mechanisms that the HP Jetdirect print server uses. If you have a DHCP server on your network, the HP Jetdirect print server automatically obtains its IP address from that server and registers its name with any RFC 1001- and 1002-compliant dynamic name services if a WINS server IP address is specified.

You can also use a TFTP configuration file with DHCP to configure extended parameters. For more information on TFTP parameters, see Use BOOTP/TFTP (IPv4).

NOTE:

DHCP services must be available on the server. See your system documentation or online help to install or enable DHCP services.

If you are configuring an HP Jetdirect wireless print server, this section assumes that a wireless network connection is established.

If the HP Jetdirect print server and BOOT/DHCP server are located on different subnets, IP configuration can fail unless the routing device allows for the transfer of DHCP requests between subnets.

This section provides information about the following topics:

  • UNIX systems
  • Windows systems
  • Discontinue DHCP configuration


UNIX systems

UNIX systems

For more information on setting up DHCP on UNIX systems, see the bootpd man page.

On HP-UX systems, a sample DHCP configuration file (dhcptab) might be located in the /etc directory.

If your HP-UX system does not provide DDNS services for its DHCP implementation, HP recommends that you set all print server lease durations to infinite. This ensures that print server IP addresses remain static until dynamic domain name services are available.


Windows systems

Windows systems

HP Jetdirect print servers support IP configuration from a supported Windows DHCP server. This section describes how to set up a pool or scope of IP addresses that the Windows server can assign or lease to any requester. When configured for BOOTP or DHCP operation and turned on, the HP Jetdirect print server automatically sends a BOOTP or DHCP request for its IP configuration. If properly set up, a Windows DHCP server responds with the print server's IP configuration data.

NOTE:

For specific topics or for additional support, see the information supplied with your DHCP server software.

To avoid problems resulting from changing IP addresses, HP recommends assigning printers IP addresses with infinite lease durations or using reserved IP addresses.

This section provides information about the following topics:

  • Windows 2000 server/Server 2003


Windows 2000 server/Server 2003

Windows 2000 server/Server 2003

To set up a DHCP(IPv4) scope on a Windows 2000 server or Server 2003 system, perform the following steps:

1.
Run the Windows DHCP manager utility.
●
On Windows 2000, click Start, then Settings, and then Control Panel. Open the Administrative Tools folder and run the DHCP utility.
●
Server 2003, click Start, and then click Control Panel. Open the Administrative Tools folder and run the DHCP utility.
2.
In the DHCP window, locate and select your Windows server in the DHCP tree.

If your server is not listed, select DHCP and click the Action menu to add the server.

3.
Select your server in the DHCP tree, click the Action menu, and then select New Scope. This runs the Add New Scope Wizard.
4.
In the Add New Scope Wizard, click Next.
5.
Enter a Name and Description for this scope, then click Next.
6.
Enter the range of IP addresses for this scope (beginning and ending IP address), type the subnet mask, and then click Next.
NOTE:

If subnetting is used, the subnet mask defines which portion of an IP address specifies the subnet and which portion specifies the client device.

7.
If applicable, type the range of IP addresses within the scope to be excluded by the server, and then click Next.
8.
Set the IP address lease duration for your DHCP clients, and then click Next.

HP recommends that all printers be assigned reserved IP addresses. Do this after setting up the scope (see step 11).

9.
Select No to configure DHCP options for this scope later, and then click Next.

To configure DHCP options now, select Yes. Click Next after each step.

a.
Optional. Type the IP address of the router (or default gateway) to be used by clients.
b.
Optional. Type the Domain Name and DNS servers for clients.
c.
Optional. Type the WINS server names and IP addresses.
d.
Select Yes to activate the DHCP options now.
10.
You have successfully set up the DHCP scope on this server. Click Finish to close the wizard.
11.
To configure your printer with a reserved IP address within the DHCP scope, complete the following steps:
a.
In the DHCP tree, open the folder for your scope and select Reservations.
b.
Click the Action menu and select New Reservation.
c.
Type the appropriate information in each field, including the reserved IP address for your printer. (Note: the MAC address for your HP Jetdirect-connected printer is available on the HP Jetdirect configuration page.)
d.
Under Supported types, select DHCP only, and then click Add. (Note: Selecting Both or BOOTP only results in a configuration through BOOTP because of the sequence in which HP Jetdirect print servers initiate configuration protocol requests.)
e.
Specify another reserved client, or click Close. The reserved clients added are displayed in the Reservations folder for this scope.
12.
Close the DHCP manager utility.


Discontinue DHCP configuration

Discontinue DHCP configuration

CAUTION:

Changes to an IP address on your HP Jetdirect print server can require updates to the printer or system printing configurations for clients or servers.

If you do not want your HP Jetdirect print server configured through DHCP, reset it to use a different method by selecting one of the following:

1.
For IPv4 configured print servers, use the printer control panel to set Manual or BOOTP configuration. Once set, DHCP is not used.
2.
Use Telnet to set Manual (status is User Specified) or BOOTP configuration. Once set, DHCP is not used.
3.
Modify the TCP/IP parameters using the HP Jetdirect embedded Web server or HP Web Jetadmin.

If you change to BOOTP configuration, the DHCP parameters are released and the TCP/IP protocol is initialized.

If you change to Manual configuration, the DHCP IP address is released and the specified IP parameters are used. If you manually provide the IPv4 address, set all of the configuration parameters, such as subnet mask, default gateway, and idle timeout.

NOTE:

If you re-enable a DHCP configuration, the print server acquires its configuration information from a DHCP server. When you choose DHCP and complete your configuration session (using Telnet, for example), the TCP/IP protocol for the print server is re-initialized and all current configuration information is deleted. The print server then attempts to acquire new configuration information by sending DHCP requests on the network to a DHCP server.

For DHCP configuration using Telnet, see Use Telnet (IPv4) in this chapter.


Use RARP (IPv4)

Use RARP (IPv4)

You can configure the print server to use RARP on UNIX and Linux systems.

NOTE:

If you are configuring an HP Jetdirect wireless print server, this section assumes that a wireless network connection is established.

The procedure enables the RARP daemon running on your system to respond to an RARP request from the HP Jetdirect print server and to supply the IP address to the print server. Configure RARP using the following steps:

1.
Turn the printer off.
2.
Log onto your UNIX or Linux system as the super user.
3.
Use the process status command to verify the RARP daemon is running on your system, as in the following example from the system prompt:

ps -ef | grep rarpd (Unix)

ps ax | grep rarpd (BSD or Linux)

4.
The system response should be similar to the following:

861 0.00.2 24 72 5 14:03 0:00 rarpd -a

860 0.00.5 36 140 5 14:03 0:00 rarpd -a
5.
If the RARP daemon is not running on the system (the process is not in the process list), see the rarpd man page for instructions about starting the daemon.
6.
Edit the /etc/hosts file to add your designated IP address and node name for the HP Jetdirect print server, as in the following example:

192.168.45.39 laserjet1
7.
Edit the /etc/ethers file (/etc/rarpd.conf file in HP-UX 10.20) to add the LAN hardware address/station address (from the configuration page) and the node name for the HP Jetdirect print server, as in the following example:

00:01:E6:a8:b0:00 laserjet1

NOTE:

If your system uses Network Information Service (NIS), you need to incorporate changes to the NIS host and ethers databases.
8.
Turn the printer on.
9.
Verify that the card is configured with the correct IP address, by using the ping utility as in the following example:

ping <IP address>

In the example, <IP address> is the assigned address from RARP.

10.
If ping does not respond, see Troubleshoot the HP Jetdirect print server.


Use the arp and ping commands (IPv4)

Use the arp and ping commands (IPv4)

You can configure an HP Jetdirect print server with an IP address using the arp command from a supported system. The workstation from which the configuration is made must be located on the same network segment as the HP Jetdirect print server.

NOTE:

If you are configuring an HP Jetdirect wireless print server, this section assumes that a wireless network connection is established.

Using the arp and ping commands with HP Jetdirect print servers requires the following:

●
Windows 2000/XP/Server 2003 or UNIX system configured for TCP/IP operation
●
Legacy default IP address of 192.0.0.192 on the print server
●
LAN hardware (MAC) address of the HP Jetdirect print server, specified on an HP Jetdirect configuration page, or on a label attached to HP Jetdirect external print servers
NOTE:

You might need root privileges to run the arp command.

After an IP address is assigned using the arp and ping commands, use other tools such as Telnet, the embedded Web server, or HP Web Jetadmin to configure other IP parameters.

To configure an HP Jetdirect print server, use the following commands:

arp -s <IP address> <LAN hardware address>

ping <IP address>

The <IP address> is the desired IP address assigned to the print server, and <LAN hardware address> is the LAN hardware address of the print server. The arp command writes the entries to the arp cache on the workstation. The ping command configures the IP address on the print server.

The LAN hardware address can require a specific format, as in the following examples:

●
Windows 2000, XP, Server 2003

arp -s 192.168.45.39 00-01-E6-a2-31-98

ping 192.168.45.39
●
For UNIX

arp -s 192.168.45.39 00:01:E6:a2:31:98

ping 192.168.45.39
NOTE:

Once the IP address is set on the print server, additional arp and ping commands are ignored. To again use arp and ping to configure the IP address, reset the print server to factory values. See Troubleshoot the HP Jetdirect print server.

On UNIX systems, the arp -s command can vary between different systems.

Some BSD systems expect the IP address (or host name) in reverse order. Other systems require additional parameters. See your system documentation for specific command formats.

If you are configuring an HP Jetdirect wireless print server, this section assumes that a wirelss network connection is established.


Use Telnet (IPv4)

Use Telnet (IPv4)

This section describes how to configure the print server using Telnet.

NOTE:

Telnet use and support depends on the print server product and the printer/MFP device in which it is installed. Telnet might not be supported on value-featured print servers.

If you are configuring an HP Jetdirect wireless print server, this section assumes that a wireless network connection is established.

Although you can protect a Telnet connection using an administrator password, Telnet connections are not secure. For networks with high security requirements, you can disable Telnet connections on the print server using TFTP, the embedded Web server, or HP Web Jetadmin.

This section provides information about the following topics:

  • Create a Telnet connection
  • A typical Telnet session
  • Telnet user interface options
  • Use Telnet to remove an IP address


Create a Telnet connection

Create a Telnet connection

To use Telnet commands with the HP Jetdirect print server, a route is required from your workstation to the print server. If the print server and your computer have a similar IP address (the network portion of their IPv4 addresses match), a route probably exists.

If the IPv4 addresses do not match, you can change your workstation's IPv4 address to match, or you can attempt to create a route to the print server. (If the print server is configured with a legacy default IP address such as 192.0.0.192, a route normally does not exist.)

CAUTION:

Using Telnet to manually set an IPv4 address overrides dynamic IP configuration, such as BOOTP, DHCP, and RARP, which results in a static configuration where IP values are fixed. This might prevent BOOTP, DHCP, or RARP from functioning correctly.

When manually changing an IP address, you should also re-configure the subnet mask and the default gateway.

On Windows systems, you can use the route command at a Windows command (DOS) prompt to create a route to the print server.

For information about system command prompts, see the Windows online help. On Windows 2000/XP/Server 2003 systems, it is located in the Accessories folder in the Programs or All Programs folder.

To use the route command, you need the IPv4 address of your workstation. To display it, enter the appropriate command at the command prompt:

C:\> ipconfig (on Windows 2000/XP/Server 2003)

To create a route from the system command prompt, use the following:

route add <Jetdirect IP Address> <system IP Address>

The <Jetdirect IP address> is the IP address configured on the HP Jetdirect print server, and <system IP address> is the IP address of the workstation's network card that is attached to the same physical LAN as the print server.

For example, to create a route from your workstation with IP address 169.254.2.1 to a print server with a default IP address of 192.0.0.192, enter the following:

route add 192.0.0.192 169.254.2.1


A typical Telnet session

A typical Telnet session

Initiating a typical Telnet session is illustrated here.

Typical Telnet session with the HP Jetdirect print server

To set configuration parameters, you must set up a Telnet session from your system to the HP Jetdirect print server.

1.
At the system prompt, type the following:

telnet <IP address>

The <IP address> is the IP address listed on the HP Jetdirect configuration page. See HP Jetdirect configuration pages.

2.
A connection to the HP Jetdirect print server is displayed. If the server responds with connected to IP address, press Enter twice to initialize the Telnet connection.
3.
Type the user name and password, if required.

By default, the Telnet interface does not require a user name or password. If an administrator password is set, enter the user name and password. Otherwise, you cannot enter or save Telnet settings.

4.
By default, a command line interface is provided. To set parameters using a menu interface, enter Menu. For more information, see Telnet user interface options.

For a list of supported commands and parameters, see Telnet Commands and Parameters.


Telnet user interface options

Telnet user interface options

The HP Jetdirect print server provides two interface options to enter Telnet commands: a Telnet command line interface (default) and a Menu Interface.

This section provides information about the following topics:

  • Telnet command line interface (default)
  • Menu Interface


Telnet command line interface (default)

Telnet command line interface (default)

Using the Telnet command line interface, you can set configuration parameters using the following procedures:

NOTE:

To view supported commands, formats, and parameters, type ?.

To list additional (or advanced) commands, type advanced before entering ?.

To display current configuration information, type /.

1.
At the > Telnet prompt, type the following and press Enter:

<command parameter>: <value>

The <command parameter> signifies the configuration parameter, and <value> is the value assigned to that parameter. Follow each command entry with Enter (carriage return).

See Telnet Commands and Parameters for configuration parameters.

2.
Repeat the previous step to set any additional configuration parameters.
3.
When you have finished setting the configuration parameters, type exit or quit (depending on your system).

Indicate whether to save any changes by entering Y (default) for Yes, or N for No.

If you enter save instead of exit or quit, you are not prompted to save settings.

Telnet commands and parameters. Telnet Commands and Parameters lists the available Telnet commands and parameters.

NOTE:

If a parameter is dynamically provided by a BOOTP or DHCP server, you cannot change its value unless you set Manual configuration. See the ip-config command.

When you manually set an IP address, you should also re-set the subnet mask and default gateway.

Telnet Commands and Parameters
Command
Description
Wireless 802.11 Main
network-type
802.11g wireless network topology:
Infrastructure: The print server communicates on the network with other wired or wireless devices through an access point.
Ad Hoc: (default) The print server communicates with other wireless devices directly, without using an access point.
desired-ssid
Service set identifier (SSID), or network name, for the print server. Enter up to 32 alphanumeric characters.
The factory-default SSID is hpsetup in ad hoc mode. Do not use the SSID hpsetup with the Infrastructure network type.
If the ssid command is issued without an entry (a blank SSID), the desired SSID is assigned <AUTO>, where it associates with the first network that matches its authentication settings.
auth-type
Link-based authentication method for the print server (before network use is allowed).
Open (default): Use open system authentication if your wireless network does not require authentication for network use. However, your network might use WEP encryption keys for data security.
Shared_Key: Use shared key authentication if your network requires that each device be configured with the same secret WEP key for network use.
Selecting Shared_Key is not valid with the wpa-auth-type command when setting WPA-PSK authentication.
wpa-auth-type
WPA-PSK authentication and dynamic wi-fi protected access (WPA) encryption. WPA-PSK provides enhanced authentication on networks where an authentication server is not used. (Not compatible with the shared key authentication option in the auth-type command.)
NONE: WPA-PSK authentication is not used.
PSK: Selects WPA-PSK authentication. A pre-shared key provides device authentication and is generated when you specify a network passphrase through the psk-passphrase command.
psk-passphrase
Passphrase used to generate a network pre-shared key. A passphrase must be from 8 to 63 ASCII characters in the hexadecimal range 21 through 7E (characters 0–9, a–z, A–Z and numerous special characters including !, @, #, $, %, ^, &, (, ), _, +, =, −, {, }, [, ], \, /, “, <, >, ?, “, ‘, ~).
encryption
Use encryption. 0 (default): Disable. 1: Enable.
wep-key-method
Format for WEP key entry. WEP key entries must be of the proper length.
ASCII (default): Use alphanumeric ASCII characters (0–9, a–z, A–Z). For 40/64-bit encryption, enter 5 characters. For 104/128-bit encryption, enter 13 characters. ASCII entries are case-sensitive.
HEX: Use hexadecimal digits (0–9, a–f, A–F). For 40/64-bit encryption, enter10 hexadecimal digits. For 104/128-bit encryption, enter 26 hexadecimal digits. HEX entries are not case-sensitive.
wep-key
Static WEP encryption key. The print server can store up to four WEP keys using four key positions (Key 1, 2, 3, 4). To enter a WEP key, specify the key position followed by the encryption key value, as in the following example:
wep-key 1 0123456789net
In the example, Key 1 is assigned with a with a 128-bit WEP key specified by the value 0123456789net.
You can use the wep-key-method command to specify the format of the key value (hexadecimal digits, or alphanumeric ASCII characters). Alternatively, you can insert an optional parameter (ASCII or HEX) after the key position, as in the following example:
wep-key 1 ASCII 0123456789net
In the example, Key 1 is assigned a 128-bit WEP key specified by the alphanumeric ASCII characters 0123456789net.
When assigning static WEP keys, ensure that key positions and key values match other wireless devices on the network. Ensure that all key values entered are of the same length, and that WEP key lengths use the proper number of characters or digits.
transmit-key
WEP key position (1, 2, 3, 4) that the print server uses for encrypted communications, as in the following example:
transmit-key 2
In the example, Key 2 is used for encrypted communications, matching other devices on the network. The default value is 1.
desired-channel
(Ad hoc only) Specify a desired channel that the print server uses for ad hoc network association requests. The default is channel 11.
10: Use channel 10 (2457 MHz).
11: Use Channel 11 (2462 MHz).
The print server uses this channel to broadcast its availability if it fails to detect and associate with the specified ad hoc network on any channel.
User Control Commands
?
Display the Help and Telnet commands.
/
Display current values.
menu
Display the Menu Interface for use of the configuration parameters.
advanced
Enable advanced commands. Help (?) includes the advanced commands in the list.
general
Disable advanced commands. Help (?) does not include advanced commands (default).
save
Save the configuration values and exit the session.
exit
Exit the session.
export
Export the settings to a file for editing, and importing through Telnet or TFTP. (Only available on systems that support input/output redirection, such as UNIX.)
General
dot11-switch-time
Specify the time (0 - 120 seconds) for the print server to enable its 802.11 wireless port when its 10/100TX wired port is disconnected from the network.
roam-threshold
Specify the wireless signal strength level where the print server seeks an access point that provides a stronger signal strength. Select from the following levels:
2 (Default): Sets the threshold to a weak signal.
1: Sets the threshold to a very weak signal.
0: Sets the threshold to where there is no detected signal.
When the print server is associated with a particular access point, it remains with that access point until the specified threshold level is reached. Setting the threshold level to 0 or 1 can prevent or limit the print server from roaming.
802.11 Wireless Diagnostics
passwd
Password that allows administrators to control changes of HP Jetdirect print server configuration parameters using Telnet, the embedded Web server, or HP Web Jetadmin. For example, passwd jd1234 jd1234 sets the password to jd1234. (You must enter the password jd1234 twice for confirmation.)
Enter up to 16 alphanumeric characters. Clear the password using a cold reset or enter the command without a password and confirmation entry.
Current SSID
(Read-only parameter) The network name (SSID) to which the wireless print server is connected.
sys-location
Physical location of the device. Enter up to 255 alphanumeric characters.
Current Channel
(Read-only parameter) The channel that the wireless print server is currently using.
sys-contact
Name of the network or device administrator. Enter up to 255 alphanumeric characters.
Signal Strength
(Read-only parameter) Strength of the radio signal received by the print server.
<blank>: No radio signal detected while the print server is scanning.
No Signal: No radio signal detected on any channel.
Poor/Marginal/Good/Excellent: Detected signal strength level.
ssl-state
Print server's security level for Web communications, using the following values:
1: Enable forced redirection to the HTTPS port. Use only HTTPS (secure HTTP) communications.
2: Disable forced redirection to HTTPS. Use both HTTP and HTTPS communications.
Access Point Mac
(Read-only parameter) The media access control (MAC) address of the access point used for Infrastructure mode communications, as in the following example:
00:a0:f8:38:7a:f7
In this example, the access point with MAC address 00a0f8387af7 is used for communicating on the network.
security-reset
Reset security settings on the print server to factory default values.
0 (default): Do not reset.
1: Reset.
TCP/IP Main
llmnr
Link local multicast name resolution (LLMNR).
0 (defualt): Disable.
1: Enable.
host-name
Name of the network device. Enter up to 32 alphanumeric characters.
For example, host-name printer1 assigns the name printer1 to the device. The default host name is NPIxxxxxx, where xxxxxx are the last six digits of the LAN hardware (MAC) address.
ip-config
Print server configuration method. Use the following values:
manual: Wait for IP parameters using manual tools, such as Telnet, the embedded Web server, the control panel, or installation/management software. Status is User Specified.
bootp: Send BOOTP requests on the network for dynamic IP configuration.
dhcp: Send DHCP requests on the network for dynamic IP configuration.
auto_ip: Automatically configure with a unique link-local address 169.254.x.x.
ipsec-config
firewall-config
NOTE:

The ipsec-config command is available on print servers that support both IPsec and Firewall configuration. The firewall-config command is available on full-featured print servers that do not support IPsec, but allow Firewall configuration.

Disable IPsec or Firewall operation on the print server after IPsec/Firewall policies are configured and enabled. You cannot enable IPsec/Firewall operation using this command. Instead, use the embedded Web server to configure and enable IPsec/Firewall polices.
0: Disable IPsec/Firewall operation.
1: (Read Only) IPsec/Firewall policies are configured and enabled.
ip
IP address for the print server. For example:
ip-config manual ip 192.168.45.39
In the example, manual signifies manual configuration and ip sets the IP address on the print server.
To clear the IP address, set the value to 0.0.0.0.
If you change this IP address, you must use it on the next Telnet connection.
subnet-mask
Identify the network and host portions of an IPv4 address in received messages. For example:
subnet-mask 255.255.255.0
In the example, 255.255.255.0 is stored on the print server. To clear the subnet IP address and disable the mask, set the value to 0.0.0.0.
NOTE:

If the HP Jetdirect print server is configured by DHCP and you manually change the subnet mask or the default gateway address, you should also change the print server's IP address. This releases the assigned DHCP address back to the DHCP IP address pool.

default-gw
IP address of a default gateway used by the print server. For example:
default-gw 192.168.40.1
In the example, 192.168.40.1 is the IP address of the default gateway.
NOTE:

If the HP Jetdirect print server is configured by DHCP and you manually change the subnet mask or the default gateway address, you should also change the print server's IP address. This releases the assigned DHCP address back to the DHCP IP address pool.

Config Server
(Read only.) IP address of the server (such as a BOOTP or DHCP server) that last configured the IP address on the HP Jetdirect print server.
TFTP Server
(Read only.) IP address of the TFTP server that provided parameters to the HP Jetdirect print server.
TFTP Filename
(Read only.) Path and TFTP filename on the TFTP server. For example:
hpnp/printer1.cfg
domain-name
Domain name for the device. For example:
domain-name support.hp.com
In the example, support.hp.com is assigned as the domain name.
The domain name does not include the host name, and is not the FQDN (such as printer1.support.hp.com).
pri-dns-svr
IP address of the primary DNS server.
sec-dns-svr
IP address of a secondary DNS server to use if the primary DNS server is unavailable.
pri-wins-svr
IP address of the primary WINS server.
sec-wins-svr
IP address of the secondary WINS server.
TCP/IP Print Options
9100-printing
Print to TCP port 9100 on the print server.
0: Disable.
1 (default): Enable.
ftp-printing
Print through FTP (TCP ports 20, 21).
0 Disable.
1 (default): Enable.
ipp-printing
print using IPP (TCP port 631).
0 Disable.
1 (default): Enable.
lpd-printing
Print using LPD (TCP port 515).
0 Disable.
1 (default): Enable.
banner
Print an LPD banner page.
0 Disable.
1 (default) Enable.
ipp-job-acct
Use job accounting for IPP printing.
0 Disable.
1 (default): Enable.
interlock
Require an acknowledgement (ACK) on all TCP packets before the printer can close a port 9100 print connection. Specify a port number and parameter value. For HP Jetdirect embedded print servers, the default port number is 1. In the following example, the port is 1 and interlock is enabled:
interlock 1 1
0 (default): Disable interlock.
1: Enable.
mult-tcp-conn
Allow multiple TCP connections (restrict the use of multiple ports).
0 (default): Enable multiple connections.
1: Disable multiple connections (allow only one connection).
buffer-packing
Pack the data buffer on TCP/IP packets before sending.
0 (default): Enable. Pack the data buffer before sending to the printer.
1: Disable. Data is sent to the printer as it is received.
write-mode
Set the TCP PSH flag for device-to-client data transfers.
0 (default): Disable.
1: Enable the all-push option, which sets the push bit in all data packets.
TCP/IP LPD Queues
addq
Add a user-defined queue. Specify the queue name, prepend string name, append string name, and the processing queue (typically, RAW) in the command line. Enter up to 32 alphanumeric characters. Add up to six user-defined queues.
CAUTION:

Do not use lowercase and uppercase characters to differentiate queue names. Management of LPD queues by other tools can cause unpredictable results.

deleteq
Set a user-defined deletion queue. Specify the queue name in the deleteq command line.
defaultq
Set the queue name to use when the specified queue for a print job is unknown. The default queue name is AUTO.
addstring
Specify a user-defined character string to prepend or append to print data. You can add up to eight character strings. Specify the string name and the character string in the addstring command line.
deletestring
Set a user-defined deletion string. Specify the string name in the deletestring command line.
TCP/IP Raw Print Ports
raw-port
Additional ports for printing to TCP port 9100. Valid ports are application dependent and range between 3000 to 9000. You can add up to two ports.
TCP/IP Access Control
allow
Add an entry into the host access list stored on the HP Jetdirect print server. Each entry specifies a host or network of hosts allowed to connect to the printer. The format is allow netnum [mask] where netnum is a network number or host IP address, and mask is an address mask of bits applied to the network number and host address to verify access. Add up to 10 access list entries. If there are no entries, all hosts are permitted access. The following are some example settings:
allow 192.0.0.0 255.0.0.0 Allows hosts on network 192.
allow 192.168.1.2 Allow a single host. The default mask 255.255.255.255 is assumed and is not required.
allow 0 Clear the host access list.
For additional information, see Security features (V.38.xx).
TCP/IP Other
syslog-config
Allow syslog server operation on the print server (UDP port 514).
0: Disable.
1 (default): Enable.
syslog-svr
IPv4 address of the server that the HP Jetdirect server sends syslog messages to. For example:
syslog-svr: 192.168.40.1
syslog-max
Maximum number of syslog messages the HP Jetdirect print server can send per minute.
0: Disable. The number of syslog messages is not restricted.
10 (default): Enable.
syslog-priority
Filter syslog messages sent to the syslog server. The filter range is from 0 to 7, with 0 being the most specific and 7 the most general. Only messages that are lower than the specified filter level (or higher in priority) are reported.
Set to 8 to disable all syslog messages.
0: Disable.
7 (default): Enable. Messages of all priorities are sent.
syslog-facility
Identify the source facility of a message. Typically used to identify the source of selected messages during troubleshooting. By default, the HP Jetdirect print server uses LPR as the source facility code. Use values of local0 through local7 to isolate individual or groups of print servers.
slp-config
Use the SLP operation on the print server. SLP is used by selected HP software applications (through UDP port 427) to automate device discovery.
0: Disable.
1 (default): Enable.
If SLP uses multicast protocols, you must enable multicast IPv4.
slp-keep-alive
Time (in minutes) the print server waits to send multicast packets on the network to prevent deletion from network device tables. Some infrastructure devices, such as switches, delete devices from their device tables due to inactivity on the network.
0: Disable.
1 to 1440: Enable.
bonjour-config
Use Bonjour. (Previously listed as multicast domain name system [mDNS services].) Bonjour is typically used for IP address and name resolution, through UDP port 5353, where a conventional DNS server is not available.
0: Disable.
1 (default): Enable.
To use Bonjour operation, you must enable multicast IPv4 (ipv4–multicast).
bonjour-svc-name
Bonjour service name. This name is persistent and is used to resolve a particular device or service if socket information (such as the IP address) changes from session to session. Apple Bonjour displays this service. The default service name is the printer model and the LAN hardware (MAC) address. Enter up to 64 alphanumeric characters.
Bonjour Domain Name
(Read only.) Bonjour domain name assigned to the device, in the form <host name>.local. If a user-specified host name is not assigned, the default host name NPIxxxxxx is used, where xxxxxx are the last 6 digits of the LAN hardware (MAC) address.
bonjour-pri-svc
Highest priority Bonjour service to use for printing. Set this parameter using the following values:
1: Port 9100 printing
2: IPP port printing
3: Default LPD raw queue
4: Default LPD text queue
5: Default LPD auto queue
6: Default LPD binps (binary PostScript) queue
7 through 12: If user-specified LPD queues are defined, corresponds to user-specified LPD queues 5 through 10.
Although the default selection depends on the printer, it is typically Port 9100 printing or LPD binps.
ftp-download
Download firmware upgrade files to the print server, using FTP.
0: Disable.
1 (default): Enable.
ttl-slp
IP multicast time-to-live (TTL) setting for SLP packets. The default value is 4 hops (the number of routers from the local network). Set from 1 to 15 hops.
-1: Disable.
4 (default): Enable multicast TTL.
ipv4-multicast
Receive and transmit IP version 4 multicast packets by the print server.
0: Disable.
1 (default): Enable.
NOTE:

If disabled, other protocols that use multicast protocols, such as Bonjour and SLP, might also be disabled without notification.
idle-timeout
Seconds that an idle print data connection can remain open. Set from 1 to 3600 seconds.
0: Disable. Connection does not terminate. Other hosts cannot make a connection.
270 (default): Enable.
user-timeout
Seconds that a Telnet or FTP session is idle before it is automatically disconnected. Set from 1 to 3600 seconds.
0: Disable.
900 (default): Enable.
CAUTION:

Setting this to a short time period might disable Telnet/FTP, because a session could terminate before changes can be made.
cold-reset
Reset to TCP/IP factory default settings after a cold reset. (Parameters for other subsystems, such as IPX/SPX or AppleTalk, are not affected.)
0: Disable. Retain TCP/IP settings after a cold reset.
1: Enable. Restore factory default TCP/IP settings.
ews-config
Allow use of the print server's embedded Web server.
0 Disable.
1 (default): Enable.
For more information, see Embedded Web server (V.38.xx).
web-refresh
Time interval for embedded Web server diagnostic page updates. Set from 1 to 99999 seconds. 0: Disable.
tcp-mss
Maximum segment size (MSS) that the HP Jetdirect print server advertises for use when communicating with local subnets (Ethernet MSS=1460 bytes or more) or remote subnets (MSS=536 bytes).
0 (default): All networks are assumed to be local (Ethernet MSS=1460 bytes or more).
1: Use MSS=1460 bytes (or more) for subnets, and MSS=536 bytes for remote networks.
2: All networks are assumed to be remote (MSS=536 bytes), except the local subnet.
MSS affects performance by preventing IP fragmentation that can result in data retransmission.
tcp-msl
Maximum segment life (MSL) in seconds. Set from 5 to 120 seconds.
0: Disable.
15 (default): Enable.
gw-disable
Automatically assign the device IP address as the gateway when a network gateway is not configured.
0: Assign a gateway using the device IP address.
1: Do not assign a gateway. The gateway address 0.0.0.0 is configured.
default-ip
IP address to use when the print server is unable to obtain an IP address from the network during a forced TCP/IP re-configuration. For example, when turned off and then on, or manually configured to use BOOTP/DHCP.
DEFAULT_IP: Set the legacy default IP address 192.0.0.192.
AUTO_IP: Set a link-local IP address 169.254.x.x.
The initial setting is determined by the IP address obtained when first turned on.
default-ip-dhcp
Periodically transmit DHCP requests when a legacy default IP address of 192.0.0.192 or a link-local IP address of 169.254.x.x is automatically assigned.
0: Disable DHCP requests.
1 (default): Enable DHCP requests.
dhcp-fqdn-config
(dhcp-fqdn-behavior)
NOTE:

This command might be superseded or overridden by the Config Precedence entries accessed through the embedded Web server.

Control configuration of the FQDN, using DHCP, manual configuration, or both. The FQDN consists of the device's host name and domain name. Use the following command values:
0 (default): Use DHCP to supply the host name and domain name. You can change the host name using a manual configuration method such as the embedded Web server, printer control panel, or Telnet. You cannot manually change the domain name if it is was configured using DHCP.
1: Keep DHCP settings only. Once the FQDN is configured through DHCP, manual changes are not allowed.
2: Keep manual settings. Manually configure the settings. DHCP can be used only if the settings are factory-default values.
3: Keep manual settings only. While manual configuration methods can be used, configuration through DHCP is not allowed.
duid
DHCP unique identifier for a client, using a hexadecimal string to represent up to 260 characters.
dns-cache-ttl
Time-to-live for a cached DNS name, in seconds. Set from 0 to 4294967295 seconds. Names are not cached. 0: Disable.
dhcp-arbitration
Amount of time, in seconds, that the print server waits for DHCP configuration offers. Set from 1 to 10 seconds.
0: Disable.
5 (default): Enable.
stateless-dhcpv4
Allow automatic configuration of additional IP parameters from a DHCPv4 server even when the print server is statically configured (such as a manually configure IP address, subnet mask and default gateway).
0 Disable.
1 (default): Enable.
TCP/IP Diagnostics
Last Config IP
(Read-only parameter.) IP address of the system from which the HP Jetdirect print server's IP address was configured.
TCP Conns Refused
(Read-only parameter.) Number of client TCP connections that are refused by the print server.
TCP Access Denied
(Read-only parameter.) Number of times that client systems were denied access to the print server because the print server's host access list does not contain an allowable entry.
DHCP Lease Time
(Read-only parameter.) DHCP IP address lease duration time (seconds).
DHCP Renew Time
(Read-only parameter.) DHCP T1 timeout, specifying the DHCP lease renewal time in seconds.
DHCP Rebind Time
(Read-only parameter.) DHCP T2 timeout, specifying the DHCP lease rebind time in seconds.
SNMP
snmp-config
SNMP operation on the print server.
CAUTION:

Disabling SNMP disables all SNMP agents (SNMP v1, v2, v3) and communications with management applications, such as HP Web Jetadmin. In addition, firmware upgrades through current HP downloading utilities is disabled.

0: Disable.
1 (default) Enable.
get-cmnty-name
Optional. Password to determine which SNMP GetRequests the HP Jetdirect print server responds to. If a Get community name is set, the print server responds to either a user-specified community name or the factory-default. Enter up to 255 alphanumeric characters.
set-cmnty-name
Password to determine which SNMP SetRequests (control functions) the HP Jetdirect print server responds to. The community name of an incoming SNMP SetRequest must match the print server's set community name for the print server to respond. (For additional security, you can limit configuration access through the print server's host access list.) Enter up to 255 alphanumeric characters.
default-get-cmnty
Default Get community name.
0 Disable.
1 (default): Enable.
Disabling this parameter can prohibit communications with SNMP management applications.
SNMP Traps
auth-trap
Send SNMP authentication traps. Authentication traps indicate that an SNMP request was received, but the community name check failed.
0 Disable.
1 (default) Enable.
trap-dest
Add a host's IP address to the HP Jetdirect print server's SNMP trap destination list. The list can contain up to six entries. To receive SNMP traps, the listed systems must have a trap daemon that listens for the traps. The following is the command format:
trap-dest: <ip-address> [community name] [port number]
In the example, <ip-address> is the IP address of the host to receive traps, [community name] specifies the SNMP community name, and [port number] identifies the port number to use.
The default community name is public. The default SNMP port number is 162. You must enter a community name to specify a port number.
To delete the list, set trap destination to zero (trap-dest: 0).
By default, the SNMP trap destination list is empty and the print server does not send SNMP traps.
IPX/SPX
ipx-config
IPX/SPX protocol operation on the print server.
0 Disable.
1 (default): Enable.
NOTE:

On HP Jetdirect 635n print servers, all network protocols except TCP/IP are disabled by factory default.
ipx-unitname
Name assigned to the print server. Enter up to 31 alphanumeric characters. By default, the name is NPIxxxxxx, where xxxxxx are the last six digits of the LAN hardware address.
Address
(Read-only parameter.) The IPX network and node numbers detected on the network, in the form <network number>:<LAN hardware address>.
ipx-frametype
IPX frame type settings available for your print server model: AUTO (default), EN_SNAP, EN_8022, EN_8023, EN_II. For more information, see HP Jetdirect configuration pages.
ipx-sapinterval
Time in seconds that the HP Jetdirect print server waits between service advertising protocol (SAP) broadcasts on the network. Set from 1 to 3600 seconds.
0: Disable.
60 (default): Enable SAP broadcasts.
ipx-mode
(Read-only parameter.) NetWare mode configured on the print server (RPRINTER or QSERVER).
ipx-nds-tree
NDS tree name for the print server. Enter up to 31 alphanumeric characters.
ipx-nds-context
NDS context for the HP Jetdirect print server. Enter up to 256 alphanumeric characters.
ipx-job-poll
Specifies the time interval in seconds that the HP Jetdirect print server waits to check for print jobs in a print queue. Set from 1 to 255 seconds.
0: Disable.
2 (default): Enable.
pjl-banner
(ipx-banner)
Print an IPX banner page through PJL.
0: Disable.
1 (default): Enable banner pages.
pjl-eoj
(ipx-eoj)
IPX end-of-job notification through PJL.
0: Disable.
1 (default): Enable.
pjl-toner-low
(ipx-toner-low)
IPX toner-low notification through PJL.
0: Disable.
1 (default): Enable.
AppleTalk
appletalk
Use AppleTalk (EtherTalk) protocol operation on the print server.
0: Disable.
1 (default): Enable.
NOTE:

On HP Jetdirect 635n print servers, all network protocols except TCP/IP are disabled by factory default.
Name
(Read-only parameter.) Name of the printer on the AppleTalk network. A number after the name indicates that this is the Nth instance of the name.
Print Type
(Read-only parameter.) AppleTalk network printer type reported by the HP Jetdirect print server. Up to three print types can be reported.
Zone
(Read-only parameter.) Name of the AppleTalk network zone on which the printer is located.
Phase
(Read-only parameter.) AppleTalk phase 2 (P2) is pre-configured on the HP Jetdirect print server.
Status
(Read-only parameter.) Current AppleTalk configuration status.
READY: HP Jetdirect print server is awaiting data.
DISABLED: AppleTalk was manually disabled.
INITIALIZING: Print server is registering the node address or name. An additional status message might also be displayed.
DLC/LLC
dlc/llc-config
Use DLC/LLC protocol operation on the print server (if supported).
0: Disable.
1 (default): Enable.
NOTE:

On HP Jetdirect 635n print servers, all network protocols except TCP/IP are disabled by factory default.
strict-8022
Controls DLC/LLC protocol interpretation:
0 (default): Disable. Provide loose interpretation.
1: Enable. Provide strict interpretation.
Other
upgrade
Set the name and location of the firmware upgrade file for the HP Jetdirect print servers.
CAUTION:

Ensure that command parameters are properly entered and that the upgrade file is a higher version than the currently installed version. The print server attempts to upgrade if the upgrade file contains a higher version than the installed version.

The following is the command format:
upgrade: <TFTP server IP> <Version> <Product Number> <Filename>
The following defines the parameters:
<TFTP Server IP> IP address of the TFTP server, <Version> firmware version of the upgrade file, <Product Number> print server product number <Filename> path and filename of the firmware upgrade file.
laa
Specify a locally administered address (LAA) to replace the factory-assigned LAN hardware (MAC) address. If LAA is used, enter a string of exactly 12 hexadecimal digits.
For Ethernet print servers, the LAA must start with hexadecimal X2, X6, XA, or XE, where X is any hexadecimal digit 0 through F.
The default address is the factory-assigned address.
xml-services-conf
Allow access by HP Web service applications to XML-based data on the HP Jetdirect print server.
0: Disable.
1 (default): Enable.
ws-discovery-conf
Allow Microsoft WS discovery protocols on the print server.
1 (default): Enable.
0: Disable.
1000t-ms-conf
Configure the print server as a master or slave device on a 1000T network.
AUTO or 0 (default): Master/slave configuration is automatically sensed and assigned.
MASTER or 1: Configure as a 1000T master device.
SLAVE or 2: Configure as a 1000T slave device.
1000t-pause-conf
Control the flow of inbound and outbound data.
OFF or 0 (default): Disable flow control.
AUTO or 1: Configure through auto-negotiation with the network switch.
RCV or 2: Enable only for data received from the network.
TRANS or 3: Enable only for data transmitted to the network.
TXRX or 4: Enable for both received and transmitted data.
network-select
(For HP Jetdirect products with a dual wired/wireless port. Specifies the active behavior of the print server.)
●
Auto (default): Automatically detects whether a network cable is attached. If a network cable is not attached, only the IEEE 802.11g wireless port is active. If a network cable is attached, then only the IEEE 802.3 wired port is active.
CAUTION:

Do not plug a network cable into an active wired/wireless port if the network-select command is set to Auto. Wireless access will immediately terminate.

●
Wired: Only the 802.3 wired port is active.
●
Wireless: Only the 802.11g wireless port is active.
link-type
(For wired 10/100/1000T Ethernet.) Set the print server's link speed (10, 100, 1000 Mbps) and communication mode (Full- or Half-Duplex). The available link-speed depends on the print server model. Select from the following communication modes:
AUTO (default): Use auto-negotiation to configure the highest link speed and communication mode allowed.
1000FULL: 1000 Mbps, full-duplex operation.
100AUTO: Limit auto-negotiation to a maximum link speed of 100 Mbps.
100FULL: 100 Mbps, full-duplex operation.
100HALF: 100 Mbps, half-duplex operation.
10FULL: 10 Mbps, Full-duplex operation.
10HALF: 10 Mbps, half-duplex operation.
usb-mode
Communication mode over the USB port on the HP Jetdirect print server.
●
Auto (default): Automatically negotiate and set the highest communication mode possible for the attached printer or device.
●
MLC: HP proprietary (multiple logical channels) mode that allows multiple channels of simultaneous print, scan, and status communication.
●
BIDIR: Standard connection that supports bi-directional communication between the printer and print server.
●
UNIDIR: Standard connection in which data is transferred in one direction only (to the printer).
usb-speed
(Read-only parameter, USB 2.0 products only.) Auto-negotiated communication speed over the USB connection between the HP Jetdirect print server and the device.
●
Full Speed: 12 Mbits/sec as specified in the USB v2.0 specifications, compatible with USB v1.1 specifications.
●
Hi-Speed: 480 Mbits/sec for USB v2.0 devices only.
●
Disconnected: USB port is not connected.
status-page-lang
Printer job language (PJL) that the print server uses to send the HP Jetdirect configuration/status page to the printer.
●
Auto (default): PJL is auto-detected when the print server is turned on or after a cold-reset.
●
PCL: HP Printer Control Language
●
ASCII: Standard ASCII characters
●
HPGL2: HP graphics language (v2)
●
PS: Postscript language
job-timeout
(External print servers only.) Number of seconds after which an idle connection to the printer is closed, for example through the USB port.
The range is from 30 to 4294967295 seconds. If set to zero (0), the default value of 270 seconds is used.
Support
Web JetAdmin URL
(Read-only parameter.) If HP Web Jetadmin discovers this device, the URL to access HP Web Jetadmin is specified.
Web JetAdmin Name
(Read-only parameter.) If HP Web Jetadmin discovers this device, the name of the HP Web Jetadmin host is specified (if known).
support-contact
Name of a person to contact for support of this device.
support-number
Phone or extension number to call for support of this device.
support-url
Web URL address for product information on this device over the Internet or an intranet.
tech-support-url
Web URL address for technical support over the Internet or an intranet.


Menu Interface

Menu Interface

An optional Menu interface is displayed when you type the menu command during a Telnet session with the HP Jetdirect print server. The Menu interface provides structured menu lists for easy access to configuration parameters.

Example: Using the Menu Interface illustrates the Menu interface, using the TCP/IP menus as an example.

●
From the Main Menu screen, select and enter a menu number. If there are submenus, select and enter a submenu number.
●
To change a setting, enter Y (for Yes) when prompted.

Edit the setting, using the Backspace key. If you enter an unrecognized value, the correct entry options are displayed.

NOTE:

Changes are not saved on the HP Jetdirect print server until you exit a menu and choose to save your changes.
Example: Using the Menu Interface

Example of using the HP Jetdirect menu interface during a Telnet session.

To edit these parameters, enter Y. Use the Backspace key to edit the parameters.

Changes are not saved until you save them when you exit the session.


Use Telnet to remove an IP address

Use Telnet to remove an IP address

To erase the IP address during a Telnet session, use the following command line entries:

1.
Type cold-reset, then press Enter.
2.
Type quit, then press Enter to exit Telnet.
3.
Turn the print server off and then on.

NOTE:

This procedure resets all TCP/IP parameters. Parameters for other subsystems such as IPX/SPX or AppleTalk are not affected.

To reset all parameters to factory default values, see Troubleshoot the HP Jetdirect print server.


Move to another network (IPv4)

Move to another network (IPv4)

When moving an HP Jetdirect print server that is configured with an IP address to a new network, make sure that the IP address does not conflict with addresses on the new network. You might need to change the IP address of the print server, or remove the current IP address and configure another address after it is installed. See Troubleshoot the HP Jetdirect print server for instructions to reset the print server to factory default settings.

NOTE:

If you use an HP Jetdirect wireless print server, this section assumes that a wireless network connection is established.

Moving an HP Jetdirect wireless print server to another network requires a new wireless connection to that network.

If the current BOOTP server is not reachable, you might configure the print server to use a different BOOTP server.

If the print server was configured using BOOTP, DHCP, or RARP, update the appropriate system files. If the IP address was manually set (from the printer control panel or Telnet), reconfigure IP parameters as described in this chapter.


Use the embedded Web server

Use the embedded Web server

You can use the embedded Web server on the HP Jetdirect print server to configure or view IPv4 and IPv6 parameters. For more information, see Embedded Web server (V.38.xx).


Use the printer control panel

Use the printer control panel

HP Jetdirect EIO or embedded print servers provide a configuration menu that you can open from the printer's control panel. Using this menu, you can enable or disable network protocols and set basic network parameters.

NOTE:

Control panel configuration support of specific IPv4/IPv6 and IPsec networking parameters depends on the HP Jetdirect print server and printer.

For instructions about using the control panel for your printer, see your printer documentation.

When accessing the HP Jetdirect menu from the printer's control panel, some TCP/IP network configuration parameters that you can set include the following (see HP Jetdirect control panel menus (V.38.xx) for additional parameters):

●
IP host name
●
TCP/IPv4 settings
●
TCP/IPv6 settings
●
Other network protocols (IPX/SPX, AppleTalk, DLC/LLC)
●
Security settings
●
Link configuration settings

To configure TCP/IP parameters not available from the control panel configuration, use an alternate configuration tool, such as Telnet/IPv4 or the embedded Web server.

If the HP Jetdirect print server is configured with TCP/IP parameters from the printer control panel, the configuration is saved on the print server when turned off and then on.


Embedded Web server (V.38.xx)
Embedded Web server (V.38.xx)

Embedded Web server (V.38.xx)

HP Jetdirect print servers contain an embedded Web server that is accessible from a compatible Web browser over an intranet. The embedded Web server provides access to configuration and management pages for the HP Jetdirect print server and the attached network device, such as a printer or multifunction peripheral (MFP) device.

Tabs across the upper portion of your browser window provide access to device and networking pages. The tabs and functions displayed vary depending on the capabilities of the device and the HP Jetdirect print server firmware version.

For a description of the device pages, see the embedded Web server documentation supplied with your printer or MFP device.

The Networking tab is displayed and controlled by the HP Jetdirect print server.

A typical Networking tab displayed by the HP Jetdirect print server is shown in HP Jetdirect Networking Tab.

HP Jetdirect Networking Tab

HP Jetdirect Networking tab screen

For network parameter descriptions, see “Networking tab”.

  • Requirements
  • View the embedded Web server
  • HP Jetdirect Home tab
  • Networking tab
  • Other Links


Requirements

Requirements

This section provides information about the following topics:

  • Compatible Web browsers
  • Supported HP Web Jetadmin version


Compatible Web browsers

Compatible Web browsers

To access the embedded Web server, you must use a compatible Web browser. In general, you can use those Web browsers that support HTML 4.01 and cascading style sheets.

Hewlett-Packard recommends using one of the following browsers:

●
Microsoft Internet Explorer 7.x or greater
●
Firefox 2.x or greater
●
Opera 9.0 or greater


Supported HP Web Jetadmin version

Supported HP Web Jetadmin version

HP Web Jetadmin is a browser-based, enterprise management tool for network devices. HP Web Jetadmin is available at:

http://www.hp.com/go/webjetadmin

To use the improved security features, HP Web Jetadmin version 8.0 or greater is recommended for operation with the HP Jetdirect embedded Web server. Using HP Web Jetadmin, you can enable the IPv4/IPv6 SNMP v3 agent and create an SNMP v3 account on the print server.

NOTE:

HP Web Jetadmin 8.0 does not support SNMP configuration over IPv6 protocols. However, you can view HP Jetdirect MIB configuration objects (such as IPv6 and IPsec objects) over IPv4.

Currently, browser support between HP Web Jetadmin and the embedded Web server might differ. For supported browsers with HP Web Jetadmin, visit http://www.hp.com/go/webjetadmin.


View the embedded Web server

View the embedded Web server

NOTE:

This section assumes that a wireless network connection is established.

If a wireless network connection is not established, you can use the embedded Web server to configure the HP Jetdirect wireless print server with wireless settings for your network.

Before you can use the embedded Web server, configure the HP Jetdirect print server with an IP address.

Using IPv6 protocols, addesses are typically configured automatically on the print server, although manual configuration is available. For basic information on IPv6 addresses, see TCP/IP configuration.

Using IPv4 protocols, you can automatically configure IP parameters over the network, using BOOTP or DHCP each time the print server is turned on. Or, you can manually configure IP parameters using the printer's control panel (for selected printers), Telnet, the arp and ping commands, HP Web Jetadmin or other management software. For more information on TCP/IP configuration options, see TCP/IP configuration.

When turned on, an HP Jetdirect print server that cannot retrieve a valid IP address from the network automatically assigns itself either the default IPv4 address 192.0.0.192 or a link-local address in the range 169.254.1.0 to 169.254.254.255. You can determine the IP address configured on your print server by inspecting the HP Jetdirect configuration page. See TCP/IP configuration for more information.

If the default IPv4 address 192.0.0.192 is assigned, you must temporarily set up your computer with the same IP network number or establish a route to the print server before you can use the embedded Web server.

To access the embedded Web server, perform the following steps:

1.
Run a supported Web browser.
2.
Enter the IP address or FQDN of the print server as the URL.
NOTE:

For browsers that support direct IPv6 address entries, an IPv6 address is typically enclosed in brackets ([ ]). See your system documentation.

If you do not know the FQDN for the device (for example, printer1.support.hp.com), enter the host name (in this example, printer1). Your system might resolve an IP address for the device.

Entering an IP Address or Fully Qualified Domain Name

Entering an IP address or host name as the URL.

3.
If prompted with security alerts, click Yes to proceed.

By factory default, HP Jetdirect print servers and printers/MFPs with IPsec support are configured as a secure site, using an X.509v3-compliant certificate installed on the print server for identification. Encrypted browser communications through HTTPS is required for initial access.

Although not recommended, you can use your Internet Options menu to configure your browser to ignore security warnings if the print server is configured to operate through HTTPS. See Mgmt. Protocols.

4.
An embedded Web server page is displayed. The printer/MFP typically provides the initial page that is displayed.

This section provides information about the following topics:

  • Operating notes


Operating notes

Operating notes

●
If you enter or change a configuration parameter value, click Apply to enable your change, or click Cancel to erase your change.
●
The embedded Web server provides access to wireless network connection parameters on HP Jetdirect wireless print servers.
CAUTION:

If you change the wireless network settings, you can lose your connection. To reconnect, you might need to adjust your system to the new settings.

If the print server loses its network connection, you might need to reset it to a factory-default state and reinstall it.
●
Changes to the IP address close the connection to the embedded Web server. To re-establish a connection, use the new IP address.
CAUTION:

Changes to the IP address on the HP Jetdirect print server can cause printing failures on any clients configured with the previous IP address to print to this printer.

●
For Novell NetWare networks, use the IPX/SPX tab on the Network Settings page to configure NDS queue server mode parameters. Note that the embedded Web server cannot create NDS objects (print server, printer, and print queue) on the Novell server. Instead, use a Novell NetWare utility, such as NWAdmin, or configure the IPX/SPX stack for NDS using an HP utility, such as HP Web Jetadmin.


HP Jetdirect Home tab

HP Jetdirect Home tab

The Home tab displays the HP Jetdirect home page if a Web server in the attached device cannot be accessed or does not exist. The HP Jetdirect home page displays a generic printer graphic to represent the attached device. The HP Jetdirect print server's product model, firmware version, and network addresses are displayed along with any device information. HP Jetdirect Home Page Items provides a summary of the items displayed on the HP Jetdirect home page.

NOTE:

The information displayed depends on the HP Jetdirect print server and device. Value-featured print servers provide limited information.

HP Jetdirect Home Page Items
Item
Description
Home tab
HP Jetdirect Home page. This tab is not displayed if Web pages provided by the attached device are accessible.
Networking tab
Access to network configuration, security, and diagnostic parameters. For more information, see Networking tab.
Device Info
Device information, such as the product name, model name, and serial number of the printer or MFP device that is connected to the network through the HP Jetdirect print server.
Can also display other retrieved information such as Page Count or Control Panel status. The information varies depending on the features of the attached device.
Select Language
Displayed if the HP Jetdirect Web pages support multiple languages. You can also select supported language by using language preference settings in your browser.
To display supported non-English languages, enable cookies in your browser settings.
Host Name
IP host name assigned to the device and stored on the HP Jetdirect print server. The default host name is NPIxxxxxx, where xxxxxx are the last six digits of the LAN hardware (MAC) address. See TCP/IP on the Networking tab.
System Up Time
Length of time since either the HP Jetdirect print server or the network device was last turned off and then on.
System Contact
A text string (stored on the HP Jetdirect print server) for the name of a person to contact for this device. See TCP/IP on the Networking tab.
System Location
Text string stored on the HP Jetdirect print server that identifies the physical location of this device. See the Networking TCP/IP configuration pages.
HP Jetdirect product
Product number of the HP Jetdirect print server (for example HP J7982E).
Firmware Version
Operating instruction version installed on the HP Jetdirect print server.
IP Address
IP address configured on the HP Jetdirect print server.
Hardware Address
LAN hardware (or MAC) address of the HP Jetdirect print server. This unique address is assigned by Hewlett-Packard, but can be locally administered.
LAA
LAA that replaces the LAN hardware (MAC) address. The LAA is configured under local control by a network administrator. By default, the LAA is the factory-assigned LAN hardware address.
Admin Password
Indicates whether an administrator password is set. Can be configured through a Telnet session with the HP Jetdirect print server, or from HP Web Jetadmin.
Because passwords are synchronized with selected printers, the password might have been set through printer security Web pages.
Use the Admin Password page to set or clear administrator passwords.
If an administrator password is set, you are prompted for a User Name and Password to access network parameters. For more information, click Help, or see Admin. Account .

This section provides information about the following topics:

  • Device tabs


Device tabs

Device tabs

Instead of the Home tab, various device tabs are displayed if the attached network device also contains a supported embedded Web server. Device tabs provide access to embedded Web pages provided by the device. For information on Device tab features, see the embedded Web server guide for the device. This guide is supplied with HP LaserJet printers and MFPs that support an embedded Web server.


Networking tab

Networking tab

The Networking tab provides access to HP Jetdirect network configuration parameters and status. At the top of the page, the printer/MFP model, host name, and IP address are displayed. These items are persistent on all network configuration pages. The menu items in the left margin provide access to configuration and status pages.

NOTE:

The information displayed depends on the HP Jetdirect print server and device. Value-featured print servers provide limited information and capabilities.

Networking Menu Items
CONFIGURATION section
●
Wireless
●
TCP/IP Settings
●
Network Settings
●
Other Settings
●
Select Language
SECURITY section
●
Security: Settings
●
Authorization
●
Mgmt. Protocols
●
802.1X Authentication
●
IPsec/Firewall
DIAGNOSTICS section
●
Network Statistics
●
Protocol Info
●
Configuration Page

This section provides information about the following topics:

  • Wireless
  • TCP/IP Settings
  • Network Settings
  • Other Settings
  • Select Language
  • Security: Settings
  • Authorization
  • Mgmt. Protocols
  • 802.1X Authentication
  • IPsec/Firewall
  • Network Statistics
  • Protocol Info
  • Configuration Page


Wireless

Wireless

NOTE:

You can use HP Jetdirect wired/wireless print servers in a wired or wireless networking environment. To specify the connection type, see Misc. Settings .

Use the Wireless pages to create or change your wireless network configuration parameters for your IEEE 802.11 wireless Ethernet connection.

The configuration parameters are summarized in Wireless configuration parameters.

The Wireless page displays all wireless configuration parameters required to make a wireless connection to your network. Click Apply to set, or Cancel to ignore, your configuration entries. To reset to factory-default values, click Restore Defaults.

Alternatively, you can click the Wireless Wizard button in the General section of the Wireless page to configure your wireless network connection. This launches a configuration wizard that guides you through the required 802.11 wireless configuration parameters and, depending on your choices, bypasses unnecessary parameters.

NOTE:

If you improperly exit the wizard, for example by failing to use the Cancel button, an Operation Failed screen might appear. If so, wait approximately two minutes before restarting the wizard.

An HP Jetdirect wireless print server with factory-default settings (ad hoc mode) is easily accessible by unauthorized clients. Therefore, do not turn on a print server with factory default settings any longer than necessary. Ensure that you verify any configuration settings.

Wireless configuration parameters
Item
Description
Network Name (SSID)
Select a network name that the HP Jetdirect print server connects to from the Existing wireless network list, or, provide a network name in the Enter a Network Name field. The network name is also called the service set identifier (SSID) and identifies the extended service set (ESS) that is normally associated with larger infrastructure mode networks. The print server lists the detected SSIDs.
An empty (or blank) SSID field is accepted, for example, on networks that rely on signal strength, encryption and authentication methods to control network access.
The factory-default SSID configured on the HP Jetdirect print server is “hpsetup”. To initially communicate with the print server, your wireless computer's SSID must also be “hpsetup”.
NOTE:

The SSID characters are case sensitive. Ensure you use the appropriate lowercase or uppercase characters.
Refresh
Click this button to refresh the list of network names detected by the print server.
Ad Hoc Network (peer-to-peer)
Wireless communication topology in which the wireless devices on a network communicate directly with each other. Access points are not used. Other terms used for ad hoc include independent basic service set (IBSS), and computer-to-computer mode.
The factory-default mode configured on the HP Jetdirect print server is ad hoc. To initially communicate with the print server, your wireless computer must be set up for ad hoc.
Channel
(Ad hoc mode only) Identifies the radio frequency that the print server uses to broadcast its availability if it fails to associate with the specified ad hoc network on any channel.
By factory default, channel 11 (2462 MHz) is used. However, channel 10 (2457 MHz) is also available.
The factory-default mode configured on the HP Jetdirect print server is ad hoc. To initially communicate with the print server, your wireless computer must be set up for ad hoc.
No Security
(No encryption or authentication. Open system.) Your wireless network does not require device authentication or security to access the network. However, your network might still use WEP encryption keys for data privacy.
WEP
(Requires a WEP key.) Each device on your wireless network uses a shared encryption key (a shared password value) for network access and communications. Each device on the network must use the same key. The HP Jetdirect print server supports IEEE 802.11 wired equivalent privacy (WEP) keys for encrypted network communications. If you select WEP encryption, you must configure one or more WEP keys. Provide the following if you select WEP:
●
Authentication — Select Open System authentication if your wireless network does not require authentication for network access. (Your network might use WEP encryption keys for data security.) Select Shared Key authentication if your network requires that each device be configured with the same WEP key for network access. Choose Auto to automatically select open or shared.
●
WEP Key — The WEP key format is programmatically determined and validated using either alphanumeric ASCII (8-bit) characters or hexadecimal (4-bit) digits.
●
Key Index — Specify the WEP key index position (1, 2, 3, 4) that the print server uses for encrypted communications.
WPA (WiFi Protected Access)
Your network uses WPA. Choose WPA – Personal, which uses a pre-shared key typically generated by a passphrase. Or, select WPA – Enterprise which is commonly used in enterprise-level networks. A dedicated server verifies the identity of a user or device requesting access to the network before granting that access.
Select the WPA Version (Auto, WPA, or WPA-2), and then select the Encryption, using Auto, advanced encryption standard (AES), or temporal key integrity protocol (TKIP).
WPA — Personal
Choose WPA– Personal, which uses a pre-shared key typically generated by a passphrase.
Enter the Passphrase to use when generating the pre-shared key for WPA — Personal authentication on your network. A passphrase must be from 8 to 63 ASCII characters in the hexadecimal range 21 through 7E (characters 0–9, a–z, A–Z and numerous special characters including !, @, #, $, %, ^, &, (, ), _, +, =, −, {, }, [, ], \, /, “, <, >, ?, “, ‘, ˜).
WPA — Enterprise
Select WPA — Enterprise security if your network uses WPA with EAP/802.1x authentication. This type of security utilizes a central authentication server, such as RADIUS, to authenticate users on the network. For WPA — Enterprise, the HP Jetdirect print server supports these server-based authentication protocols: LEAP PEAP EAP-TLS. Provide the following if you select WPA — Enterprise:
●
Enabled Protocols: Select LEAP, PEAP, or EAP-TLS. LEAP (Lightweight Extensible Authentication Protocol) is a proprietary protocol from Cisco Systems that uses passwords for mutual authentication (the client and the server authenticate each other). PEAP (Protected Extensible Authentication Protocol) is a mutual authentication protocol that uses digital certificates for server authentication and passwords for client authentication. For additional security, the authentication exchanges are encapsulated within TLS (Transport Level Security). EAP-TLS (EAP using Transport Level Security) is a mutual authentication protocol based on digital certificates.
●
User Name: Enter an EAP/802.1X user name, which cannot exceed 128 characters, for this device. The default user name is the default host name of the print server, NPIxxxxxx, where xxxxxx are the last six digits of the LAN hardware (MAC) address.
●
Password and Confirm Password: Enter an EAP/802.1X user password (up to 128 characters) for this device and then confirm the password by entering it again.
●
Server ID: Specify the Server ID validation string identifying and validating the authentication server. This string is specified on the digital certificate issued by a trusted Certificate Authority (CA) for the authentication server. The entry can be a partial string unless you select Require Exact Match.
●
Encryption Strength: Specify the minimum encryption strength to use during communications with the authentication server. You can select Low, Medium, or High encryption strength. For each encryption strength, ciphers are specified to identify the weakest cipher allowed.
●
Jetdirect Certificate: A self-signed HP Jetdirect certificate is preinstalled and used to validate the identity of the HP Jetdirect device to clients and to network authentication servers. This allows the embedded Web server to use HTTPS and appear as a secure site when accessed by a Web browser. Click Configure to update the certificate or install a new one.
●
CA Certificate: To validate the authentication server's identity, a CA (or Root) certificate must be installed on the print server. This CA certificate must be issued by the Certificate Authority who signed the authentication server's certificate. Click Configure to configure or install a CA certificate.
Restore Defaults
Click this button to restore 802.1X configuration settings to factory default values.


TCP/IP Settings

TCP/IP Settings

The TCP/IP Settings menu provides access to the following tabs:

●
Summary tab
●
Network Identification tab
●
TCP/IP(v4) tab
●
TCP/IP(v6) tab
●
Config Precedence tab
●
Advanced tab

This section provides information about the following topics:

  • Summary tab
  • Network Identification tab
  • TCP/IP(v4) tab
  • TCP/IP(v6) tab
  • Config Precedence tab
  • Advanced tab


Summary tab

Summary tab

This tab provides a summary of the TCP/IP configuration. Items on this page are described in the following table.

TCP/IP Summary tab
Item
Description
Host Name
IP host name assigned to the device and stored on the HP Jetdirect print server.
To configure a host name, see the Network Identification tab.
IPv4 Status
Status of the IPv4 protocol. You cannot disable IPv4 from the embedded Web server in this release.
Fully Qualified Domain Name (IPv4/IPv6)
Consists of the device's host name and domain name. Unless the network administrator segments domains into separate IPv4 and IPv6 hosts, you can use the FQDN on either IPv4 or IPv6 networks simultaneously.
IPv4 Address
IPv4 address, subnet mask and default gateway for the print server.
Config By
IPv4 parameters configured using: DHCP, BOOTP, Manual, or Auto IP.
DHCP Lease Time
Duration of the DHCP IP address lease (in seconds) for the print server. Populated if DHCP configuration is used.
IPv6 Status
Status of the IPv6 protocol. Enable or disable using the embedded Web server.
Fully Qualified Domain Name (IPv6 only)
Consists of the device's host name and domain name. Depending on the network architecture, it can be the same as, or different from, the printer's IPv4 FQDN. If assigned, it applies to the IPv6 network only.
IPv6 Address list
IPv6 addresses configured on the print server. For each address, the following items are specified:
●
Prefix length: Number of bits that comprise the fixed portion of the address. Typically, it is 64 and identifies network/subnet portion of the address.
●
Config By: How the address was configured, such as auto-configuration through link-local addressing, by a router, by a DHCP(v6) server, or configured manually.
●
Valid Lifetime: Length of time (lifetime) that the address can be used, after which the address becomes invalid. Determined during the auto-configuration process.
●
Preferred Lifetime: Length of time (lifetime) that the address can be used without limitation. After this time, the address is deprecated (its use is discouraged). The preferred lifetime is a subset of the valid lifetime, and is determined during the auto-configuration process.
Default Route Information
IPv6 address and the length of time until it expires. (Used when a router advertises itself to the print server as a default router on the local link.)


Network Identification tab

Network Identification tab

This tab provides TCP/IP network identification. Items on this page are described in the following table.

NOTE:

Names, such as host and domain, must begin with a letter and can contain only letters, numbers, periods (for domain names only), or hyphens. The underline character (_) is not allowed.

TCP/IP Network Identification tab
Item
Description
Host Name
Readable IP name (the SNMP SysName object) for the network device. Must start with a letter and can end in a letter or number, and be up to 32 ASCII characters in length. The default name is NPIxxxxxx, where xxxxxx are the last six digits of the LAN hardware (MAC) address.
Domain Name (IPv4/IPv6)
Domain Name (IPv6 only)
DNS domain name that the HP Jetdirect print server resides in (for example, support.hp.com). This name is not the host name or the FQDN (such as printer1.support.hp.com).
The IPv4 and IPv6 domain names can be the same or different depending on the network. A separate IPv6 domain name can be assigned on networks where segmentation of IPv4 and IPv6 hosts is desirable. If you assign an IPv6 domain name, it applies to the IPv6 network only.
DNS (IPv4)
DNS (IPv6)
Primary and secondary DNS servers on your IPv4 or IPv6 networks.
Primary: IP address of the primary DNS server.
Secondary: IP address of a secondary DNS server to use if the primary DNS server is unavailable.
DNS Suffixes
Printer domain names. You can create and store a DNS suffix list on the print server to assist in resolving the printer's host name with its IP address. (FQDN consists of a domain name appended to a host name. FQDNs are used, for example, by DNS servers to resolve an IP address associated with a device.) The DNS suffix list can contain up to 32 entries. DNS suffix entries can contain up to 256 alphanumeric characters and periods.
To add an entry to the suffix list, enter a domain name (text string) in the field next to the Add button, and then click Add. To delete an entry from the list, select it, and then click Delete.
WINS (IPv4 only)
Preferred and alternate WINS server on your IPv4 network. Like DNS, WINS provides IP address and name resolution services for network computers and devices.
Preferred (Primary): IP address of the preferred WINS server.
Alternate (Secondary): IP address to use if the preferred WINS Server is unavailable.
Bonjour
Bonjour service name (previously listed as Multicast Domain Name System [mDNS Service Name]), or the assigned Bonjour domain name.
●
Bonjour Service Name: Used to resolve a particular device or service if socket information (such as the IP address) changes from session to session. The name is persistent.

The default service name is the printer model and the last six digits of the LAN hardware (MAC) address. Enter up to 64 alphanumeric characters.

●
Bonjour Domain Name: (Read-only parameter.) Bonjour domain name assigned to the device, in the form <host name>.local. If a host name is not assigned, the default host name NPIxxxxxx is used, where xxxxxx are the last 6 digits of the LAN hardware (MAC) address.


TCP/IP(v4) tab

TCP/IP(v4) tab

Use the TCP/IP(v4) tab to configure basic IPv4 settings on the print server. For additional parameters, see the Advanced tab.

TCP/IP(v4) tab
Item
Description
IP Configuration Method
Method that the HP Jetdirect print server uses for its IP configuration parameters: BOOTP (default), DHCP, Manual, or Auto IP.
BOOTP or DHCP IP parameters are automatically configured by a BOOTP or DHCP server each time the print server is turned on.
Manual Enter IP parameters using this Web page or using other available tools.
Auto IP A unique link-local address 169.254.x.x is assigned.
For more information, see TCP/IP configuration.
IP Address
Manually assign the IP address on the HP Jetdirect print server.
This IP address uniquely identifies a node on a TCP/IP network. Duplicate IP addresses on a TCP/IP network are not allowed.
Subnet Mask
Manually assign a subnet mask if subnetting is used. A subnet mask is a 32-bit number. When applied to an IP address, the subnet mask determines which bits specify the network and subnet, and which bits uniquely specify the node.
Default Gateway
IP address of a router or computer that is used to connect to other networks or subnetworks.


TCP/IP(v6) tab

TCP/IP(v6) tab

Use the TCP/IP(v6) tab to enable IPv6 operation, view IPv6 auto-configuration addresses, or manually configure IPv6 addresses. For basic information on IPv6 addresses on the print server, see TCP/IP configuration. For additional parameters that you can configure, see the Advanced tab.

TCP/IP(v6) tab
Item
Description
IPv6 Enable
Select or clear the check box to enable or disable IPv6 operation.
Link-Local Address
(Read only parameter.) Print server's IPv6 link-local address and prefix length. The print server configures this address automatically. The link-local address allows the print server to communicate with other IPv6 hosts on the local link without routers.
Stateless Addresses
(Read only parameters.) Stateless addresses and prefix lengths configured on the print server. Stateless addresses are assigned under the control of a router.
DHCPv6 Addresses
Select the DHCPv6 policy that the print server uses for stateful addresses, assigned by a DHCPv6 server.
Select one of the following:
●
Perform DHCPv6 only when requested by a router Allow the router to control stateful addressing.
●
Perform DHCPv6 when stateless configuration is unsuccessful Attempt to use DHCPv6 if stateless addressing by a router fails.
●
Always perform DHCPv6 on startup Always attempt DHCPv6 for configuration each time it is turned on.
If DHCPv6 is used for stateful addressing, the addresses (and associated prefixes) configured on the print server are listed.
Manual Address
Set an IPv6 address on the print server and select whether to use it.
Select the Enable check box to use a manually configured IPv6. Clear this check box to disable the address.
Enter the IPv6 address and its prefix length using the Address and Prefix length fields. If IPv6 address prefixes (for example, supplied by a router) are stored on the print server, you can select a prefix from the Prefix field, and then click Add to copy the prefix into the Address field. Then enter the remainder of the address.


Config Precedence tab

Config Precedence tab

Specify the order of precedence of the print server configuration methods. For example, to ensure that IPv4 parameters configured by a TFTP server cannot be overwritten by a manual configuration method (such as the printer control panel, Telnet, or embedded Web server), you can indicate that TFTP takes precedence over manual configuration.

The factory-default precedence order is indicated in the following table.

TCP/IP Config Precedence tab
Item
Description
Configuration Methods
Precedence of the configuration methods. The default precedence order is shown, where manual configuration has the highest priority. To change the order of the list, select an entry and use the up or down arrows to move it.
Manual Use the printer control panel, Telnet, embedded Web server, installation and management software.
TFTP Use a TFTP file from a TFTP server, typically identified during a BootP/DHCP configuration.
DHCP/Bootp Use a BootP or DHCPv4 server.
DHCPv6 Use a DHCPv6 server.
Default: Factory default configuration.
Reset to default scheme
Reset the precedence table to the default sequence.
Reinitialize Now
Save the new precedence table, clear the configuration method to its factory-default setting, and restart the IP stack.
Clear Previous Values and Reinitialize Now
Save the new precedence table, clear the configuration method to its factory-default setting, clear current TCP/IP parameter settings, and restart the IP stack.
Apply
Cancel
Click Apply to save the changes to the Configuration Methods precedence table. Depending on the changes made, you might need to turn the print server Off/On to implement.
Click Cancel to cancel your changes to the precedence table.
CAUTION:

Clicking Cancel does not reverse changes made by the Reinitialize Now or Clear Previous Values and Reinitialize Now buttons.

Example: To set all parameters configured through DHCP to Read-only, and allow manual configuration only of parameters that are not configured through DHCP, use the following steps:

1.
Turn on the print server so that it obtains its DHCP configuration.
2.
Change the precedence table to the following:

BOOTP/DHCPv4
DHCPv6
TFTP
Manual
Default

3.
Press Clear Previous Values and Reinitialize Now.


Advanced tab

Advanced tab

Use this tab to configure additional TCP/IP parameters.

TCP/IP Advanced tab
Item
Description
Idle Timeout
(IPv4 or IPv6) Number of seconds that an idle connection is allowed to remain open. The default is 270 seconds. Enter to 3600 seconds. If set to 0, the timeout is disabled and TCP/IP connections remain open until closed by the device at the other end of the network (for example, a workstation).
LPD Banner Page
(IPv4 or IPv6) Print an LPD banner page for print jobs. For currently supported print servers, only Port 1 is available.
System Contact
(IPv4 or IPv6) Person who administers or services this device.
If set, displayed on the Protocol Info page, and the HP Jetdirect Home tab, if available.
System Location
(IPv4 or IPv6) Physical location of the device or related information. Enter up to 64 alphanumeric characters.
If set, displayed on the Protocol Info page, and the HP Jetdirect Home tab, if available.
Automatic
(IPv4 only) Web proxy discovery is automatically initiated (default).
Manual cURL
(IPv4 only) Web proxy server is automatically selected using a configuration script that is based on the user location. Specify the script by entering the URL in this field.
Manual Settings
(IPv4 only) Web proxy defaults are set manually using the following methods:
Proxy Server
(For printers/MFPs that support this feature)
(IPv4 only) Proxy server to use by embedded applications in your printer/MFP. Enter up to 64 alphanumeric characters. A proxy server is typically used by network clients for Internet access. It caches Web pages and provides a degree of Internet security for those clients.
Enter its IP address or FQDN.
On some networks, you might need to contact your ISP for the proxy server address.
Proxy Server Port
(For printers/MFPs that support this feature)
(IPv4 only) Port number used by the proxy server for client support. Enter a value from 0 to 65535. The port number identifies the port reserved for proxy activity on your network.
Proxy Server User Name
(For printers/MFPs that support this feature)
(IPv4 only) If a user account is set on the proxy server, enter the user name.
Proxy Server Password
(For printers/MFPs that support this feature)
(IPv4 only) If a user account is set on the proxy server, enter the user password.
Proxy Server Exception List
(For printers/MFPs that support this feature)
(IPv4 only) Web addresses, host names, or domain names not requiring access through the proxy server. Use a semicolon (;) to separate entries.
Disable
Do not automatically search for the web proxy.
Default IP
(IPv4 only) IP address to use when the print server cannot obtain an IP address from the network during a forced TCP/IP re-configuration. This situation can occur if the print server is configured to use BOOTP/DHCP.
LEGACY DEFAULT_IP Set the legacy default IP address 192.0.0.192.
AUTO_IP Sets a link-local IP address 169.254.x.x.
The initial setting is determined by the IP address obtained when first turned on.
Send DHCP requests if IP address is Auto IP (169.254.x.x) or Legacy Default IP
(IPv4 only) Periodically transmit DHCP requests when a legacy default IP address 192.0.0.192 or link-local IP address 169.254.x.x is automatically assigned.
Select or clear the check box to enable (default) or disable DHCP requests.
Use Stateless DHCPv4 When Manually Configured
(IPv4 only) Allow additional IPv4 parameters to be automatically configured from a DHCPv4 server even when the print server is statically configured, such as a manually configured IP address, subnet mask or default gateway.
Select or clear the check box to enable (default) or disable stateless DHCPv4 configuration.
Enable DHCPv4 FQDN compliance with RFC 4702
By default, HP Jetdirect uses the Host Name and Domain Name settings to derive the FQDN. Selecting this option forces HP Jetdirect to ignore the Host Name and Domain Name settings and instead use the host name and domain name returned by FQDN.
Hop Limit/WSD
Set the WS-Discovery hop limit for the site local IPv6 multicast packet.
TTL/SLP
(IPv4 only) IP multicast time-to-live (TTL) discovery setting for SLP packets. Enter from 1 to 15. The default value is 4 hops (the number of routers from the local network). Set to −1 to disable multicast capability.
For print servers configured for Auto IP (link-local) addresses, this setting is ignored. TTL on outbound packets is always set to 255 and limited to the link-local network.
Syslog Server
(IPv4 only) IP address of a host computer that is configured to receive syslog messages from the HP Jetdirect print server. If a syslog server is not specified, syslog messages are disabled.
Syslog Maximum Messages
(IPv4 only) Maximum number of syslog messages sent by the HP Jetdirect print server per minute. Allows you to control the log file size. The default is 10 per minute. If set to zero, no maximum number is defined.
Syslog Priority
(IPv4 only) Filter syslog messages sent to the syslog server. Enter from 0 to 7, with 0 being the most specific and 7 being the most general. Only messages that are lower than the specified filter level (that is, higher in priority) are reported. The default value 7 reports all syslog messages. A value of 8 disables syslog reporting.


Network Settings

Network Settings

Use the Network Settings pages to set or change configuration parameters for IPX/SPX, AppleTalk, DLC/LLC, and SNMP protocols. To assign a parameter setting, enter the desired value and click Apply.

NOTE:

The features displayed depend on the print server. Value-featured print servers provide limited protocol support.

This section provides information about the following topics:

  • IPX/SPX
  • AppleTalk
  • DLC/LLC
  • SNMP


IPX/SPX

IPX/SPX

Use the IPX/SPX tab to configure IPX/SPX parameters on the HP Jetdirect print server. IPX/SPX protocols are used for operation on a Novell NetWare or compatible IPX/SPX network (such as a Microsoft network). For a description of the items, see IPX/SPX tab settings.

CAUTION:

If you are using direct-mode printing over IPX/SPX on a Microsoft network, do not disable IPX/SPX.

For a Novell NetWare network:

●
Use the embedded Web server to select Queue Server Mode parameters in a Novell Directory Services (NDS) environment.
●
Do not use the embedded Web server to create the NDS print server, printer, and queue objects. Instead, use another tool or utility.

IPX/SPX tab settings
Item
Description
IPX/SPX Enable
Select the check box to use IPX/SPX protocols.
IPX/SPX Frame Type
IPX/SPX frame type to use on your network. After a frame type is configured, all others are counted and discarded.
●
All Frame Types (Auto) Sense all types and configure the first one detected (default).
●
Ethernet 802.3 (EN_8023) Use IPX over IEEE 802.3 frames.
●
Ethernet II (EN_II) Use IPX over Ethernet frames.
●
Ethernet 802.2 (EN_8022) Use IPX over IEEE 802.2 with IEEE 802.3 frames.
●
Ethernet SNAP (EN_SNAP) Use IPX over SNAP with IEEE 802.3 frames.
SAP Interval
Time interval (in seconds) that the HP Jetdirect print server waits to send SAP messages, which are broadcast to advertise its service capabilities on a Novell NetWare network. The default is 60 seconds. Enter zero (0) to disable.
Print Server Name
NetWare printer name for the HP Jetdirect print server. The default name is NPIxxxxxx, where xxxxxx are the last six digits of the HP Jetdirect print server's LAN hardware (MAC) address.
NDS Tree Name
Name of the NDS tree for this device. Refers to the name of the organizational tree used by your network. To disable NDS support, leave the field blank.
NDS Context
NDS container or organizational unit that contains the print server object. Print queue and device objects can be located anywhere within the NDS tree, but the HP Jetdirect print server must be configured with the fully qualified print server object name.
For example, if the print server object is found in the container “marketing.mytown.lj”, the fully qualified print server context name (CN) is:
“OU=marketing.OU=mytown.O=lj”
In the example, OU is an organization unit container and O is an organization container within the NDS tree. The print server also accepts “marketing.mytown.lj”.
To disable NDS support, leave the field blank.
NOTE:

You cannot create NDS objects using the embedded Web server.
Job Poll Interval
Time interval in seconds that the HP Jetdirect print server waits to check for print jobs in a print queue.
PJL Configuration
Set the printer job language (PJL) parameters. Select or clear the check box to enable or disable the following:
●
Banner Page Print separator pages between print jobs.
●
End-Of-Job Notification Forward an end-of-job message to a client application (if received from the printer).
●
Toner Low Notification Forward a toner low message to a client application (if received from the printer).


AppleTalk

AppleTalk

Use the AppleTalk tab to configure selected settings on the HP Jetdirect print server. For a description of the items, see AppleTalk tab settings.

NOTE:

The displayed AppleTalk parameters include the printer types that are advertised on the network.

The HP Jetdirect print server supports AppleTalk Phase 2 only.

AppleTalk tab settings
Item
Description
AppleTalk Enable
Select the check box to enable the AppleTalk protocol. Current AppleTalk parameters stored on the print server are displayed.
NOTE:

On HP Jetdirect 635n print servers, all network protocols except TCP/IP are disabled by factory default.
AppleTalk Name
Name of the printer on the AppleTalk network. If you enter a name that is already assigned on your network, a number is used to indicate the duplicate name.
Type
Printer type advertised on the network. Display up to two types (for example, HP LaserJet and LaserWriter).
Zone
AppleTalk network zone for the printer. By default, the current zone is displayed.
Click the Refresh selected zone Info button to refresh the list of available zones.


DLC/LLC

DLC/LLC

Select or clear the check box to enable or disable DLC/LLC protocols on the HP Jetdirect print server.

NOTE:

On HP Jetdirect 635n print servers, all network protocols except TCP/IP are disabled by factory default.


SNMP

SNMP

Use the SNMP tab to specify or change the provided parameters. For a description of the items, see SNMP tab settings.

CAUTION:

Hewlett-Packard recommends using HP Web Jetadmin to configure SNMP v3 and other security settings on the print server.

If you use the embedded Web server, existing SNMP v3 accounts are removed. In addition, you must implement the SNMP v3 account information on the SNMP management application. For more information, see SNMP v3.

SNMP tab settings
Item
Description
Enable SNMPv1/v2 read-write access
Select the check box to enable the SNMP v1/v2c agents on the print server. Configure custom community names to control management access to the print server.
Set Community Name is a password to send (or write) SNMP information on the HP Jetdirect print server.
Get Community Name is a password to retrieve (or read) SNMP information on the HP Jetdirect print server.
An incoming SNMP SetRequest or GetRequest command must contain the appropriate Set or Get community name for the print server to respond.
Enter up to 255 alphanumeric characters for the community names.
Select the check box to disable the default Get community name public.
NOTE:

If public is disabled, some port monitors or discovery utilities might not operate properly.

Enable SNMPv1/v2 read-only access
Enable the SNMP v1/v2c agents on the print server, but limit access to read-only. Write-access is disabled. The default Get community name public is automatically enabled.
Disable SNMPv1/v2
Disable the SNMP v1/v2c agents on the print server. This is recommended for secure environments.
NOTE:

If you disable SNMP v1/v2c, some port monitors or discovery utilities might not operate correctly.
Enable SNMPv3
(Full-featured HP Jetdirect print servers only) Enable the SNMP v3 agent on the print server.
You must create an SNMP v3 account on the print server, and implement the account information on the SNMP v3 management application. To create the account, provide the following information:
User Name SNMP v3 account user name.
Authentication Key A 16-byte hexadecimal value for authenticating the SNMP packet contents using the message digest algorithm 5 (MD5, RFC 1321).
Privacy Key A 16-byte hexadecimal value for encrypting the data portion of the SNMP packet, using the data encryption standard (DES) algorithm.
Context Name Context in which this user can access SNMP objects. This is always Jetdirect.


Other Settings

Other Settings

Use this tab to provide access to a variety of management and printing configuration options. The following tabs are discussed:

●
Misc. Settings Enable miscellaneous advanced protocols and functions
●
Firmware Upgrade Update your HP Jetdirect print server with new features and enhancements
●
LPD Queues Set up print queues used in printing with line printer daemon (LPD) printing services
●
USB Settings (External print servers only.) Configure USB connection parameters
●
Support Info Set up the Support link located under Other Links in the left margin
●
Refresh Rate Set the time interval (in seconds) for embedded Web server diagnostic page updates

This section provides information about the following topics:

  • Misc. Settings
  • Firmware Upgrade
  • LPD Queues
  • USB Settings
  • Support Info
  • Refresh Rate


Misc. Settings

Misc. Settings

Use the Misc. Settings tab to set a variety of advanced protocols and features, as described in Miscellaneous Settings.

Miscellaneous Settings
Item
Description
SLP Config
Enable SLP, which is used by certain client application software to automatically discover and identify the HP Jetdirect print server.
If SLP uses multicast protocols, you must enable Multicast IPv4.
Telnet Config
Use Telnet to access to HP Jetdirect configuration parameters. For more information, see TCP/IP configuration.
Bonjour
Use Bonjour services (formerly listed as Multicast Domain Name System [mDNS] services). Bonjour is typically used for IP address and name resolution (through UDP port 5353) where a conventional DNS server is not used.
For Bonjour operation, you must enable Multicast IPv4.
Multicast IPv4
Use the receipt and transmission of IP version 4 multicast packets by the print server.
NOTE:

If disabled, other protocols that use multicast protocols, such as Bonjour and SLP, might also be disabled.
9100 Config
Use port 9100 services. This is an HP-proprietary raw TCP/IP port on the HP Jetdirect print server and is the default port for printing. It is accessed by HP software, such as the HP Standard Port.
FTP Printing
Use FTP services available on the HP Jetdirect print server for printing. For more information, see FTP printing.
LPD Printing
Use LPD services on the HP Jetdirect print server. LPD provides line printer spooling services for TCP/IP systems. For more information, see LPD printing.
IPP Printing
Use IPP on the HP Jetdirect print server. If the printer is properly connected and accessible, IPP allows printing to this device over the Internet (or intranet). A properly configured IPP client system is also required. For information on IPP client software, see HP software solutions summary.
HP XML Services
Allow access by HP Web service applications to XML-based data on the HP Jetdirect print server.
Certificate Mgmt Service
Allow HP Web Jetadmin to access and service your certificate configuration.
Web Services Print
Use the Microsoft Web Services for Devices (WSD) Print services supported on the HP Jetdirect print server.
WS-Discovery
Use the Microsoft Web Services Dynamic Discovery (WS Discovery) protocols on the print server.
LLMNR
Indicates whether link local multicast name resolution (LLMNR) requests are responded to over IPv4 and IPv6.
Link settings
(For wired 10/100/1000T Ethernet) Set the print server's link speed and communication mode. The available selections depend on the print server model.
CAUTION:

If you change the link setting, network communications with the print server and network device might be lost.
●
AUTO (default) Use auto-negotiation to configure itself with the highest link speed and communication mode allowed. If auto-negotiation fails, either 100TX HALF or 10TX HALF is set, depending on the detected link speed of the hub/switch port. (A 1000T half-duplex selection is not supported.)
●
10T-Full 10 Mbps, full-duplex operation.
●
10T-Half 10 Mbps, half-duplex operation.
●
100TX-Full 100 Mbps, full-duplex operation.
●
100TX-Half 100 Mbps, half-duplex operation.
●
100TX-AUTO Limit auto-negotiation to a maximum link speed of 100 Mbps.
●
1000T FULL 1000 Mbps, full-duplex operation.
Locally Administered Address
(Supported print servers only) Warning: Changing the locally administered address results in the loss of connectivity to the browser.
Specify a locally administered address (LAA) to replace the factory assigned LAN Hardware (MAC) address. If used, enter a string of exactly 12 hexadecimal digits.
For Ethernet print servers, the LAA address must start with hexadecimal X2, X6, XA, or XE, where X is any hexadecimal digit 0 through F.
The default address is the factory assigned address.
Syslog Facility
Identify the source facility of a message. Typically used to identify the source of selected messages during troubleshooting. By default, the HP Jetdirect print server uses LPR as the source facility code. However, you can use values of local0 through local7 to isolate individual or groups of print servers.
HTTP Idle Timeout
Length of time after which an idle HTTP connection is closed. Applies to the time after an HTTP request or response completes. Enter from 5 to 60 seconds. The default is 15.
Set to zero (0) to disable. (The TCP/IP idle timeout value is used.)
Dynamic Raw Port Setting
Specify additional ports for printing to TCP port 9100. Valid ports are 3000 to 9000, which are application-dependent.
Bonjour Highest Priority Service
Specify the highest Bonjour priority service to use for printing:
9100 Printing Raw IP printing through HP-proprietary port 9100.
IPP Printing Internet Printing Protocol printing.
LPD Printing (RAW) Default LPD raw queue printing.
LPD Printing (TEXT) Default LPD text queue printing.
LPD Printing (AUTO) Default LPD auto queue printing.
LPD Printing (BINPS) Default LPD binary PostScript queue printing.
LPD Printing (<user-defined>) List up to 5 LPD queues (if configured), where <user-defined> is the name of the user-specified LPD print queue.
The default depends on the printer, typically 9100 Printing or LPD Printing (BINPS).


Firmware Upgrade

Firmware Upgrade

For print servers that support firmware upgrades, use this tab to upgrade the print server with new features.

The firmware upgrade file for the print server must be available on your system. To identify and retrieve the appropriate upgrade file, click HP Jetdirect Firmware Updates (Internet access required), or visit HP online support at:

http://www.hp.com/go/webjetadmin_firmware

From the HP online firmware upgrade page, use the following steps:

1.
Locate the print server model (or product number) and the upgrade file.
2.
Check the upgrade file version and verify that it is more recent than the print server's installed version. If it is, then download the file. If not, then you do not need to upgrade.

To upgrade the print server using the embedded Web server:

1.
Enter the path to the upgrade file (Firmware File), or click Browse to locate it.
2.
Click Upgrade Firmware.


LPD Queues

LPD Queues

Use the LPD Queues page to specify LPD print queues on the HP Jetdirect print server. For more information on LPD printing and print queues, see LPD printing.

You must enable LPD printing on the print server before you can set LPD queues. If LPD is disabled, go to the Misc. Settings tab and enable it.

If LPD printing is enabled, ten different named print queues are available. Four of these queues are configured automatically and their parameters cannot be changed. You can configure the remaining six queues.

NOTE:

Value-based print servers do not support user-defined LPD queues.

You can set up the six modifiable queues with character strings, such as job control commands, that are automatically added before or after the print job. You can define up to eight named strings, setting each queue so that the named string either precedes (Prepend String Name) or follows (Append String Name) the print data.

To set up a user-defined print queue, first define string names to prepend or append to the print job using the appropriate queue type. You specify print queue use by setting up an LPD printer that uses that queue. For example, if you set up a string “a” with a value of “abc” and string “z” with a value of “xyz”, you can define print queue “az_queue” with a prepend string of “a”, and append string of “z”, and a queue type of RAW. When you send a print job consisting of <formatted_text> through queue az_queue, the job sent to the printer is “abc<formatted_text>xyz”.

CAUTION:

Avoid using lowercase and uppercase characters to differentiate queue names. Management of LPD queues by other tools (such as Telnet) can yield unpredictable results.

LPD Queue Parameters for setting up LPD queues are described in LPD Queues tab settings.

LPD Queues tab settings
Item
Description
Queue Name
Queue name. Enter up to 32 alphanumeric characters. Define up to six queues.
Prepend String Name
Enter the prepend string name. (These precede the print data.) You define string names/values using the String Table at the bottom of the page.
You can concatenate multiple string names using a plus (+) character. For example, to prepend two separate strings, enter the following:
<stringname1>+<stringname2>
In the example, stringname1 and stringname2 are specified as two separate string names with different values.
Append String Name
Enter the append string name. (These follow the print data.) You define string names/values by using the String Table at the bottom of the LPD Queues page.
You can concatenate multiple string names using a plus (+) character. For example, to append two separate strings, enter the following:
<stringname1>+<stringname2>
In the example, stringname1 and stringname2 are specified as two separate string names with different values.
Queue Type
Processing instruction for the queue. Choose from these four queue types:
●
RAW No processing. Treats the data in a raw queue as a print job that is already formatted in PCL, PostScript, or HP-GL/2, and sends it to the printer without modification. (Prepend or Append strings are added to the job in the appropriate position.)
●
TEXT Carriage return added. Treats data in text queues as unformatted or ASCII text, and adds a carriage return to each line before sending it to the printer.
●
AUTO (Automatic) Uses auto-sensing to determine whether the print data is sent as raw or text.
●
BINPS (Binary PostScript) Instructs the PostScript interpreter to interpret the print job as Binary PostScript data.
Default Queue Name
Queue name to use if the queue specified for a print job is unknown. By default, this is AUTO.
String Name
Name of a character string to use in the prepend/append queue table. Enter up to 32 alphanumeric characters. You can define up to eight character strings for use in LPD queues.
Value
Define the value for the associated string name used in the prepend/append queue table. This value is sent to the printer before or after the print data (as appropriate).
Character values can be in the extended ASCII range of 0 to 255 (hex 00 to FF). You can specify a non-printing character using its hexadecimal value by entering a backslash (\) followed by two hexadecimal characters. For example, to enter the escape character (hex 1B), type “\1B”. If your string includes the back slash character itself, specify it as “\5C”. Enter up to 240 characters in this field. The characters in the field are checked for hexadecimal values, converted if necessary, and stored internally. The maximum number of characters stored internally in the string is 80; any characters that exceed this are discarded.

Instructions for setting up an LPD printer are different for different operating systems. See LPD printing for details.

Example To reset an LPD printer at the start of each print job, you can create a print queue named clear_printer that issues a PCL reset command (Escape-E) at the beginning of each job.

First, set up the print queue:

a.
Name the string: Type reset_string into the String Name field in row 1.
b.
Define the string's value: Type “\1BE” (Escape-E) into the Value field in row 1. (Alternatively, you could type “\1B\45”.)
c.
Name the queue: Type clear_printer into the Queue Name field in row 5.
d.
Set up the prepend string: Type reset_string into the Prepend String field in row 5.
e.
Leave the Append String field in row 5 blank.
f.
Set the queue type: Set the Queue Type field in row 5 to RAW.

Then, set up the printer to use the queue, making sure to specify clear_printer when asked for a queue name. (For details about setting up the printer, see LPD printing.) After that, any print jobs sent to the printer either from the server or from a client computer that has set up that printer, includes a reset command at the beginning of the job.


USB Settings

USB Settings

If the HP Jetdirect external print server provides a USB connection to the network device (such as a USB printer), a link to USB configuration parameters is displayed.

USB Settings tab
Item
Description
USB Speed
(Read-only parameter, for USB 2.0 print servers only.) The auto-negotiated communication speed over the USB connection between the print server and the device.
●
Full Speed 12 Mbits/sec as specified in the USB v2.0 specifications, compatible with USB v1.1 specifications.
●
Hi-Speed 480 Mbits/sec for USB v2.0 devices only.
●
Disconnected USB port is not connected.
Preferred USB Communication Mode
Highest level of USB communication capabilities when the print server tries to establish a communication level with the printer. If you change the current setting, unplug and then reconnect the USB cable, or turn the print server off and then on, to activate it.
●
AUTO (default) Automatically attempt to set the highest level available, starting with multiple interface (composite) USB devices, followed by IEEE 1284.4 and Multiple Logical Channels (MLC). If not successful, subsequent levels are attempted.
●
IEEE 1284.4 Allows multiple channels of simultaneous print, scan, and status communication, but without composite USB support. If not successful, subsequent levels are attempted.
●
Multiple Logical Channels (MLC) An HP-proprietary protocol that allows multiple channels of simultaneous print, scan, and status communication.
●
Bidirectional Basic two-way printer communications. Print data is sent to the printing device, and status information is returned.
●
Unidirectional One-way printer communication from the print server to the printing device. (This is the lowest communication level.)
The communication level set by the print server is reported on the HP Jetdirect configuration page.
Status Page Language
Page description language (PDL) for the HP Jetdirect configuration page data sent to the printer. Available options include PCL, ASCII, PostScript and HPGL2.
When set to AUTO (default), the print server automatically attempts to detect and select a language supported by the device. Typically, HP-PCL is selected if available.


Support Info

Support Info

Configure links for support assistance. You can designate a support person and the phone number of an administrator for this device, as well as URL addresses for Web-based product and technical support.


Refresh Rate

Refresh Rate

Time period (in seconds) that the diagnostic pages are automatically updated. A value of zero (0) disables the refresh rate.


Select Language

Select Language

This item is displayed if the HP Jetdirect Web pages support multiple languages. You can also select supported languages by using the language preference settings in your browser (see your browser's Help).

To display supported non-English languages, you must enable cookies in your browser settings.


Security: Settings

Security: Settings

In the SECURITY section, the Settings item provides access to the following tabs: Status (default), Wizard, Restore Defaults. The available settings depend on your particular print server model.

This section provides information about the following topics:

  • Status
  • Wizard
  • Restore Defaults


Status

Status

Select the Status tab to display the current security configuration settings of the print server. The settings displayed depend on the features supported by the print server.


Wizard

Wizard

NOTE:

If you use HP Web Jetadmin to manage your devices, do not use this wizard. Instead, use HP Web Jetadmin to configure your network security settings.

Select the Wizard tab to open the initial Wizard page. If prompted with security alerts, click Yes to proceed.

The Wizard page identifies the current security level last configured on the print server. If a security level was not configured, the security level is None. However, if HTTPS is required for access to the networking pages, the default setting indicates Custom.

This page also allows you to run the HP Jetdirect Security Configuration Wizard to set or change the current security level. This wizard guides you through the print server's security configuration settings for your network. Click Start Wizard to run the wizard and open the Security Level page.

The optional configuration parameters presented by the wizard depend on your choice of security level. For an overview, see Wizard Security Levels.

NOTE:

If you improperly exit the wizard (for example, by failing to use the Cancel button), an Operation Failed screen appears. If this occurs, wait approximately two minutes and restart the wizard.

Wizard Security Levels
Security Level
Description
Basic Security
Requires that you configure an administrator password for configuration management. The administrator password is shared with other management tools, such as Telnet and SNMP applications. However, some management tools, such as Telnet, use plain-text communications and are not secure.
Use the Administrator Account page to enter the administrator password. The administrator password is also used as the SNMP v1/v2 Set Community Name for SNMP management applications.
NOTE:

To clear the administrator password, apply blank entries using Custom Security, or see the Admin. Account page accessed through the Authorization menu.

The Configuration Review page displays all the current settings that affect security. Click Finish to set your security selections.
Enhanced Security (Recommended)
Adds to Basic Security by automatically disabling management protocols that do not use secure, encrypted communications (such as Telnet and FTP firmware updates, RCFG, SNMP v1/v2c). To change individual protocol settings, see Mgmt. Protocols.
Use the Administrator Account page to enter the administrator password.
NOTE:

To clear the administrator password, apply blank entries using Custom Security, or see the Admin. Account page below.

Use the SNMP Configuration pages to configure specific SNMP settings:
●
Enable SNMPv3 (Full-featured print servers only) Enable SNMP v3 and create an SNMP v3 account. Not recommended if you manage devices using HP Web Jetadmin. See SNMP.
●
Enable SNMPv1/v2 read-only access Support current tools that rely on SNMP v1/v2 for device discovery and status.
The Configuration Review page displays all the current settings that affect security. Click Finish to set your basic security selections.
Custom Security
Manually set all available security settings supported by your print server. For more information on specific parameters and selections, see Mgmt. Protocols and Authorization.
Use the Administrator Account page to enter the administrator password.
NOTE:

To clear the Administrator Password, enter blank entries, or see the Admin. Account page below.

Use the Web Mgmt. page for HTTPS configuration, including certificates and encryption levels.
Use the Management Tools page to configure management protocols that are not secure (such as RCFG, Telnet and FTP firmware updates).
Use the SNMP Configuration pages to configure the following SNMP settings:
●
Enable SNMPv1/v2 Allow management software that uses SNMP v1/v2. If selected the SNMPv1/v2 Configuration page is displayed to configure SNMP community names.
●
Enable SNMPv3 (Full-featured print servers only) Create an SNMP v3 account. Do not create an SNMP v3 account if you manage devices using HP Web Jetadmin. See SNMP.
Use the Access Control page to control host access to the device. Available on selected full-featured print servers only.
Use the Print Protocols and Services page to enable or disable network printing, print services, and device discovery protocols that can affect security.
Use the Configuration Review page to display all the current settings that affect security. Click Finish to set your basic security selections.


Restore Defaults

Restore Defaults

Restore the listed configuration parameters to factory default values. The parameters displayed depend on the features supported by the print server.

Only the configuration settings listed are restored to factory defaults. Other configuration settings are not affected.


Authorization

Authorization

Use the Authorization page to control access to the device and to the device configuration and management features. You can also configure certificates for client and server authentication.

This section provides information about the following topics:

  • Admin. Account
  • Certificates
  • Configure certificates
  • Access Control


Admin. Account

Admin. Account

Use this page to set an administrator password for controlled access to HP Jetdirect configuration and status information. The administrator password is shared by HP Jetdirect configuration tools, such as the embedded Web server, Telnet, and HP Web Jetadmin. In selected printers, the password is shared with the printer (see Printer Password Synchronization).

If a password is set, and you attempt to access HP Jetdirect print server settings, you are prompted for a user name and this password before you are allowed access.

NOTE:

You can clear the administrator password by applying blank entries, or by a cold reset of the print server to factory-default settings.

You can synchronize HP Web Jetadmin and the SNMP v1/v2c Set Community Name by using the check box. The administrator password is also used as the SNMP Set Community Name for SNMP v1/v2c management applications.

NOTE:

If you subsequently change the SNMP Set Community Name through the SNMP tab on the Network Settings page or by using HP Web Jetadmin, the two settings are no longer synchronized.

This section provides information about the following topics:

  • Printer Password Synchronization


Printer Password Synchronization

Printer Password Synchronization

(EIO and embedded print servers only.) Most printers provide password-protected access to printer configuration and status settings. The password is set through security Web pages provided by the printer. For these, the administrator password for the printer and the HP Jetdirect print server are synchronized so that the same password is used to access both printer and networking configuration pages. For printers that support password synchronization, the same password is used regardless of the embedded Web server page (printer security pages, or the HP Jetdirect Admin. Account page) in which the password was set.

If password synchronization is lost on these printers, recovery might require one of the following procedures:

●
Restore both the printer and the HP Jetdirect print server to factory-default states (for example, through a cold-reset), and then reconfigure your settings.
●
Manually set the same administrator password using both the printer security page and the HP Jetdirect Admin. Account page.


Certificates

Certificates

Use this tab to install, configure, and manage services for X.509v3 digital certificates. A digital certificate is an electronic message containing, among other things, a key (a short string used for encryption and decryption) and a digital signature. Certificates are typically issued and signed by a trusted third party (commonly called a certificate authority, or CA), which exists internal or external to the organization. Certificates can also be self-signed.

NOTE:

While self-signed certificates are permitted and allow data encryption, they do not ensure valid authentication. A self-signed certificate is similar to validating your own identity.

The Certificates page provides the status of the certificates installed on the HP Jetdirect print server:

●
Jetdirect Certificate Used to validate the identity of the HP Jetdirect device to clients and to network authentication servers.

By factory default, a self-signed HP Jetdirect certificate is pre-installed, which allows the embedded Web server to use HTTPS and appear as a secure site when accessed by a Web browser.

Click View to view the contents of an installed HP Jetdirect certificate, or click Configure to update or install a new one. For more information, see Configure certificates.

When installed, an HP Jetdirect certificate is saved after a cold-reset, which is used to restore the print server to factory-default values.

●
CA Certificate. (Full-featured print servers only) A certificate from a trusted third party, or certificate authority (CA), is used to validate the identity of a network authentication server during 802.1X authentication methods that use EAP. The authentication server's identity is validated when information on the CA certificate matches the information on a certificate received from the authentication server.

A CA certificate for the print server is used to sign the authentication server's certificate. Therefore, the certificate authority for the authentication server's certificate must also be used for the CA certificate.

Click View to view the contents of an installed HP Jetdirect certificate, or click Configure to update or install a new one. For more information, see Configure certificates.

A CA certificate is not saved when the print server is reset to factory-default values.


Configure certificates

Configure certificates

To update or install a certificate, click Configure to start the certificate management wizard. The screens displayed depend on the type of certificate (HP Jetdirect or CA) and your selections. Certificate configuration screens provides a description of the screens and configuration parameters that are displayed.

NOTE:

If you improperly exit Certificates configuration by failing to use the Cancel button, for example, an Operation Failed screen appears. If this occurs, wait approximately two minutes and restart the wizard.

Certificate configuration screens
Certificate Options screen. The options displayed depend on your print server model.
●
Update Pre-Installed Certificate Update the pre-installed, self-signed certificate. The certificate is overwritten. You can update the following item:

Certificate Validity Period

The browser identifies the certificate as self-signed for each new Web session, which can cause a security alert message. You can bypass this message by adding the certificate to the browser's certificate store or by disabling browser alerts (not recommended).

Self-signed certificates are not necessarily secure because the certificate owner is merely confirming his own identity instead of verification by a trusted third party. Certificates from a trusted third party are considered more secure.

●
Create Certificate Request You are prompted for specific device and organizational information in the following screen:

Certificate Information

Use this option when an authentication protocol requires that you install an HP Jetdirect certificate issued by a trusted third party or certificate authority.

●
Install Certificate Displayed only if there is a pending HP Jetdirect certificate request (to a trusted third party). When the certificate is received, use this option to install it. Once installed, this certificate overwrites the pre-installed certificate. You are prompted for information in the following screen:

Install Certificate

The certificate to be installed must be associated with a previous certificate request generated by the embedded Web server.

●
Install CA Certificate (Full-featured print servers only) Displayed when you click Configure to install a CA certificate required for selected authentication protocols. You are prompted for information in the following screen:

Install Certificate
●
Import Certificate and Private Key Import a previously acquired and known certificate as the HP Jetdirect certificate. If you import a certificate, the currently installed certificate is overwritten. You are prompted for information in the following screen:

Import Certificate and Private Key
●
Export Certificate and Private Key Export the HP Jetdirect certificate currently installed on the print server for use on other print servers. You are prompted for information in the following screen:

Export the HP Jetdirect certificate and private key
●
Delete CA Certificate (Full-featured print servers only) Remove the CA certificate installed on the HP Jetdirect print server. Displayed when a CA certificate for EAP authentication is installed.
CAUTION:

If the CA Certificate is deleted, EAP authentication is disabled and network access is denied.

The CA Certificate is also removed on a cold-reset of the print server, where factory-default settings are restored.
Certificate Validity screen. Specify how long the HP Jetdirect self-signed certificate is valid.
●
Displays only when a self-signed certificate is pre-installed and you click Edit Settings to update the validity period. It specifies the current coordinated universal time (UTC).

Validity Start Date Calculated from the PC's clock settings.

Validity Period Number of days (1 to 3650) that the certificate is valid, starting from the Validity Start Date. A valid entry (1 to 3650) is required. The default is 5 years.

Certificate Information screen. Enter information for requesting a certificate from a Certificate Authority.
●
Common Name (Required) For HP Jetdirect print servers, specify the FQDN or a valid IP address for the device.

Examples

Domain Name: myprinter.mydepartment.mycompany.com

IP address: 192.168.2.116

The Common Name is used to uniquely identify the device. For HP Jetdirect print servers using EAP authentication, some authentication servers can require configuration with the Common Name as specified on the certificate.

If the default IP address 192.0.0.192 is set on the HP Jetdirect print server, it is probably invalid for your network. Do not use this default address to identify your device.

●
Organization (Required) Specify the full legal name for your company.
●
Organizational Unit (Optional) Specify your department, division, or other subgroup of your organization.
●
City/Locality (Required) Enter the city or locality in which your organization is located.
●
State/Province (Required for all countries/regions) Must contain at least three characters.
●
Country/Region Two-character ISO 3166 country/region code. For example, use gb Great Britain or us for USA (required).
Install Certificate or Install CA Certificate screens.
Use the Install Certificate screen to install an HP Jetdirect certificate. (The Install Certificate option is not presented if there is no pending request.)
Use the Install CA Certificate screen to install a trusted certificate authority (CA) certificate for use during EAP authentication. (Full-featured print servers only.)
●
Install a privacy enhanced mail (PEM/Base64) encoded certificate.

To install a certificate, specify the name and path of the file that contains the certificate. Or, click Browse to browse your system for the file.

Click Finish to complete the installation.

To install a certificate, it must be associated with a pending certificate request by the embedded Web server.

Import Certificate and Private Key screen. Import an HP Jetdirect certificate and private key.
●
Import an HP Jetdirect certificate and private key. When imported, the existing certificate and private key are overwritten.

The file format must be PKCS#12 encoded (.pfx).

To import a certificate and private key, specify the name and path of the file that contains the certificate and private key. Or, click Browse to browse your system for the file. Then enter the password that was used to encrypt the private key.

Click Finish to complete the installation.

Export the HP Jetdirect certificate and private key screen. Export the installed HP Jetdirect certificate and private key to a file.
●
To export a certificate and private key, enter a password to use to encrypt the private key. Enter the password again to confirm it. Then click Save As to save the certificate and private key in a file on your system. The file format is PKCS#12 encoded (.pfx).


Access Control

Access Control

Use this tab to display the access control list (ACL) on the HP Jetdirect print server. An ACL (or host access list) specifies individual host systems, or networks of host systems, that are allowed to access the print server and the attached network device. You can add up to 10 entries. If the list is empty (no hosts are listed), any supported system can access the print server.

NOTE:

Not all print servers or devices support ACL, and support is limited to IPv4 networks. For improved security and performance, use the IPsec/Firewall feature (if available) instead of ACL.

By default, hosts with HTTP connections (such as, the embedded Web server or IPP) can access the print server regardless of access control list entries. To disable HTTP host access, clear the Allow Web Server (HTTP) access check box at the bottom of the list.

CAUTION:

You can lose communication with the HP Jetdirect print server if your system is not properly specified in the list, or access via HTTP is disabled.

To use the access control list as a security feature, see Security features (V.38.xx).

Specify host systems by their IPv4 address or network number. If the network contains subnets, you can use an address mask to identify whether the IP address entry designates an individual host system or a group of host systems.

Examples:

IP Address
Mask
Description
192.0.0.0
255.0.0.0
Allow all hosts with network number 192.
192.1.0.0
255.1.0.0
Allow all hosts on network 192, subnet 1.
192.168.1.2
Allow the host with IP address 192.168.1.2. The mask 255.255.255.255 is assumed and is not required.

To add an entry to the access control list, specify a host using the IP Address and Mask fields, select the Save check box, and then click Apply.

To delete an entry from the list, clear the Save check box for that entry, and then click Apply.

To clear the entire access control list, clear all Save check boxes, and then click Apply.


Mgmt. Protocols

Mgmt. Protocols

Use this item to access the management communications and other protocols that affect security.

This section provides information about the following topics:

  • Web Mgmt.
  • SNMP
  • SNMP v3
  • Other


Web Mgmt.

Web Mgmt.

Use this tab to manage communications with the embedded Web server from Web browsers.

Secure, encrypted Web-based communication is provided through the HTTPS protocol. If configured to require HTTPS, the embedded Web server routes HTTPS communications through port 443, the well known port for HTTPS traffic. Although ports 80, 280, or 631 continue for IPP use, other non-secure communications, such as HTTP, are redirected to HTTPS. Redirection of your browser to use HTTPS can be transparent depending on your browser's capabilities.

NOTE:

IPP is not supported on value-based print servers.

By factory default, HP Jetdirect print servers and printers with IPsec support require HTTPS.

Although not recommended, you can allow non-secure HTTPS and HTTP communications by clearing the Encrypt All Web Communication check box.

To support the use of HTTPS communications, you must install an HP Jetdirect certificate. A factory default, self-signed certificate is installed for initial use. Click the Configure button to update the installed certificate, or to install a new one. For more information, see Configure certificates.

The minimum encryption strength allowed must be specified when using an HP Jetdirect certificate. Select Low (default), Medium, or High encryption strength. For example, select Low to allow use of medium or high encryption levels. Select High to use only high encryption levels.

For each encryption strength, specify ciphers to identify the weakest cipher allowed.

NOTE:

Cipher suites support different levels of encryption strength. The cipher suites currently supported for encryption and decryption are data encryption standard (DES, 56-bit), RC4 (40-bit or 128-bit), and 3DES (168-bit).


SNMP

SNMP

Use this tab to enable or disable SNMP v1, v2c and v3 agents on the print server, depending on the print server model. For a description of SNMP selections, see SNMP tab settings.


SNMP v3

SNMP v3

Full-featured HP Jetdirect print servers include an SNMP v3 agent for enhanced SNMP security. The SNMP v3 agent employs a user-based security model for SNMP v3 (RFC 2574), which features user authentication and data privacy through encryption.

The SNMP v3 agent is enabled when you create an initial SNMP v3 account on the print server. Once created, any properly configured SNMP management application can access or disable the account.

CAUTION:

Creating SNMP v3 accounts with the embedded Web server removes existing accounts. Also, you must implement the account information on the SNMP management application.

It is recommended that you use HP Web Jetadmin to configure SNMP v3 and other security settings on the print server.

To prevent access or interception during SNMP v3 account creation, disable Telnet and enable secure embedded Web communication using HTTPS.

Create the initial SNMP account by specifying the HMAC-MD5 authentication and CBC-DES data privacy encryption keys used by your SNMP v3 management application.

CAUTION:

SNMP v1 and v2c agents can coexist with the SNMP v3 agent. However, to fully secure SNMP access, you should disable SNMP v1 and v2c.


Other

Other

Use this tab to enable or disable various protocols supported by the print server for printing, print services, and management. The items are described in Other protocols.

Other protocols
Item
Description
Enable Print Protocols
Select the print protocols to use: IPX/SPX, AppleTalk, or DLC/LLC. (Disable unused protocols to prevent access.)
For network environments that use these protocols, see Introducing the HP Jetdirect print server.
Because the embedded Web server uses TCP/IP, you cannot disable this protocol.
NOTE:

On HP Jetdirect 635n print servers, all network protocols except TCP/IP are disabled by factory default.
Enable Print Services
Select the print services to use: port 9100, LPD, IPP, FTP, or Web Services Print. (Disable unused print services to prevent access.)
Enable Device Discovery
Select device discovery protocols supported by the print server:
SLP
If enabled, the HP Jetdirect print server sends SLP packets, which are used by system applications for automated discovery and installation.
If disabled, SLP packets are not sent.
If SLP uses multicast protocols, you must enable multicast IPv4.
Bonjour
If enabled, Bonjour services are provided. Bonjour is typically used on for IP address and name resolution (through UDP port 5353) where a conventional DNS server is not used.
For Bonjour operation, you must enable multicast IPv4.
Multicast IPv4
If enabled, the print server sends and receives IP version 4 multicast packets. If disabled, other protocols that use multicast protocols (such as Bonjour and SLP), might be disabled without notification.
WS-Discovery Microsoft Web Services Dynamic Discovery (WS Discovery) protocols on the print server.
Naming Resolution
Indicates whether link local multicast name resolution (LLMNR) requests are responded to over IPv4 and IPv6.
Enable Management Protocols
Select the management protocols to use: Telnet, FTP Firmware Update, or RCFG. Telnet and FTP are not secure protocols and device passwords can be intercepted.
RCFG, a remote IPX configuration protocol used by older management tools to configure Novell NetWare parameters. Disabling RCFG does not affect direct mode printing using IPX/SPX.
It is recommended that you disable Telnet, FTP firmware upgrades, and RCFG.


802.1X Authentication

802.1X Authentication

(Full-featured print servers only) Use this item to configure 802.1X authentication settings on the HP Jetdirect print server as required for client authentication on your network. You can also reset the 802.1X authentication settings to factory default values.

CAUTION:

If you change the 802.1X authentication settings, you can lose your connection. If communication with the printer/MFP device is lost, you might need to reset the print server to a factory default state and then reinstall the device.

For most 802.1X networks, the infrastructure components (such as LAN switches) must use 802.1X protocols to control a port's access to the network. If these ports do not allow partial or guest access, you might need to configure the print server with your 802.1X parameters prior to connection.

To configure initial 802.1X settings before connecting to your network, use an isolated LAN, or a direct computer connection using a cross-over cable.

The supported 802.1X authentication protocols and associated configuration depend on the print server model and firmware version. Available configuration settings are listed in 802.1X configuration settings.

802.1X configuration settings
Item
Description
Enable Protocols
Enable (check) the supported protocols used for 802.1X authentication on your network.
●
LEAP A Cisco Systems proprietary protocol that uses passwords for mutual authentication (that is, the client and the server authenticate each other).
●
PEAP Uses digital certificates for network server authentication and passwords for client authentication. PEAP requires an EAP User Name, EAP Password, and CA Certificate. Dynamic encryption keys are also used.
●
EAP-TLS Uses a mutual authentication protocol based on digital certificates for authentication of both the client and the network authentication server. EAP-TLS requires an EAP User Name, HP Jetdirect certificate and CA certificate. Dynamic encryption keys are also used.
User Name
EAP/802.1X user name (up to 128 characters maximum) for this device. The default is the default host name of the print server, NPIxxxxxx, where xxxxxx are the last six digits of the LAN hardware (MAC) address.
Password, Confirm Password
EAP/802.1X password (up to 128 characters maximum) for this device. Enter the password again in the Confirm Password field to verify.
Server ID
Server ID validation string to identify and validate the authentication server. The string is specified on the digital certificate issued by a trusted certificate authority (CA) for the authentication server. Can contain a partial string (right-most characters) unless the Require Exact Match check box is selected.
Encryption Strength
Minimum encryption strength used during communication with the authentication server. Select Low, Medium, or High encryption strength. For each encryption strength, ciphers are specified to identify the weakest cipher allowed.
Jetdirect Ceritificate
A self-signed HP Jetdirect certificate is pre-installed. To install a replacement, click Configure.
CA Certificate
To validate the authentication server's identity, the authentication server's certificate or a CA (or “Root”) certificate must be installed on the print server. This CA certificate must be issued by the certificate authority who signed the authentication server's certificate.
To configure or install a CA certificate, click Configure.
Authentication Behavior: Reauthenticate on Apply
Control authentication when you click Apply on this page, assuming valid configuration entries were made.
NOTE:

Does not apply to security or other configuration wizards. Changes to parameters through a wizard always causes the print server to re-authenticate.

If disabled (default), the print server does not attempt re-authentication unless configuration changes cause the print server to disconnect and reconnect to the network.
If enabled, the print server always attempts to re-authenticate using the configuration values.
Restore Defaults
Restore 802.1X configuration settings to factory default values.


IPsec/Firewall

IPsec/Firewall

Configure or view the IPsec or Firewall policy for the print server. You can enable or disable IPsec/Firewall operation on the print server, and configure the default rule for IP packets that are not covered by IPsec/Firewall rules.

Rules that define the IPsec/Firewall policy are configured through an IPsec/Firewall wizard, which is run when you click Add Rules. For more information, see IPsec/Firewall configuration (V.38.xx).


Network Statistics

Network Statistics

Display counter values and other status information currently stored on the HP Jetdirect print server. This information is often useful to diagnose performance and operational problems associated with the network or network device.


Protocol Info

Protocol Info

List the various network configuration settings on the HP Jetdirect print server for each protocol. Use these lists to validate your settings.


Configuration Page

Configuration Page

Provides a view of the HP Jetdirect configuration page that contains a summary of the status and configuration information. The contents of this page are described in HP Jetdirect configuration pages.


Other Links

Other Links

This section provides information about the following topics:

  • ? (Help)
  • Support


? (Help)

? (Help)

On Networking tab pages, click ? to display a Help page, which provides a quick summary of the HP Jetdirect embedded Web server features. In the Help page, links to HP support documents that provide updated information are available (Internet access is required).


Support

Support

Display the values set in the Support Info tab in the Other Settings menu. Information can include the name and telephone number of a support person, or Web links to product and technical support pages. The default Web links include HP online support and HP product information Web pages (Internet access is required).


IPsec/Firewall configuration (V.38.xx)
IPsec/Firewall configuration (V.38.xx)

IPsec/Firewall configuration (V.38.xx)

(Full-featured print servers only) IPsec/Firewall features provide network-layer security on both IPv4 and IPv6 networks. The Firewall provides simple control of IP addresses that are allowed access. Internet protocol security (IPsec, RFC 2401) provides the additional security benefits of authentication and encryption,

IPsec configuration is relatively complex. However, because IPsec provides security at the network layer and can be relatively independent of application layers, the opportunity for secure host-to-host communications over a widespread network, such as the Internet, is greatly enhanced.

●
If IPsec is supported, you can control IP traffic using both Firewall and IPsec protection.
●
If IPsec is not supported, you can control IP traffic using Firewall protection.
NOTE:

In addition to Firewall and IPsec protection at the network layer, the print server also supports an SNMPv3 agent at the application layer for management application security, and open secure sockets layer (SSL) standards at the transport layer for secure client-server applications, such as client-server authentication or HTTPS Web browsing.

For IPsec/Firewall operation on the print server, you must configure an IPsec/Firewall policy to apply to specified IP traffic. IPsec and Firewall policy pages are accessed through the embedded Web server and displayed by your Web browser. Typical IPsec and Firewall policy pages are shown below.

NOTE:

To ensure communications with an HP Jetdirect print server configured with an IPsec policy, ensure that computer systems communicating with the print server are properly configured. IPsec policies configured on the print server and computer systems must be compatible. Otherwise, connections will fail.

After a policy is configured, it is not activated until you click Apply button.

Firewall Policy page

HP Jetdirect embedded Web server Firewall Policy page.

IPsec Policy page

HP Jetdirect embedded Web server IPsec/Firewall Policy page.

The items on the IPsec/Firewall policy pages are described in the following table:

IPsec/Firewall Policy page
Item
Description
Enable IPsec/Firewall
or
Enable Firewall
Select the check box to enable your IPsec or Firewall policy. Clear this check box to disable IPsec/Firewall operation.
IPsec/Firewall Rules
Configure up to ten rules in descending order of precedence. For example, Rule 1 is higher in precedence than Rule 2.
Define each rule using the following fields:
●
Enable Select whether a configured rule is enabled or disabled for the policy.
●
Address Template Set the IP addresses for which the rule applies. Select among several predefined templates, or specify a custom template. Click on a template entry to view or modify the template configuration.
●
Services Template Identify the services for which the rule applies. Select among several predefined templates, or specify a custom template. Click on a template entry to view or modify the template configuration.
CAUTION:

If the All Services template for a rule is not specified, a security risk can exist. Future networking applications deployed after the IPsec Policy is in place might not be IPsec-protected unless the All Services template is used.

For example, installing a third-party Chai service plug-in, or upgrading firmware for the printer or print server, can result in a new service that is not covered by the IPsec policy. Review policies whenever firmware is updated or a new Chai applet is installed.

●
Action on Match Define how to process the IP traffic that contains the addresses and services specified.

For Firewall operation, the traffic is allowed or dropped, depending on the action specified by the rule.

For IPsec operation, the traffic is allowed without IPsec protection, dropped, or IPsec-protected using an IPsec template specified for the rule. Click on a template entry to view or modify the template configuration.

Default Rule
Indicate whether the default rule drops or allows the traffic. The default rule specifies whether to process IP packets that do not match the configured rules.
Select Drop (default) to discard traffic not covered by the configured rules.
Select Allow to allow traffic that is not covered by the configured rules. Allowing IP packets that do not match the configured rules is not secure.
For an example, see Default Rule example.
Add Rules
Delete Rules
Select Add Rules to configure rules using the IPsec wizard..
Select Delete Rules to remove one or more rules from the policy.
Advanced
Configure a Failsafe feature to prevent lock out of the print server over HTTPS (secure Web browser access) during IPsec/Firewall policy set up.
You can allow selected multicast and broadcast traffic to bypass your IPsec/Firewall policy. This might be required for device discovery by system installation utilities.

  • Default Rule example
  • IPsec security associations (SA)
  • HP Jetdirect IPsec/Firewall wizard
  • Configure Windows systems


Default Rule example

Default Rule example

The following illustrates the print server behavior depending on whether the default rule is set to Allow or Drop (default).

IPsec Policy Configuration Example: IPsec is enabled on the print server with the following rule:
●
All IPv4 Addresses
●
All Jetdirect Print Services
●
A simple IPsec template for these addresses and services is configured.
If the Default Rule is set to Allow, then:
●
An IP packet that is not IPsec-protected, but with an IPv4 address directed to printing port 9100 is not processed (dropped) because it violates the configured rule.
●
An IP packet that is not IPsec-protected, but with an IPv4 address to a service port other than port 9100 (such as Telnet), is allowed and processed.
If the Default Rule is set to Drop, then:
●
An IP packet that is not IPsec-protected, but with an IPv4 address directed to printing port 9100 is not processed (dropped) because it violates the configured rule.
●
An IPsec packet with IPv4 address directed to printing port 9100 is allowed and processed because it matches the rule.
●
A non-IPsec packet with IPv4 address to the Telnet port is dropped because it violates the default rule.


IPsec security associations (SA)

IPsec security associations (SA)

If a packet is IPsec-protected, there must be an IPsec security association (SA) for it. A security association defines how an IP packet from one host to another is protected. Among many things, it defines the IPsec protocol to use, the authentication and encryption keys, and duration of key use.

An IPsec SA is unidirectional. A host can have an inbound SA and an outbound SA associated with particular IP packet protocols and services, and the IPsec protocol used to protect them.

When properly configured, the IPsec rules define the security associations for IP traffic to and from the HP Jetdirect print server and can ensure all traffic is secure.


HP Jetdirect IPsec/Firewall wizard

HP Jetdirect IPsec/Firewall wizard

Use the IPsec/Firewall wizard to create one or more rules to be applied to IP traffic. Click Add Rules to start the IPsec/Firewall wizard.

Enter up to ten rules, each rule specifying the host addresses, services, and the action to take for those addresses and services. Depending on whether IPsec is supported by the print server and device, the following actions are available:

●
Allow traffic. If IPsec/Firewall is supported, allow IP traffic that is not protected by the IPsec/Firewall policy.
●
Drop traffic. Do not process (discard) the specified IP traffic.
●
Require traffic to be protected with the IPsec/Firewall policy. You are prompted to configure an IPsec template indicating the IPsec authentication/encryption settings to apply to the specified IP traffic.

See the following illustration.

Use the IPsec Wizard to configure rules

Using the IPsec/Firewall wizard to configure rules.

This section provides information about the following topics:

  • Limitations to rules, templates and services
  • Step 1: Specify Address Template
  • Step 2: Specify Service Template
  • Step 3: Specify Action
  • Rule Summary


Limitations to rules, templates and services

Limitations to rules, templates and services

Limitations to rules, templates, and services are summarized in the following table.

Limitations to rules, templates and services
Item
Limit
Maximum number of rules.
10
Maximum number of Address Templates.
Note the following:
●
All IP Addresses Results in two (2) address template rules. One for all IPv4 addresses, and another for all IPv6 addresses.
●
All non link local IPv6 Results in four (4) address template rules:
●
:: to FE7F:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF for both local and remote addresses
●
:: to FE7F:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF for local addresses

FE81:: to FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF for remote addresses

●
FE81:: to FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF for local addresses,

:: to FE7F:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF for remote addresses

●
FE81:: to FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF:FFFF for both local and remote addresses
●
All Broadcast/Multicast Addresses Results in four (4) address template rules:
●
224.0.0.0 to 239.255.255.255 IPv4 local addresses and all IPv4 remote addresses
●
A single IPv4 local address, and all IPv4 remote addresses
●
255.255.255.255 local address, and all IPv4 remote addresses
●
FF00:: / 8 local IPv6 addresses, and all IPv6 remote addresses
NOTE:

To avoid multiple rules for these predefined address templates, you can create custom address templates.
8
Maximum number of user-defined address templates.
8
Maximum number of services you can add to a user-defined service template.
NOTE:

The predefined All Services template is not subject to this limitation and includes all services supported by the print server.

64
Maximum number of services you can add to the policy.
For example, if a user-defined service template consists of 64 services, then it is the only service template you can use.
64
Maximum number of service templates in the policy.
10
Maximum number of user-defined custom service templates.
10
Maximum number of IPsec templates in the IPsec policy.
5
Maximum number of user-defined custom IPsec templates.
5


Step 1: Specify Address Template

Step 1: Specify Address Template

When you select Add Rules, the available address templates are listed in the Address Templates field by name. Select a predefined template, or click New to create a custom template using the Create Address Template page, described below.

To view or delete a template in the list, select it and click View or Delete (you cannot delete some predefined templates).

After selecting an address template, click Next.

This section provides information about the following topics:

  • Create Address Template


Create Address Template

Create Address Template

Items on the Create Address Template page are described in the following table:

Create Address Template page
Item
Description
Address Template Name
Name of the custom address template. The name is added to the Specify Address Template page.
NOTE:

The address template name must be unique.
Local Address
Select or specify the IP addresses for which this rule applies.
These addresses are assigned to the HP Jetdirect print server and used, for example, when DHCP servers assign IP addresses from a scope of addresses.
Specify a unique IP address directly or through a prefix.
Remote Address
Select or specify the IP addresses for which this rule applies.
These addresses are associated with remote hosts and are used, for example, when DHCP servers assign IP addresses from a scope of addresses.
Specify unique IP address ranges directly or through a prefix.


Step 2: Specify Service Template

Step 2: Specify Service Template

The available service templates for which a rule applies are listed in the Service Templates field by name. Select a predefined template, or click New to create and add a custom template to the list.

CAUTION:

If the All Services template for a rule is not specified, a security risk can exist. Future networking applications that are deployed after the IPsec Policy is in place might not be IPsec-protected unless the All Services template is used.

To view or delete a template in the list, select it and click View or Delete (you cannot delete some predefined templates).

Select a service template, then click Next.

This section provides information about the following topics:

  • Create Service Template
  • Manage Services
  • Manage Custom Services


Create Service Template

Create Service Template

Items on the Create Service Template page are described in the following table.

Create Service Template page
Item
Description
Service Template Name
Name for a custom service policy template. This name is added to the list of available services on the Specify Service Template page.
NOTE:

The service template name must be unique.
Selected Services
Specify services associated with the Service Template Name. To add services, click Manage Services.
Manage Services
Create standard or custom services for this service template. This opens the Manage Services page.


Manage Services

Manage Services

Items on the Manage Services page are described in the following table.

1.
Select one or more services for your service template. To select a listed service, click the check box for the service.
2.
To create and add a custom service to the list, click Manage Custom Services.
3.
After the desired services are selected, click OK.

Manage Services page
Item
Description
Custom Services
List of user-defined custom services.
Common Printer/MFP Services
List of common printer/MFP services supported by the print server.
Manage Custom Services
Click to create and manage user-defined services.


Manage Custom Services

Manage Custom Services

Use this page to add or remove custom services to the Manage Services page. To add a custom service, use the following steps:

1.
Enter a name for the custom service.
2.
Specify the Protocol, Service Type, and Service Port or ICMP Message Type for this custom service.
3.
Click Add to add the service to the Configured Custom Services list.
4.
Click OK to save your changes. Or, click Cancel to discard your changes.

Manage Custom Services page
Item
Description
Name
Name for the custom service.
NOTE:

The custom service name must be unique.
Protocol
Protocol for this custom service. The default protocol is TCP. Other selections include UDP, ICMPv4/v6, and IGMPv2.
●
For TCP or UDP, specify the local Printer/MFP ports and remote host ports for the service.
●
For ICMPv4 or ICMPv6, specify an ICMP message type for the service. ICMP message types are based on standards and are well known.
●
For IGMPv2, local/remote ports or ICMP message types are not configured. All IGMP messages types are assumed.
Service Type
Service type:
●
Printer/MFP Service (default): Local service on the HP Jetdirect print server or device.
●
Remote Service: Service on a remote host.
Service Port
For TCP or UDP, select the ports for this custom service to use on the local printer/MFP, and the remote hosts. The default selection is Any Port.
Depending on the service, select Port Range or Specific Port, then enter the port range or port in the fields provided.
ICMP Message Type
For ICMPv4 or ICMPv6, enter the ICMP message type number to use by the service. ICMP does not use ports. Instead, it uses well-known message types.
NOTE:

ICMP messages are typically used for error, control or information messages between network hosts.
Add
Add the custom service to the Configured Custom Services list.
Configured Custom Services
Custom services that were configured.
Delete
Select the service to delete and click Delete. You cannot delete a custom service that is specified for use by an active service template.


Step 3: Specify Action

Step 3: Specify Action

Select an action for the print server for the addresses and services specified for this rule. Available actions depend on whether IPsec is supported.

●
Allow traffic. If IPsec is supported, allow traffic to pass without IPsec protection.
●
Drop traffic. Do not process (discard) the specified IP traffic.
●
Require traffic to be protected with an IPsec/Firewall policy. If IPsec/Firewall features are supported, you are prompted to select or configure an IPsec template to be applied to the specified IP traffic.

This section provides information about the following topics:

  • Specify IPsec/Firewall Template


Specify IPsec/Firewall Template

Specify IPsec/Firewall Template

Any prior IPsec templates (for example, for other rules) are listed in the IPsec/Firewall Templates field. Because IPsec templates are network dependent, predefined factory default templates are not supplied.

●
If the list is empty, the Create IPsec Template page appears instead, so that you can create a template.
●
If a desired IPsec template is not in the list, click New to create a custom template using the Create IPsec Template page.

To view or delete a listed template, select it and click View or Delete as appropriate.

After an IPsec template is added to the list and selected, click Next to complete the rule.

This section provides information about the following topics:

  • Create IPsec Template
  • IPsec Protocols (Manual Keys)


Create IPsec Template

Create IPsec Template

Use this page to create an IPsec template and to specify how security associations (SAs) are created (manually or dynamically). To create an IPsec template, use the following steps:

1.
Enter a unique name for the template.
2.
Select an authentication type. See the item descriptions in the following table.
3.
Click Next.

NOTE:

The subsequent configuration pages depend on your authentication type selection (IKEv1 or manual keys).

Create IPsec Template page
Item
Description
IPsec Template Name
Custom IPsec template name. This name is added to the Specify IPsec Template page.
NOTE:

The IPsec template name must be unique.
Authentication Type
Select the authentication type. Hosts specified in the Address template must negotiate IPsec security settings during a session. During negotiation, authentication must occur to validate sender/receiver identities.
●
Internet Key Exchange Version 1 (IKEv1) (default) Use Internet key exchange (IKE) protocols for authentication and encryption and to create security associations.
●
Set IKE Defaults Select a default security profile for IKE operation. Several predefined profiles are provided. To configure a custom security profile, select the Specify Custom Profile option.
●
Preview IKE Defaults View the settings for a selected IKE default security profile.

If you select IKE v1 for authentication and a default security profile, click Next to display the Identity Authentication page.

●
Manual Keys Configure IPsec authentication/encryption protocols and keys manually. Click Next to display the IPsec Protocols page.

This section provides information about the following topics:

  • Identity Authentication


Identity Authentication

Identity Authentication

Use this page to choose an identity authentication method:

●
Pre-Shared Key
●
Certificates
●
Kerberos

Identity Authentication page items are described in the following table.

Identity Authentication page
Item
Description
Pre-Shared Key
Use a pre-shared key for authentication. Enter a pre-shared key (ASCII string) that is shared by all hosts specified by this rule. If used, it should be protected. Any host that knows this key can be authenticated.
Certificates
Use certificates for authentication. A self-signed HP Jetdirect certificate is pre-installed by factory default, which you can replace. In addition, you must install a CA certificate for server authentication.
●
Status Indicates whether a certificate is installed.
●
View Display the certificate data of an installed certificate..
●
Configure Manage or install a certificate.
For information on requesting, configuring and installing certificates, see Configure certificates.
Kerberos
Use Kerberos authentication.
The status is displayed (Configured or Not Configured).
To view data for a configured authentication, click View. To configure a new authentication, click Configure.

This section provides information about the following topics:

  • Kerberos
  • Kerberos Settings
  • IKEv1 Phase 1 (Authentication)
  • IKEv1 Phase 2 / Quick Mode (IPsec Protocols)
  • Advanced IKE Settings


Kerberos

Kerberos

You can configure the HP Jetdirect print server for Kerberos authentication manually, or by importing configuration files. Items on the Kerberos page are described in the following table.

Kerberos page
Item
Description
Manually Specify Configuration
Manually configure the print server for Kerberos authentication. Click Next to display the Kerberos Settings page.
Import Configuration Files
Configure the print server for Kerberos authentication by importing configuration files.
●
conf File Enter or browse to the krb5.conf file. In the libdefaults section, include the default_realm andclockskew tag entries. In the realms section, include the kdc tag entry.
●
keytab File Enter or browse to a Kerberos keytab file. Use the Ktpass.exe command-line tool (the version prior to Windows Server 2003 Support Pack 1) to generate the keytab file. Use the principal name type KRB5_NT_PRINCIPAL, and the encryption type DES-CBC-MD5.
●
Time Sync Period Specify the time interval (in minutes) that the HP Jetdirect print server requests to synchronize its clock with a simple network time protocol (SNTP) time server.
●
SNTP Server Specify the FQDN or IP address of an SNTP time server, if required. By default, the SNTP server is the server used as the key distribution center (KDC).
Click Next to return to the Identity Authentication page, and confirm that Kerberos status indicates that it is Configured.


Kerberos Settings

Kerberos Settings

Use the wizard to manually configure Kerberos account settings on the print server.

1.
Use the Kerberos Settings page to provide Kerberos account and configuration settings.
2.
Click Next to return to the Identity Authentication page, and confirm that Kerberos status indicates Configured.

Kerberos Settings page
Item
Description
KDC Server
FQDN of the domain controller used as the Kerberos KDC.
The FQDN consists of the device's host name and domain name. For example, kdc01.support.hp.com is a fully qualified domain name, where kdc01 is the host name and support.hp.com is the domain name.
Principal Realm
Kerberos principal realm in the form principal@REALM.
A unique principal name is associated with each Kerberos account. For the HP Jetdirect print server active directory account, the principal is the user name for the print server.
A Kerberos realm is similar in concept to a Windows domain and contains all the users, computers and services within a Kerberos installation. The realm is case-sensitive, and is typically the DNS domain name specified in all uppercase characters. For example, if the domain name is hp.com, the realm is HP.COM.
Password
Password for the HP Jetdirect account configured on active directory.
Encryption Type
Encryption type supported by the HP Jetdirect print server.
Key Version Number
Version number for the encryption keys associated with the principal and password.
Clock Skew
Clock skew is a measure of allowed differences between clocks during transactions. A Kerberos installation uses clocks that are reasonably synchronized. When the HP Jetdirect print server checks time stamps of incoming packets from clients, the clock skew specifies the time interval (in seconds) within which the HP Jetdirect print server accepts a packet. If the time interval is exceeded, the packet is discarded.
NOTE:

Timing differences between the HP Jetdirect print server and a domain controller depends on the clock skew configuration on the domain controller.

Time Sync Period
Time interval (in minutes) that the HP Jetdirect print server requests to synchronize its clock with an SNTP time server.
SNTP Server
FQDN or IP address of an SNTP time server, if required. By default, the SNTP server is the server used as the KDC.


IKEv1 Phase 1 (Authentication)

IKEv1 Phase 1 (Authentication)

Use IKE to create security associations dynamically. Configure SA parameters for authentication and to securely generate IPsec session keys for encryption and authentication algorithms. Items on this page are described in the following table.

IKE Phase 1 (Authentication) page
Item
Description
Negotiation Mode
(Required) IKE provides two modes of negotiation during an exchange for keys and security services to be used for a Security Association:
Main Uses identity protection between the hosts. This method is slower but secure.
Aggressive Uses half the message exchanges. It is faster, but less secure.
Cryptographic Parameters
(Required) Diffie-Hellman Groups Allows a secret key and security services to be securely exchanged between two hosts over an unprotected network. A Diffie-Hellman group determines the parameters to use during a Diffie-Hellman exchange. Multiple well-known Diffie-Hellman groups are listed. To change the entries in the list, click Edit. Selecting all the groups results in a single negotiated group.
Encryption and Authentication
(Required) Encryption methods and strengths, and the authentication methods to use.
Selecting all the methods results in a single negotiated method.
Security Association
(Required)


IKEv1 Phase 2 / Quick Mode (IPsec Protocols)

IKEv1 Phase 2 / Quick Mode (IPsec Protocols)

Items on this page are described in the following table.

IKEv1 Phase 2 / Quick Mode Settings (IPsec Protocols) page
Item
Description
Encapsulation Type
Specify how the selected IPsec protocols (ESP or AH) are encapsulated:
●
Transport (default) Protect only the user data in each IP packet. Do not protect the IP packet header.
●
Tunnel Protect all packet fields, including the header.
Cryptographic Parameters
Set the encryption methods and strengths, and the authentication methods used:
●
ESP IPsec encapsulating security payload (ESP) protocol for IP packets. ESP headers are inserted in packets to ensure privacy and integrity of packet contents. Select among the supported encryption methods and strengths and the authentication methods to use for data protection.
●
AH IPsec authentication header (AH) protocol for IP packets. AH headers are inserted in packets to protect integrity of packet contents through cryptographic checksums. Select among the supported authentication methods.
CAUTION:

IPsec AH might not function properly in environments that use network address translation (NAT).
NOTE:

You cannot use ESP authentication if AH is enabled. If you enable ESP and AH, you must select AH authentication methods.

Security Association
SA Lifetime Security association lifetime in seconds, the number of kilobytes (KB), or both. Within the limits specified, shorter lifetimes provide improved security depending on the frequency of SA use.
Set to zero (0) to disable.
Advanced IKE Settings
Configure advanced IKE settings.


Advanced IKE Settings

Advanced IKE Settings

The Advanced IKE Settings page contains the configuration settings described in the following table.

Advanced IKE Settings page
Item
Description
Replay Detection
Set the IPsec anti-replay algorithm. IPsec protocols support anti-replay services to prevent message interception for later use, such as attempting to gain access to resources.
Key Perfect Forward Secrecy (Session PFS)
Set session perfect forward secrecy (PFS) for key protection. When secret keys are periodically replaced, PFS indicates that the new keys are independently derived and unrelated to the prior keys. This can ensure that data protected by the new keys is secure. While PFS provides additional security, it requires additional processing overhead.
Diffie-Hellman Groups (For Session PFS only) Multiple well-known Diffie-Hellman groups that can be used are listed. To change the entries in the list, click Edit.
IKE Retries
Number of times to retry IKE protocols if a failure occurs. Enter a value from 0 to 20.
IKE Retransmit Interval
Time (in seconds) between successive IKE protocol retries if a failure occurs. Enter a value from 0 to 5.


IPsec Protocols (Manual Keys)

IPsec Protocols (Manual Keys)

Items on the IPsec Protocols page are described in the following table. To use manual keys for key negotiation, use the following steps:

1.
Specify IPsec protocol encryption and authentication methods to use for security associations (SA) in this rule. Configuration of manual keys depends on your selections.
2.
Click OK, and then configure the manual keys for this template.

IPsec Protocols (Manual Keys) page
Item
Description
Encapsulation Type
Specify how the selected IPsec protocols (ESP or AH) are encapsulated:
●
Transport (default): Only the user data in each IP packet is protected, the IP packet header is not protected.
●
Tunnel: All packet fields are protected, including the IP packet header.
Cryptographic Parameters
Set the encryption method/strength and the authentication methods used:
●
ESP IPsec encapsulating security payload (ESP) protocol for IP packets. ESP headers are inserted in packets to ensure privacy and integrity of packet contents. Select among the supported encryption methods/strengths and authentication methods to be used for data protection.
●
AH IPsec authentication header (AH) protocol for IP packets. AH headers are inserted in packets to protect integrity of packet contents through cryptographic checksums. Select among the supported authentication methods.
CAUTION:

IPsec AH might not function properly in environments that use network address translation (NAT).
NOTE:

For manual keys, you can select only one authentication method. You cannot use ESP authentication if AH is enabled. If you enable ESP and AH, you must select an AH authentication method.

This section provides information about the following topics:

  • Manual Keys


Manual Keys

Manual Keys

Items on the Manual Keys page are described in the following table. Use this page to configure encryption keys and Security Associations (SA) manually. Because the applicable hosts are also manually configured, authentication and dynamic key generation are not needed.

Manual Keys page
Item
Description
SPI Format
Use hexadecimal or decimal values to specify SPI values.
ESP SPI
(ESP SPI fields are listed if ESP is enabled on the IPsec Protocols page.) A 32-bit field in an ESP header used to identify the IPsec security association (SA).
In Value for an SA to use for packets received by the device.
Out Value for an SA to use for packets sent by the device.
AH SPI
(AH SPI fields are listed if AH is enabled on the IPsec Protocols page.) A 32-bit field in an authentication header used to identify the IPsec SA.
In Value for an SA to use for packets received by the device.
Out Value for an SA to use for packets sent by the device.
CAUTION:

IPsec AH might not function properly in environments that use network address translation (NAT).
Key Format
Specify authentication entries using hexadecimal values or ASCII characters.
Encryption
Specify encryption keys.
In Encryption keys for packets received by the device.
Out Encryption keys for packets sent by the device.
Authentication
Specify authentication keys. These must be the same for ESP and AH protocols if both are enabled.
In Authentication keys for packets received by the device.
Out Authentication keys for packets sent by the device.


Rule Summary

Rule Summary

This page provides summary information for the IPsec/Firewall rules created. To complete the procedure, use the following steps:

1.
Click Create Another Rule to define another IPsec/Firewall rule before returning to the IPsec/Firewall Policy page.
2.
Click Finish to add all the configured rules to the policy page.
3.
Indicate whether to enable the IPsec/Firewall policy, and whether to enable the Failsafe feature.


Configure Windows systems

Configure Windows systems

To configure IPsec on supported Windows systems, consult your system documentation, or search for IPsec on the Microsoft Web site.


Security features (V.38.xx)
Security features (V.38.xx)

Security features (V.38.xx)

The HP Jetdirect print server security features minimize unauthorized access to network parameters and other stored data. The features differ depending on the print server product and the firmware version, and are limited on value-featured print servers.

CAUTION:

Although the basic HP Jetdirect security features can protect sensitive data, no method can fully prevent unauthorized access.

For advanced security needs, contact HP Consulting services.

A summary of the basic security features provided by HP Jetdirect print servers are listed in the following table.

Summary of HP Jetdirect security features
Secure Embedded Web Server Management
●
Securely access the embedded Web server. A pre-installed, self-signed HP Jetdirect certificate provides HTTPS access to the embedded Web server from your Web browser.
●
Install a digital certificate issued by a trusted third party to configure the print server as a trusted site.
●
Configure security settings using the security configuration wizard.
●
Configure full-featured print servers with EAP/802.1X server-based authentication.
IPsec/Firewall
●
Control IP traffic using Firewall or IPsec policies. Use Firewall rules to allow or drop IP traffic based on IP addresses and services. Internet protocol security (IPsec) rules add the security benefits of authentication and encryption.
Network Protocol Control
●
Enable or disable network printing, printing services, device discovery, and management protocols on the HP Jetdirect print server. Prevent unauthorized access by disabling unused or unnecessary protocols.
●
Enable or disable protocols using Telnet (IPv4), embedded Web server, or HP Web Jetadmin (IPv4).
IP Administrator Password
●
Restrict access to HP Jetdirect configuration parameters by setting the administrator password. The password is required by Telnet (IPv4), HP Web Jetadmin (IPv4), and the embedded Web server.
●
Use up to 16 alphanumeric characters.
●
Set the password using TFTP (IPv4), Telnet (IPv4), embedded Web server services, or HP Web Jetadmin (IPv4).
●
Synchronize as the SNMP Set Community Name used in HP Web Jetadmin (IPv4) SNMP v1/v2c Set commands, if configured through the embedded Web server.
●
Cleared by cold reset of the print server to factory default settings.
IPv4 Access Control List
NOTE:

The Firewall feature provides improved security and can be used in place of the IPv4 ACL.

●
Specify up to 10 IPv4 host systems, or IPv4 networks of host systems, that are allowed access to the HP Jetdirect print server and the attached network device. (If the list is empty, then all hosts are allowed access.)
●
Access is generally limited to host systems specified in the list.
●
Host systems that use HTTP, such as the embedded Web server or IPP, are not checked against entries in the access list and are allowed access. However, you can disable HTTP host access using the embedded Web server.
●
Configured on the HP Jetdirect print server using TFTP (IPv4), Telnet (IPv4), embedded Web server, or SNMP (IPv4) management software.
Telnet Control
●
Telnet (IPv4) access is not secure. You can disable Telnet using the embedded Web server (see Embedded Web server (V.38.xx)).
Authentication and Encryption
Certificate management for X.509v3 digital certificates is provided through the embedded Web server, for both client-based and server-based authentication. A self-signed HP Jetdirect certificate is pre-installed, which can be replaced. On full-featured print servers, a CA certificate can also be installed.
IPv4/IPv6 SNMP v1/v2c Set Community Name (IP/IPX)
(SNMP v1/v2c only)
●
A password on the HP Jetdirect print server that allows incoming SNMP Set commands to write (or set) HP Jetdirect configuration parameters.
●
SNMP Set commands must contain the user-assigned community name, which is authenticated by the print server before the command is performed.
●
On IP networks, you can restrict authentication of SNMP Set commands to systems on the ACL.
●
Configured on the HP Jetdirect print server using TFTP (IPv4), Telnet (IPv4), embedded Web server, or Management application services.
●
SNMP v1/v2c uses plain text, which you can disable.
IPv4/IPv6 SNMP v3
(For full-featured print servers only)
●
SNMP v3 agent on the HP Jetdirect print server provides secure, encrypted communications with an SNMP v3 management application, such as HP Web Jetadmin.
●
Supports creation of an SNMP v3 account when it is enabled through the embedded Web server. The account information can be integrated on SNMP v3 management applications.
●
Supports seamless SNMP v3 account creation and management from HP Web Jetadmin.
HP Web Jetadmin (IPv4) Password and Profiles
●
Access control to HP Jetdirect configuration parameters through the HP Jetdirect IP administrator password, which you can configure from HP Web Jetadmin (IPv4), Telnet (IPv4), or the embedded Web server.
●
HP Web Jetadmin provides access control through user profiles, which allow password protection for individual profiles and controlled access to HP Jetdirect and printer features.
●
(For full-featured print servers only) You can use HP Web Jetadmin to enable the IPv4/IPv6 SNMP v3 agent on the print server, and create an SNMP v3 account for secure, encrypted management.
Printer Control Panel Lock
●
Selected HP printers provide a control panel lock that prevents access to HP Jetdirect print server configuration parameters. In many cases, management applications (such as HP Web Jetadmin) can remotely set the lock. To determine whether your printer supports a control panel lock, see your printer documentation.
Configuration Precedence Table
●
To control the configuration of various TCP/IP parameters using the different tools supported by the print server, a Configuration Methods precedence table is provided. Access the precedence table through the embedded Web server interface. By default, manual configuration methods have precedence over other methods (such as DHCP or TFTP). By changing the precedence order, the control of configuration parameters can be enhanced.

  • Limit access to security features


Limit access to security features

Limit access to security features

You can control access to HP Jetdirect configuration parameters using the available security features. Examples of various settings and associated levels of access control are provided in Settings for Access Control.

Settings for Access Control
Settings
Level of Access Control
●
Accessible using HTTP (embedded Web server), SNMP v1/v2c applications, or Telnet
●
Administrator password not set
●
Default SNMP v1/v2c community names
●
No authentication or encryption
●
Access control list empty or Firewall disabled.
Low
Best suited for trusted environments.
Any system can access the HP Jetdirect configuration parameters through the embedded Web server, Telnet, or SNMP management software. Passwords are not required.
●
Administrator password set
●
User-specified SNMP v1/v2 Set Community Name set
●
Access control list contains host entries and checks HTTP connections
●
Telnet and other non-secure protocols disabled.
Medium
Limited security for non-trusted environment.
If the Administrator password and SNMP v1/v2c Set Community Name are known, access is limited to:
●
Systems listed in the access control list
●
SNMP v1/v2c management applications
●
Unused protocols disabled
●
HTTPS access enabled using certificates issued by trusted sources
●
Full-featured HP Jetdirect print servers configured for EAP/802.1X server-based authentication and encryption
●
Full-featured HP Jetdirect print servers with SNMP v3 enabled, SNMP v1/v2c disabled
●
Telnet disabled
●
Passwords set
●
Access control list contains specified entries and checks HTTP connections
●
Printer control panel locked
●
IPsec/Firewall policy is enabled and configured
High
High security for non-trusted, professionally managed environments.
Access is controlled by IPsec. Encryption provides data privacy; network communication in plain text is not used.
CAUTION:

Configuration settings from a BootP/TFTP or DHCP/TFTP server can change when the print server is turned off and then on. Verify any settings that might change when the print server is turned off and then on.


Troubleshoot the HP Jetdirect print server
Troubleshoot the HP Jetdirect print server

Troubleshoot the HP Jetdirect print server

This chapter describes how to diagnose and correct problems associated with the HP Jetdirect print server.

A flowchart guides you to the correct procedures for troubleshooting the following:

●
Printer problems
●
HP Jetdirect hardware installation and connection problems
●
Network-related problems

To troubleshoot your HP Jetdirect print server, have the following items available:

●
HP Jetdirect configuration page (see HP Jetdirect configuration pages)
●
Printer configuration or diagnostic page
●
Documentation provided with your printer
●
Documentation provided with your HP Jetdirect print server
●
Diagnostics tools and utilities provided with your network software, such as Novell NetWare utilities, TCP/IP utilities, or network printer management applications, such as HP Web Jetadmin.
NOTE:

For frequently asked questions about installing and configuring HP Jetdirect print servers, search for your product at http://www.hp.com/support/net_printing.

  • Reset to factory defaults
  • Disable an HP Jetdirect embedded print server (V.38.xx)
  • General troubleshooting
  • Troubleshooting wireless print servers


Reset to factory defaults

Reset to factory defaults

Use the following procedures to reset parameters on the HP Jetdirect print server to factory default values.

CAUTION:

A cold reset clears all data from memory and resets all values to their factory defaults. Before proceeding, print an HP Jetdirect configuration page.

An HP Jetdirect X.509v3 certificate is saved after a cold reset. However, a CA certificate installed to validate a network authentication server is not saved.

A reset can affect user-specified printer settings.

Network clients can lose their connection to the printer.
●
HP Jetdirect External Print Servers

Hold down the Test button on the print server while connecting the power cord.

●
HP LaserJet Printer with Internal EIO Print Server

Use the appropriate procedure to perform a cold reset on the printer/MFP model. (In most cases this resets the HP Jetdirect internal print server.)

●
For older HP LaserJet printers, perform a cold reset by turning the printer off and then on again while pressing the Go, Start, or Pause/Resume button.
●
For recent HP LaserJet printers and MFPs, you can generally use the procedures described in Example: Cold reset using the service menu.
●
For other printers, or if you have questions about performing a cold reset, see your printer service manuals. Or, visit http://www.hp.com/support and search for document file bpj02300.html.
●
HP LaserJet Printers/MFPs with Embedded HP Jetdirect Print Server

HP Jetdirect embedded print servers can be reset to factory defaults when a cold-reset is performed on the printer.

NOTE:

The Restore Factory Settings menu item in the printer control panel menu does not reset the HP Jetdirect print server.

●
For recent LaserJet printers and MFPs, use the printer's Service menu accessed during the initial turn-on sequence. See Example: Cold reset using the service menu.
●
For other printers, see your printer service manuals.

This section provides information about the following topics:

  • Example: Cold reset using the service menu


Example: Cold reset using the service menu

Example: Cold reset using the service menu

To perform a cold reset on many recent HP LaserJet printers and MFPs, use the following steps:

1.
Turn the printer on and watch for the memory count to begin.
2.
Press and hold the Select Icon for Select button button (or the 6 button on MFPs with numeric keypads) until the three control panel lights (Ready, Data, Attention) blink and then remain on.
3.
Release the Select Icon for Select button button (or 6 button). The control panel displays Select Language.
4.
Press the down arrow Icon for scrolling down button (or 9 button) until Cold Reset appears.
5.
Press the Select Icon for Select button button (or 6 button) to perform a cold reset and then continue its turn-on sequence.


Disable an HP Jetdirect embedded print server (V.38.xx)

Disable an HP Jetdirect embedded print server (V.38.xx)

NOTE:

You can disable HP Jetdirect EIO and external print servers by disconnecting them from the printer/MFP.

You can disable an HP Jetdirect embedded print server by using the printer/MFP Service menu. This can help you isolate faults to either the printer or the print server. To disable the print serer, use the following steps:

1.
Turn the printer on and watch for the memory count to begin.
2.
Press and hold the Select Icon for Select button button (or the 6 button on MFPs with numeric keypads) until the three control panel lights (Ready, Data, Attention) blink and then remain on.
3.
Release the Select Icon for Select button button (or 6 button). The control panel displays Select.
4.
Press the down arrow Icon for scrolling down button (or 9 button) until Embedded LAN disable appears.
5.
Press the Select Icon for Select button button (or 6 button) to disable the embedded print server and then continue its turn-on sequence.
6.
Verify whether the printer/MFP properly completes its turn-on sequence.

To enable the embedded print server, use the same instructions except select Embedded LAN enable in step 4.


General troubleshooting

General troubleshooting

This section provides information about the following topics:

  • Troubleshooting chart - assess the problem
  • Procedure 1: Verify the printer is on and online
  • Procedure 2: Print an HP Jetdirect configuration page
  • Procedure 3: Resolve printer display error messages
  • Procedure 4: Resolve printer network communication problems


Troubleshooting chart - assess the problem

Troubleshooting chart - assess the problem

Assessing the Problem

    http://www.hp.com


Procedure 1: Verify the printer is on and online

Procedure 1: Verify the printer is on and online

To verify that the printer is ready to print, check the following items:

1.
Is the printer plugged in and turned on?

Make sure the printer is plugged in and turned on. If the problem persists, you might have a defective power cable, power source, or printer.

2.
Is the printer online?

The online Ready light should be lit. If not, press the appropriate buttons (for example, Start, Pause/Resume, or press Icon for Select button to access the menus) to place the printer online.

3.
For printers with a display, is the printer's control panel display blank? If not, verify the following:
●
Printer is turned on.
●
HP Jetdirect print server is installed correctly.
●
Printer is not in Power Save mode.
4.
Does a message other than READY appear on the printer control panel display?
●
See Procedure 3 in this section for a list of network-related error messages and corrective actions.
●
See your printer documentation for a complete list of control panel messages and corrective actions.


Procedure 2: Print an HP Jetdirect configuration page

Procedure 2: Print an HP Jetdirect configuration page

The HP Jetdirect configuration page is an important troubleshooting tool. This page lists the status of your network and the HP Jetdirect print server. Also, the ability to print a configuration page provides an indication that the printer is operating correctly. See HP Jetdirect configuration pages for information on the HP Jetdirect configuration page.

NOTE:

For a TCP/IP network, you can view the configuration page from a Web browser by accessing the HP Jetdirect embedded Web server. See Embedded Web server (V.38.xx) for more information.

If the configuration page does not print, check the following items:

1.
Did you perform the correct steps on the printer to print the configuration page?

The steps to print a configuration page vary between different printers and print servers. (See the documentation supplied with your print server.) The following are general instructions.

For EIO and embedded print servers, an HP Jetdirect page typically prints along with the printer configuration page. Use the printer control panel menus.

For external print servers, press the Test button on the print server.

2.
Is there a print job in process?

You cannot print an HP Jetdirect configuration page to the printer while a print job is in process. Wait until the print job is complete, then print the configuration page.

3.
Does an error message appear on the printer control panel display?
●
See Procedure 3 in this section for a list of network-related error messages and corrective actions.
●
See your printer documentation for a complete list of control panel messages and corrective actions.


Procedure 3: Resolve printer display error messages

Procedure 3: Resolve printer display error messages

To resolve network-related error messages that appear on the printer control panel display, use the following steps: This information assumes you have already printed a configuration page.

1.
For LaserJet printers or MFPs, are there Service Error messages, such as 49.XXXX, 79.XXXX or 8X.XXXX?
●
See your printer manuals to interpret the error message.
●
If you recently upgraded the HP Jetdirect firmware, turn the print server off and then on. For EIO and embedded HP Jetdirect print servers, turn the printer off and then on.
●
Verify all connectors are fully mated.
●
Print an HP Jetdirect configuration page and verify all configuration parameters. To interpret the configuration page messages, see HP Jetdirect configuration pages.
●
Disable the embedded HP Jetdirect print server operation, using the Service menu. If the error message disappears when the print server is disabled, it is likely that the print server or network is causing the error. Contact your service provider.
●
Record all error codes and contact your service provider. If warranty service is required, include all diagnostic and configuration pages.
2.
Does EIOX INITIALIZING/DO NOT POWER OFF appear on the display?

Wait for ten minutes to see if it clears. If not, you might need to contact your service provider.

3.
Does a 40 ERROR appear on the printer's control panel display?

The HP Jetdirect print server detected a break in the data communications. When this error occurs, the printer goes offline.

A break in communications can result from a disruption in the network connection or the server going down. If your printer has an Auto Continue feature that is disabled or off, press the appropriate key (Start or Pause/Resume, for example) on the printer after the communications problem is solved to place the printer back online. On some printers, turn on the Auto Continue feature to force the printer to reconnect without intervention. (This does not solve the disconnect problem.)

4.
Does an initializing (for example, INIT) message appear on the display?

This is a normal message. Wait about 3 minutes for the message to clear, or another message to appear. If another message appears, see the printer's documentation and configuration pages for additional information.

5.
Does a message other than READY or the messages listed in this section appear on the display?

See your printer documentation for a complete list of control panel messages and corrective actions.


Procedure 4: Resolve printer network communication problems

Procedure 4: Resolve printer network communication problems

To verify that the printer is communicating with the network, use the following steps: (This information assumes you have already printed an HP Jetdirect configuration page.)

1.
Are there any connection problems between the workstation or file server and the HP Jetdirect print server?

Verify network cabling, connections, and router configurations. Verify that network cable lengths meet network specifications.

For wireless print servers, verify that the wireless network parameters are set correctly.

2.
Are your network cables connected properly?

Verify that the printer is attached to the network through the appropriate HP Jetdirect print server port and cable. Check each cable connection to make sure it is secure and in the right place. If the problem continues, try a different cable or network port on the hub or switch.

3.
For 10/100/1000Base-T print servers, is auto-negotiation properly configured? For applicable HP Jetdirect print servers, auto-negotiation is configured through the HP Jetdirect menu, using the printer's control panel. Auto-negotiation is the factory default setting.

For proper operation, the link speed and communication mode on the print server must match the network.

Depending on the print server and printer/MFP device, indicator lights can identify the link speed used. If LEDs are used, verify that either the 10 Mbps, 100 Mbps, or 1000 Mbps link speed light is on. If all link indicators are off, then a proper link is not established.

The configuration page also contains the port configuration and auto-negotiation settings on the print server. Print and view the configuration page to verify proper settings.

4.
If the print server is connected to an 802.1X network, is it properly configured for EAP/802.1X operation?

The network must support the EAP method configured for use on the print server.

Verify the configuration of the network's 802.1X port. If it does not allow guest or temporary access, you might need to pre-configure the HP Jetdirect print server for 802.1X operation before connection to your network. Do this using an isolated LAN, or through a direct computer-to-printer connection using a cross-over cable.

5.
Have any software applications been added to the network?

Make sure the applications are compatible, installed correctly, and use the correct printer drivers.

6.
Can other users print?

The problem might be workstation-specific. Check the workstation network drivers, printer drivers, and redirection (capture in Novell NetWare).

7.
If other users can print, are they using the same network operating system?

Check your system for proper network operating system setup.

8.
Is your protocol enabled on the HP Jetdirect print server?

Check the status of the network protocols on the HP Jetdirect configuration page. See HP Jetdirect configuration pages for information on the configuration page. (On TCP/IP networks, you can also use the embedded Web server to check status of other protocols. See Embedded Web server (V.38.xx))

9.
Is there an error message in the protocol's section on the HP Jetdirect configuration page?

See HP Jetdirect configuration pages for a list of error messages.

10.
If you are on a TCP/IP network, can you use Telnet to print directly to the printer?

To print directly, use the following Telnet command:

telnet <IP address> <port>

In the example, <IP address> is the IPv4 address assigned to the HP Jetdirect print server and <port> is 9100, the default printing port of the print server.

In the Telnet session, type in data and press Enter. The data should print to the printer (a manual form feed might be required).

11.
Does the printer appear in HP Web Jetadmin or other management application?
●
Verify network and HP Jetdirect settings on the HP Jetdirect configuration page. See HP Jetdirect configuration pages for information on the configuration page.
●
Confirm the network settings for the printer using the printer control panel (for printers with control panels).
●
See the troubleshooting section in the online help included with the HP Web Jetadmin software.
12.
On supported systems, does the printer respond to HP Web Jetadmin?
●
Verify network and HP Jetdirect settings on the configuration page. See HP Jetdirect configuration pages for information on the configuration page.
●
Confirm the network settings for the printer using the printer control panel (for printers with control panels).
●
See the troubleshooting section in the online help included with the HP Web Jetadmin software.


Troubleshooting wireless print servers

Troubleshooting wireless print servers

This section provides information about the following topics:

  • Unable to communicate during initial setup
  • Unable to communicate after initial setup
  • My configured channel does not match the configuration page
  • Unable to use the HP Jetdirect install network printer wizard
  • Improving reception and performance
  • Firmware download failure


Unable to communicate during initial setup

Unable to communicate during initial setup

If you use wireless communications to set up the print server, verify the following:

●
Your wireless computer is configured to match the default wireless network settings on the HP Jetdirect print server:
❑
Communication Mode: Ad Hoc
❑
Network Name (SSID): hpsetup
❑
Encryption (WEP): <Disabled>
NOTE:

The network name (SSID) is case-sensitive. Be sure to specify “hpsetup” using lowercase characters.
●
The HP Jetdirect print server is turned on and operating properly (print the configuration page).
●
You are within range of the HP Jetdirect print server.
●
There are fewer than six devices total on the ad hoc network (with SSID “hpsetup”).
●
There is no access point in the vicinity that is configured with an SSID of “hpsetup”.
●
Multiple print servers are not being configured at the same time. If there are multiple print servers, turn all off except the one you want to configure.


Unable to communicate after initial setup

Unable to communicate after initial setup

If you have successfully configured the HP Jetdirect wireless print server with a network connection to your network, but your network computers are unable to communicate with the printer (including a ping command), try the following:

●
Print an HP Jetdirect configuration page and verify all configuration settings for your network. Common errors include incorrect entries for the following items:
❑
Communication Mode (Ad Hoc or Infrastructure)
❑
Network Name (SSID), which is case-sensitive
❑
Authentication method
❑
Encryption type, encryption key entries, or the specified transmit key
❑
IP address
❑
Basic service set identifier (BSSID), which distinguishes one wireless LAN from another even though they have the same SSID
●
Verify that the printer is within range of the network. See “Improving reception and performance” in this chapter.
●
Use a wireless PC and its utilities to confirm the signal strength at the printer's location. The detected signal strength should be similar for the print server, as indicated on the HP Jetdirect configuration page.


My configured channel does not match the configuration page

My configured channel does not match the configuration page

(Ad hoc mode only) The HP configuration tools allow you to select channel 10 or 11 (default) on the HP Jetdirect wireless print server. This channel is only used by the print server to broadcast its network name (SSID) when it fails to detect and join an existing wireless network. If it is able to join a network, it reconfigures its channel to the one used by the network.

The HP Jetdirect configuration page identifies the network channel actually being used on a network. It does not show the broadcast channel used when a network is not detected.


Unable to use the HP Jetdirect install network printer wizard

Unable to use the HP Jetdirect install network printer wizard

The wizard (Windows) is used to configure the HP Jetdirect wireless print server with wireless network connection settings to access your network.

If you are unable to use this wizard, try other configuration tools, which include:

●
The embedded Web server (see Embedded Web server (V.38.xx))
●
Telnet (see TCP/IP configuration)
NOTE:

The configurable parameters available through these optional tools might be limited.


Improving reception and performance

Improving reception and performance

Wireless LAN radio signals can penetrate many indoor structures and can reflect around obstacles. However, wireless communication range and performance depends on a variety of factors, including the number of users, the quality and physical placement of the wireless hardware, and the sources of radio signal interference. For example, microwave ovens and cordless telephones use similar frequencies that can interfere with wireless LAN signals. In general, the HP Jetdirect wireless print server's data transfer rates decrease with increasing distance, obstructions and interference.

This section provides information about the following topics:

  • Symptoms
  • Corrective actions


Symptoms

Symptoms

●
The signal strength is poor or marginal. See the HP Jetdirect configuration page or embedded Web server.
●
Print jobs are excessively slow.


Corrective actions

Corrective actions

●
Re-orient the printer or HP Jetdirect wireless print server. In general, having the print server pointed toward the access point or wireless PC improves reception and performance.
●
Reduce or remove sources of interference. Metallic objects can absorb or attenuate radio signals, and devices such as microwave ovens and cordless phones operate using similar radio frequencies.
●
Reduce the distance between the printer and the access point or wireless PC by doing any of the following:
❑
moving the printer
❑
moving the access point or wireless PC
❑
adding an additional access point (Infrastructure mode only)
●
Elevate the access point's antenna. In most office environments, elevating the access point's antenna improves the range and performance of all wireless devices.


Firmware download failure

Firmware download failure

As with other HP Jetdirect print servers, firmware upgrades can be downloaded using tools such as HP Download Manager (Windows), HP Web Jetadmin, or file transfer protocol (FTP).

If a firmware download failure occurs on an HP Jetdirect wireless print server, simply restart the download process and try again. If it is turned off and then on, the print server regains its previous configuration prior to the download failure.


HP Jetdirect configuration pages
HP Jetdirect configuration pages

HP Jetdirect configuration pages

The configuration pages are important tools for managing or troubleshooting HP Jetdirect print servers.

The standard configuration page provides identification information, such as the HP Jetdirect product, firmware version, and LAN hardware address, and status and configuration parameters of supported network protocols. Network statistics gathered by the print server are also provided. See HP Jetdirect configuration page.

For printers with an HP Jetdirect embedded print server installed, an HP Jetdirect configuration page automatically prints after a printer configuration page is printed. For instructions, see your printer manuals.

You can also view an HP Jetdirect configuration page over the network from a management utility, such as HP Web Jetadmin, or by accessing the embedded Web server on the HP Jetdirect print server. See Embedded Web server (V.38.xx).

If supported by the print server, a Security configuration page provides IPsec status along with general security settings. The Security configuration page is printed from the HP Jetdirect menu accessed through the printer control panel. See HP Jetdirect Security page.

You can print the HP Jetdirect configuration pages directly on the attached printer. The format of the pages depend on the following:

●
Printer model
●
HP Jetdirect product and firmware version
  • HP Jetdirect configuration page
  • HP Jetdirect Security page


HP Jetdirect configuration page

HP Jetdirect configuration page

The standard HP Jetdirect configuration page provides overall status and configuration settings on the print server.

This section provides information about the following topics:

  • Status field error messages
  • Configuration page format
  • Configuration page messages
  • Error messages


Status field error messages

Status field error messages

The HP Jetdirect configuration page contains several status fields for the print server and the supported protocols. One or more error codes and related error messages are displayed in a Status field. For information on each error message, see Error messages.


Configuration page format

Configuration page format

A typical HP Jetdirect configuration page is shown in Typical HP Jetdirect Configuration Page. The configuration page information provided depends on the print server model and firmware version.

Typical HP Jetdirect Configuration Page

Example of an HP Jetdirect Configuration Page.

The HP Jetdirect configuration page is divided into sections, as listed in the following table. Detailed parameter descriptions and settings for each section, including error messages, are provided in the remainder of this chapter.

Configuration Page Sections
Section Name
Description
HP Jetdirect Configuration or General Information
Identifies the HP Jetdirect print server and general status. See HP Jetdirect Configuration/General Information. For error messages, see Error messages.
802.11 Wireless
Provides current status of the wireless connection, and the current values of the wireless network parameters. See 802.11 Wireless settings. Error messages are included in the table.
USB Printer Information
(HP Jetdirect external print servers only.) Status of the USB connection to the printer. See USB Printer Information. For error messages, see Error messages.
Security Settings
Status of the configuration and access security parameters. See Security Settings.
You can also print an enhanced security page from the HP Jetdirect menu accessed through the printer control panel. See HP Jetdirect Security page.
Network Statistics
(HP Jetdirect wired print servers only.) Current values for various network parameters monitored by the HP Jetdirect print server. See Network Statistics.
TCP/IP
IPv4
IPv6
Current status and parameter values for TCP/IP network protocols.
For general information, see TCP/IP configuration information.
For IPv4, see IPv4 Section.
For IPv6, see IPv6 Section.
(For error messages, see Error messages.)
IPX/SPX
Current status and parameter values for the IPX/SPX network protocols. See IPX/SPX configuration information. For error messages, see Error messages.
Novell/NetWare
Status and parameter values for a Novell NetWare network. See Novell/NetWare configuration information. For error messages, see Error messages.
AppleTalk
(Ethernet Only) Status and parameter values for the AppleTalk network protocols. See AppleTalk configuration information. For error messages, see Error messages.
DLC/LLC
Status and parameter values for the DLC/LLC network protocols. See DLC/LLC configuration information. For error messages, see Error messages.


Configuration page messages

Configuration page messages

This section provides information about the following topics:

  • HP Jetdirect Configuration/General Information
  • USB printer information
  • 802.11 Wireless settings
  • Security Settings
  • Network Statistics
  • TCP/IP protocol information
  • IPX/SPX protocol information
  • Novell/NetWare parameters
  • AppleTalk protocol information
  • DLC/LLC protocol information


HP Jetdirect Configuration/General Information

HP Jetdirect Configuration/General Information

The following table provides general HP Jetdirect print server configuration information. For error messages, see Error messages.

HP Jetdirect Configuration/General Information
Message
Description
NETWORK CONNECTION TYPE
Specifies the type of network connection: Wireless or Wired.
STATUS
Current state of the HP Jetdirect print server.
I/O CARD READY, or READY Successfully connected to the network and is awaiting data.
I/O CARD INITIALIZING, or INITIALIZING Initializing the network protocols. For more information, see the status line for each protocol on the configuration page.
I/O CARD NOT READY, or ERROR Problem detected with the print server or its configuration.
An error code and message is displayed if the print server is not ready. For more information, see Error messages.
DATA RATE DETECTED
Specifies the network data rate depending on the type of network connection:
1–54 Mbps (Wireless 802.11g)
10 Mbs, 100 Mbps, 1000 Mbps (Wired Ethernet)
MODEL NUMBER
Product number of the HP Jetdirect print server (for example, J7961G)
LINK CONFIG
Specifies the active link communication mode:
802.11: Wireless 802.11g
10T HALF: 10 Mbps, half-duplex (wired port)
10T FULL: 10 Mbps, full-duplex (wired port)
100TX HALF: 100Mbps, half-duplex (wired port)
100TX FULL: 100Mbps, full-duplex (wired port)
HARDWARE ADDRESS
The 12-digit hexadecimal network hardware (MAC) address of the HP Jetdirect print server installed in the printer or device. This address is assigned by the manufacturer.
PORT SELECT
(Ethernet only) Specifies the port detected for use on the HP Jetdirect print server:
NONE: The print server is not connected to the network.
RJ-45: The RJ-45 network port is connected.
FIRMWARE VERSION
Firmware revision number of the HP Jetdirect print server currently installed in the printer.
LAA
Locally administered address (LAA) identifies the specified LAN hardware address of a print server, which is required by some network adiministrators. The default address is the print server's factory-default LAN hardware address.
MANUFACTURING ID
Manufacturing identification code for use by HP online support personnel.
S/N
HP Jetdirect serial number.
DATE MANUFACTURED
Manufacture date of the HP Jetdirect print server.


USB printer information

USB printer information

Information in this section applies to HP Jetdirect external print servers with USB printer connections only. USB information on the HP Jetdirect configuration page is described in the following table. For non-HP devices, some information might not be available.

USB Printer Information
Message
Description
Device Name
Name of the attached USB printing device, supplied by the manufacturer.
Manufacturer
Manufacturer of the attached printing device.
Serial Number
Manufacturer's serial number for the attached printing device.
Communication Mode
Current USB communication mode:
●
Composite USB Multiple interface (Composite USB) allows simultaneous print, scan, and status communications.
●
IEEE 1284.4 IEEE standard protocol for printers and multi-function (All-in-One) devices that allows multiple channels of simultaneous print, scan, and status communication.
●
MLC Multiple logical channels (HP proprietary) for printers and multi-function (All-in-One) devices that allows multiple channels of simultaneous print, scan, and status communication.
●
Bidirectional Two-way printer communication, sending print data to the printing device and returning status information from the printing device.
●
Unidirectional One-way communication to the printing device.
●
Device not found No connection detected. Check device and cable.
●
Device not supported Connected device is not a printer (for example, a camera).
USB SPEED
(USB 2.0 print servers only.) Auto-negotiated communication speed over the USB connection between the print server and the device.
Full Speed 12 Mbits/sec as specified in the USB v2.0 specifications, compatible with USB v1.1 specifications.
Hi-Speed 480 Mbits/sec for USB v2.0 devices only.
Disconnected USB port not connected.


802.11 Wireless settings

802.11 Wireless settings

Wireless status, configuration parameters and error messages are listed in 802.11 Wireless settings.

802.11 Wireless settings
Message
Description
Status
Current 802.11 wireless configuration status.
Ready: A wireless connection to the network is established.
●
Infrastructure Mode: Associated with an access point and authenticated on the network.
●
Ad Hoc Mode: Wireless communications established directly with other network devices (access points are not used in this mode).
Initializing: The print server is booting up, performing self-tests, and verifying internal communications.
Scanning: The print server is scanning for the specified network. The following status or error messages can display:
●
Infrastructure Mode: The print server is scanning on all channels for a network (access point) with the specified SSID.
●
Ad Hoc Mode: The print server is scanning on all channels for a network with the specified SSID, or has created a workgroup to which no one has joined.
Error: A wireless connection error has occurred that prevents association or authentication with an access point (infrastructure mode), or prevents a connection to an ad hoc network. The following status or error messages can display.
Status/Error Messages
●
NO SIGNAL DETECTED: (Infrastructure Mode only) The print server did not find an access point and did not detect a radio signal.
●
SCANNING FOR SSID: The print server is scanning on all channels for devices on the specified SSID. Check your specified SSID, or check the status of the access point (Infrastructure mode) or other wireless devices.

The print server continues to scan for the specified SSID.

●
AUTHENTICATION IN PROGRESS: Link-level authentication is in progress. In Infrastructure mode, server-based authentication might also be in progress.
●
AUTHENTICATION FAILED. The HP Jetdirect print server cannot access the network because of an authentication error. The error depends on the authentication method used. Verify the authentication method using the “Authentication Type” field.
●
ENCRYPTION REQUIRED: Encryption is required on this network, but encryption is not enabled on the HP Jetdirect print server. Verify encryption configuration.
Communication Mode
Wireless network topology configured on the HP Jetdirect print server:
Infrastructure: Wireless connection to an access point (gateway, bridge, base station) that receives and forwards network traffic between all network nodes.
Ad Hoc: A direct wireless peer-to-peer connection to all network nodes, without routing through an access point.
Network Name (SSID)
Name of the network (service set identifier) to which the print server is connected.
Signal Strength (1–5)
Strength of the radio signal received by the print server:
Level 1(Poor)
Levels 2 and 3 (Marginal)
Level 4 (Good)
Level 5 (Excellent)
No Signal: Level 0 (No radio signal detected on any channel)
<blank>: No radio signal detected while the print server is scanning.
Not Applicable: Signal strength is not applicable when the print server is in ad hoc mode.
Access Point / BSSID
Basic service set identifier (BSSID) is a 6-byte number that distinguishes one wireless LAN (WLAN) from another, even if they have the same network name (SSID).
Infrastructure Mode: The MAC address or name of the access point to which the HP Jetdirect wireless print server is connected.
Ad Hoc Mode: A random number or name generated by the initiator of the ad hoc network.
Channel
Radio frequency channel that the print server sensed and configured for communication on the network. Because it was automatically sensed from the network, this channel can be different than the user-configured channel, which is only used for broadcasts if the specified network/SSID is not found.
Channel number values 1 through14 might display. The allowed channels are country/region-dependent.
Encryption Type
Specifies the level of encryption configured on the HP Jetdirect print server.
No Security (Open System): Positive validation of a device's identification is not required for network access unless the network requires EAP authentication. An authentication failure can indicate that an EAP authentication server has rejected network access.
WEP: Each device on the network is configured with a shared secret WEP key which is required to gain access to the network. Authentication failures for the HP Jetdirect print server can arise if the installed key is faulty, or the wrong key is active, when multiple keys are configured and stored on the print server.
WPA: For enhanced security, Wi-Fi protected access using a pre-shared key is configuredd. The pre-shared key is generated by the print server through a user-specified network passphrase configured on the print server.


Security Settings

Security Settings

Information in this section of the HP Jetdirect configuration page is described in the following table.

Security Settings
Message
Description
802.1X
Indicates which EAP/802.1X client authentication setting was selected.
EAP-TLS Use EAP-TLS.
EAP-PEAP Use EAP-PEAP.
Specified An 802.1X authentication protocol other than EAP-TLS/EAP-PEAP was selected.
Not Specified No 802.1X authentication was selected.
IPsec
or
Firewall
If the print server and printer/MFP device supports IPsec, then IPsec appears. If IPsec is not supported, then Firewall appears.
Current IPsec/Firewall status.
Enabled IPsec/Firewall is enabled and operating as configured.
Disabled IPsec/Firewall is turned off.
Policy Failed Print server failed to implement the selected IPsec policy. You might need to reset security (control panel or embedded Web server), or perform a cold reset.
Admin Password
IP Administrator password is set on the print server. This password is shared by Telnet, the embedded Web server, and HP Web Jetadmin to control access to print server configuration parameters. (Consists of up to 16 alphanumeric characters.)
Not Specified Password not set.
Set Password is set.
Clear the password, using a cold reset.
Cert Expires
Expiration date of the digital certificate for SSL/TLS encrypted security. The date is in UTC format (for example, “2012-10-02 12:45 UTC”).
Not Applicable Digital certificate is not installed.
SNMP Versions
SNMP versions enabled on the print server.
Disabled All SNMP versions disabled. No SNMP access is allowed.
1;2 SNMP v.1 and SNMP v.2c supported. SNMP v.3 is disabled, or not supported.
1;2;3-na/np SNMP v.1, v.2c, and v.3 enabled. v.3 is enabled with the minimum security of no authentication (na) and no privacy (np).
1;2;3-a/np SNMP v.1, v.2c, and v.3 enabled. v.3 is enabled with the minimum security of authentication enabled (a) but no privacy (np).
1;2;3-a/p SNMP v.1, v.2c, and v.3 enabled. v.3 is enabled with the minimum security of authentication (a) with privacy (p) enabled.
3-na/np SNMP v.1 and v.2c disabled. SNMP v.3 is enabled with the minimum security of no authentication (na) and no privacy (np).
3-a/np SNMP v.1 and v.2c disabled. SNMP v.3 is enabled with the minimum security of authentication enabled (a) but no privacy (np).
3-a/p SNMP v.1 and v.2c disabled. SNMP v.3 is enabled with the minimum security of authentication (a) with privacy (p) enabled.
SNMP Set Cmty Name
SNMP set community name is configured on the HP Jetdirect print server. An SNMP set community name is a password for write access to SNMP control functions (SNMP SetRequests) on the HP Jetdirect print server.
Not Specified SNMP set community name is not set.
Specified User-specified SNMP set community is set.
SNMP Get Cmty Name
SNMP get community name is configured on the HP Jetdirect print server. This is a password to determine which SNMP GetRequests the HP Jetdirect print server responds to. If a Get community name is set, the print server responds to either a user specified community name or the factory-default.
Access List
(IPv4 only) Access control list is set on the HP Jetdirect print server. The list specifies the IP address of individual systems, or IP network of systems, that are allowed access to the print server and device.
Specified Host access list is set.
Not Specified Host access list is not set. All systems are allowed access.
Secure Web
Use encrypted communications between a browser and the HP Jetdirect embedded Web server.
Optional (HTTPS/HTTP) Allows un-encrypted communication using standard HTTP ports, as well as encrypted communications using HTTPS.
HTTPS Required Allow only encrypted communications on HTTPS.


Network Statistics

Network Statistics

Information in this section of the HP Jetdirect configuration page is described in Network Statistics.

Network Statistics
Message
Description
TOTAL PACKETS RECEIVED
Total number of frames (packets) received by the HP Jetdirect print server without error. Includes broadcast, multicast packets, and packets specifically addressed to the print server. Does not include packets specifically addressed to other nodes.
UNICAST PACKETS RECEIVED
Number of frames specifically addressed to this HP Jetdirect print server. Does not include broadcasts or multicasts.
BAD PACKETS RECEIVED
Total number of frames (packets) received with errors by the HP Jetdirect print server.
TOTAL PACKETS TRANSMITTED
Total number of frames (packets) transmitted without error.


TCP/IP protocol information

TCP/IP protocol information

Information in this section of the HP Jetdirect configuration page is described in the following table. For general TCP/IP configuration parameters, see TCP/IP configuration information. For IPv4 parameters, see IPv4 Section. For IPv6 parameters, see IPv6 Section. For error messages, see Error messages.

TCP/IP configuration information
Message
Description
IPv4
and
IPv6
Status of IPv4 and IPv6 protocols on the print server:
Enabled Protocol is active.
Disabled Protocol is inactive.
HOST NAME
Host name configured on the print server. It might be truncated.
Not Specified Host name not specified in a BOOTP response or TFTP configuration file.
NPIxxxxxx Default name is NPIxxxxxx, where xxxxxx represents the last six digits of the LAN hardware (MAC) address.
IPV4 DOMAIN NAME
DNS name of the IPv4 domain in which the HP Jetdirect print server resides (for example, support.company.com). This is not the fully qualified DNS name (for example, printer1.support.company.com) because the host printer name is not included.
Not Specified Domain name not configured on the print server.
IPV6 DOMAIN NAME
DNS name of the IPv6 domain in which the HP Jetdirect print server resides (for example, support.company.com). This is not the fully qualified DNS name (for example, printer1.support.company.com) because the host printer name is not included.
Not Specified Domain name not configured on the print server.
PRIMARY DNS SERVER
IPv4 address of the DNS server.
Not Specified Primary DNS server not configured on the print server.
SECONDARY DNS SERVER
IPv4 address of the DNS server.
Not Specified Secondary DNS server not configured on the print server.
DNS (IPV6)
IPv6 address of one or more DNS servers.
Not Specified IPv6 DNS server not configured on the print server.
WINS SERVER
IP address of the WINS server.
Not Specified WINS server's IP address not detected or configured.
IDLE TIMEOUT
Timeout value expressed in seconds after which the print server closes an idle TCP print data connection. Values are integers between 0 and 3600. A value of zero turns off the timeout mechanism. The default value is 270 seconds.

This section provides information about the following topics:

  • IPv4 section
  • IPv6 section


IPv4 section

IPv4 section

Items displayed under the IPv4 section of the configuration page are discussed in the following table.

IPv4 Section
Message
Description
STATUS
Current TCP/IPv4 status.
READY Print server is awaiting data over TCP/IP.
DISABLED TCP/IP is manually disabled.
INITIALIZING Print server is searching for the BOOTP server, or trying to get the configuration file through TFTP. An additional status message can also be displayed.
An error code and message is displayed if the print server is not ready. For more information, see Error messages.
IP ADDRESS
IPv4 address assigned to the HP Jetdirect print server. This is a required entry for operation of the print server on a TCP/IP network. During initialization, a temporary value 0.0.0.0 is displayed. After two minutes, a default IP address 169.254/16 or 192.0.0.192 is assigned.
Not Specified IP address is not assigned or the value is zero.
SUBNET MASK
IPv4 subnet mask configured on the HP Jetdirect print server. During initialization, a temporary value 0.0.0.0 is displayed. Depending on configuration parameters, the print server can automatically assign a usable default value.
Not Specified Subnet mask is not configured.
DEFAULT GATEWAY
IPv4 address of the gateway used when sending packets off the local network. Only one default gateway can be configured. During initialization, a temporary value 0.0.0.0 is displayed. If not provided, the IP address of the HP Jetdirect print server is used.
Not Specified Default gateway is not configured.
CONFIG BY:
Indicates how the HP Jetdirect print server obtained its IPv4 configuration:
BOOTP Automatic configuration through a BOOTP server.
BOOTP/TFTP Automatic configuration through a BOOTP server and TFTP configuration file.
DHCP Automatic configuration through a DHCP server.
DHCP/TFTP Automatic configuration through a DHCP server and TFTP configuration file.
RARP Automatic configuration through the RARP.
USER SPECIFIED Manual configuration through Telnet, the printer's control panel, HP Web Jetadmin, embedded Web server, or other method.
DEFAULT IP Default IP address was assigned. This address might not be a valid address for your network.
AUTO IP Link-local IP address (169.254.x.x) was assigned. If the network is a link-local network, this address should be valid.
NOT CONFIGURED Not configured with IP parameters. Verify that TCP/IP is enabled, or check for error status.
BOOTP SERVER
or
DHCP SERVER
or
RARP SERVER
Displayed if BOOTP, DHCP, or RARP is used for TCP/IP configuration. Specifies the IP address of the system that responds to the HP Jetdirect print server's request for automatic TCP/IP configuration over the network.
Not Specified Configuration server's IP address could not be determined or was set to zero in the response packet.
BOOTP/DHCP SERVER
Displayed during initialization while the HP Jetdirect print server attempts to obtain its TCP/IP configuration from a BOOTP or DHCP server. The temporary address displayed is 0.0.0.0.
TFTP SERVER
IP address of the system where the TFTP configuration file is located. During initialization, the temporary address 0.0.0.0 is displayed.
Not Specified TFTP server is not set.
WEB JETADMIN URL
If the HP Jetdirect print server is found on the network by HP Web Jetadmin, the URL of the host system used for HP Web Jetadmin services is displayed. The URL is limited to two lines and can be truncated.
Not Specified HP Web Jetadmin host system URL could not be identified or is not set.
BONJOUR SERVICE NAME
Name assigned to this device or service. This name is persistent and is used to resolve a particular device or service if socket information (such as the IP address) changes from session to session. Apple Bonjour displays this service. The default service name is the printer model and the LAN hardware (MAC) address.


IPv6 section

IPv6 section

The following table includes items displayed under the IPv6 section of the configuration page.

IPv6 Section
Message
Description
STATUS
Current TCP/IPv6 status.
READY Print server is awaiting data.
DISABLED Manually disabled.
INITIALIZING Searching for the BOOTP server, or trying to get the configuration file through TFTP. Additional status message might be displayed.
An error code and message is displayed if the print server is not ready. For more information, see Error messages.
LINK-LOCAL
IPv6 link local address configured on the print server.
Not Configured Address is not set.
STATELESS
IPv6 stateless addresses configured on the print server.
Not Configured Address is not set.
DHCPV6
IPv6 stateful address configured by a DHCPv6 server.
Not Configured Address is not set.
MANUAL
IPv6 address manually configured on the print server, using the printer control panel or the embedded Web server.
Not Configured Address is not set.


IPX/SPX protocol information

IPX/SPX protocol information

Information in this section of the HP Jetdirect configuration page is described in IPX/SPX configuration information. For error messages, see Error messages.

IPX/SPX configuration information
Message
Description
STATUS
Current IPX/SPX protocol status.
READY Print server is awaiting data.
DISABLED Manually disabled.
INITIALIZING Registering the node address or name. An additional status message might also displayed.
An error code and message is displayed if the print server is not ready. For more information, see Error messages.
PRIMARY FRAME TYPE
Frame type selection.
AUTO SELECT Automatically sense and limit to the first one detected.
EN_8023 Limit to IPX over IEEE 802.3 frames. All others are counted and discarded.
EN_II Limit to IPX over Ethernet frames. All others are counted and discarded.
EN_8022 Limit to IPX over IEEE 802.2 with IEEE 802.3 frames. All others are counted and discarded.
EN_SNAP Limit to IPX over SNAP with IEEE 802.3 frames. All others are counted and discarded.
NETWORK
FRAME TYPE
RCVD
Network column specifies the network number associated with a protocol frame type used for communication between a server and the HP Jetdirect print server. UNKNOWN Determining which network number to use.
Frame Type column identifies the frame type used with the associated network number: EN_8023, EN_8022, EN_II, EN_SNAP. Unless a specific frame type is manually set, the print server automatically determines the protocol frame type by listening to the network data. DISABLED Frame type for that network is manually configured.
RCVD column displays the packets received for each frame type.


Novell/NetWare parameters

Novell/NetWare parameters

Information in this section of the HP Jetdirect configuration page is described in Novell/NetWare configuration information. For error messages, see Error messages.

Novell/NetWare configuration information
Message
Description
STATUS
Current Novell NetWare configuration status.
READY Print server is awaiting data.
DISABLED Manually disabled.
INITIALIZING Registering the node address or name. Additional status messages might be displayed.
An error code and message is displayed if the print server is not ready. For more information, see Error messages.
NODE NAME
Queue Server Mode Print server name, which must match a valid print server on the appropriate NetWare file server. The default name is NPIXXXXXX, where XXXXXX is the last six digits of the LAN hardware (MAC) address.
Remote Printer Mode Network printer name. The default name is NPIXXXXXX.
NETWARE MODE
Mode used by the HP Jetdirect print server.
QUEUE SERVER Receives data directly from the queue.
REMOTE PRINTER Print server emulates a Novell NetWare remote printer. (The printer number normally follows this parameter.)
If the printer is not configured, this field displays QUEUE SERVER.
NDS TREE NAME
Name of the Novell Directory Services (NDS) tree for this printer. NDS is a database of objects on a NetWare network organized in a hierarchical tree structure.
Not Specified (or blank) NDS is disabled.
NDS CONTEXT
Fully qualified NDS name where the HP Jetdirect print server object resides in the NDS tree. For example:
CN=lj_pserver.OU=support.OU=mycity.OU=mycompany
Not Specified (or blank) NDS is disabled.
ATTACHED SERVER
HP Jetdirect discovery method [NSQ] (Nearest Service Query) or [GSQ] (General Service Query) and the name of the proxy file server used to locate the configured bindery servers.
Not Specified (or blank) A NetWare server is not configured.
SAP INTERVAL
Time interval in seconds that the print server waits between SAP broadcasts on the network. The default is 60 seconds.


AppleTalk protocol information

AppleTalk protocol information

Information in this section of the HP Jetdirect configuration page (Ethernet only) is described in AppleTalk configuration information. For error messages, see Error messages.

AppleTalk configuration information
Message
Description
STATUS
Current AppleTalk configuration status.
READY Print server is awaiting data.
DISABLED Manually disabled.
INITIALIZING Registering the node address or name. Additional status messages might be displayed.
An error code and message is displayed if the print server is not ready. For more information, see Error messages.
NAME
Printer name on the AppleTalk network. A number after the name signifies this is the Nth instance of this name.
ZONE
Name of the AppleTalk network zone on which the printer is located.
TYPE
Printer type advertised on the network. Two types can display.
NETWORK NUMBER
NODE NUMBER
NETWORK NUMBER Network number on which the HP Jetdirect print server is currently operating.
NODE NUMBER Node number that the print server chose for itself as part of its initialization sequence.
NOTE:

The AppleTalk phase 2 (P2) parameter is pre-configured on the HP Jetdirect print server.


DLC/LLC protocol information

DLC/LLC protocol information

Information in this section of the HP Jetdirect configuration page is described in DLC/LLC configuration information.

DLC/LLC configuration information
Message
Description
STATUS:
Current DLC/LLC protocol status.
READY Print server is awaiting data.
DISABLED Manually disabled.
INITIALIZING Registering the node address or name. Additional status messages might display.
An error code and message is displayed if the print server is not ready. For more information, see Error messages.


Error messages

Error messages

Error codes and messages that might appear in the Status sections of the HP Jetdirect configuration page are described in Error messages.

Error messages
Error Code and Message
Description
02 LAN ERROR - INTERNAL LOOPBACK
During self-test, an internal loopback test error was detected. The print server might be faulty. If the error persists, replace the HP Jetdirect print server.
03 LAN ERROR - EXTERNAL LOOPBACK
Print server is incorrectly connected to your network or is defective. Make sure it is correctly attached to your network by checking the cabling and connectors.
05 NO SIGNAL DETECTED
(802.11 Wireless, Infrastructure Mode only) The print server did not find an access point and did not detect a radio signal.
Check for sources of radio signal interference. If possible, elevate the print server or the external antenna (if applicable). Verify other wireless devices are turned on and located in wireless signal range of the print server.
06 ENCRYPTION REQUIRED
Encryption is required on this network, but the encryption settings are incorrect. Check the encryption settings.
07 LAN ERROR - CONTROLLER CHIP
Check the network connections. If they are intact, run the self-test by turning the printer off, and then on again. If the error persists, replace the HP Jetdirect print server.
07 AUTHENTICATION FAILED
Print server could not access the network because of an authentication error. The error depends on the authentication method used.
Verify the authentication method and settings.
08 LAN ERROR - INFINITE DEFERRAL
Network congestion problem.
08 AUTHENTICATION IN PROGRESS
Link-level authentication is in progress.
09 SCANNING FOR SSID
(802.11 Wireless) The print server is scanning on all channels for devices on the specified SSID (network name). Check your specified SSID, or check status of the access point (Infrastructure mode) or other wireless devices.
The print server continues to scan for the specified SSID.
09 LAN ERROR - BABBLE
Check the network connections. If the connections are intact, run the self-test by turning the printer off, and then on again. If the error persists, replace the print server.
0A LAN ERROR - NO SQE
(Ethernet) Check the network connections. If the connections are intact, run the self-test by turning the print server off, and then on again. If the error persists, replace the print server.
0C LAN ERROR - RECEIVER OFF
Check the cabling and connectors on your Ethernet network. If you cannot find a problem with your network cabling, run the self-test by turning the printer off, and then on again. If the error persists, there might be a problem with the HP Jetdirect print server.
0D LAN ERROR - TRANSMITTER OFF
Check the cabling and connectors on your Ethernet network. If you cannot find a problem with your network cabling, run the self-test by turning the printer off, and then on again. If the error persists, there might be a problem with the HP Jetdirect print server.
0E LAN ERROR - LOSS OF CARRIER
Check the network connections. If the connections are intact, run the self-test: turn the printer off, and then on again. If the error persists, replace the HP Jetdirect print server.
10 LAN ERROR - UNDERFLOW
(Ethernet) Check the cabling and connectors on your network. If you cannot find a problem with your network cabling, run the self-test by turning the printer off, and then on again. If the error persists, there might be a problem with the HP Jetdirect print server.
11 LAN ERROR - RETRY FAULTS
(Ethernet) There is a problem with your network cabling or external network configuration. Verify operation of the hub or switch port.
12 LAN ERROR - NO LINKBEAT
Using a wired Ethernet port, this message is displayed if a link beat is not sensed. Check the network cable, and verify that the concentrator/hub is providing a link beat.
13 NETWORK RECONFIG - MUST REBOOT
Reset or turn the print server off and then on to enable new configuration values.
14 DISCONNECTED
Novell NetWare protocol is disconnected. Check the server and the print server.
15 CONFIGURATION ERROR
(Ethernet) Configuration information for the NetWare functions is not stored correctly on the print server. Use the installation software, embedded Web server, or other tools to reconfigure the print server. If this error persists, there might be a problem with the HP Jetdirect print server.
16 NOT CONFIGURED
(Ethernet) Print server is not configured for NetWare. Use the installation software, embedded Web server, or other tools to configure the print server for NetWare networks.
17 UNABLE TO FIND SERVER
(Ethernet) HP Jetdirect print server is unable to find the NetWare print server (Remote Printer mode) or file server (Queue Server mode). (There was no response to service queries for advertising print servers or file servers that matched the configured print server or file server name.)
Verify that the print or file server is running and that the name configured on the HP Jetdirect print server matches the actual name used by the print or file server. Verify that all cables and routers are functioning correctly.
18 PASSWORD ERROR
Print server detected that the password for the NetWare print server object is incorrect. Use a NetWare utility (such as PCONSOLE) to erase the print server object password. A new password is set when the HP Jetdirect print server logs on again.
NOTE:

When multiple file servers are configured, the error is only displayed on the configuration page if none of the file servers are connected.

19 NO QUEUE ASSIGNED
The HP Jetdirect print server object is not assigned any queues to service. Assign queues to the print server object using printer installation or NetWare utilities.
NOTE:

When multiple file servers are configured, the error is displayed on the configuration page only if none of the file servers are successfully connected.

1A PRINTER NUMBER NOT DEFINED
A NetWare printer number for this printer has not been configured. Assign a valid printer number to the HP Jetdirect print server. Use a NetWare utility (such as PCONSOLE), the HP Jetdirect embedded Web server, or other tool to assign a printer number.
1B PRINTER NUMBER IN USE
Assigned NetWare printer number is already in use by another printer. Assign an unused printer number. Can also occur when a print server is turned off and then on. The error clears after the print server times out and detects the lost connection.
1C PRINT SERVER NOT DEFINED
File server does not contain a print server object that corresponds to the specified NetWare node name. Use printer installation software, a NetWare utility (such as PCONSOLE), or another tool to create the print server object.
When the HP Jetdirect print server is configured for multiple file servers, the error is displayed on the configuration page only if none of the file servers connected.
1D UNABLE TO CONNECT TO SERVER
Remote printer mode error. Print server is unable to establish an SPX connection with the NetWare print server. Verify the NetWare print server is running and that all cables and routers are functioning correctly.
1E FAIL RESERVING PRINTER NUM
The SPX connection to the print server was lost when the HP Jetdirect print server attempted to reserve the printer number. Can indicate a network or print server problem. Verify all cables and routers are functioning correctly. Try restarting the print server.
1F ERR NEGOTIATING BUFFER SIZE
Failure detected when selecting the buffer size to use when reading print data from the file server. Can indicate a network problem.
When the HP Jetdirect print server is configured for multiple file servers, the error is displayed on the configuration page only if none of the file servers successfully connected.
20 UNABLE TO LOGIN
Failure detected when the HP Jetdirect print server tried to log onto the file server. Can be caused if the print server object does not exist on the file server, or when a security check prevents the print server from logging in.
Verify the file server name and print server object name are correct. Use PCONSOLE to erase the print server object password, and create a new print server object.
When the HP Jetdirect print server is configured for multiple file servers, the error is only displayed on the configuration page if none of the file servers made the connection.
21 UNABLE TO SET PASSWORD
Failure detected when the print server tried to set the print server object password. (If the HP Jetdirect print server is able to log in without a password, it sets the password automatically.) Indicates a networking or security problem. Create a new print server object.
When multiple file servers are configured, the error is displayed on the configuration page only if none of the file servers successfully connected.
22 UNABLE TO CONNECT TO SERVER
Queue server mode error. Print server could not establish an NCP connection to the file server. Verify the correct file servers are connected.
When multiple file servers are configured, the error is only displayed on the configuration page if none of the file servers successfully connected.
23 UNABLE TO ATTACH TO QUEUE
Failure detected when the HP Jetdirect print server tried to attach to one of the queues assigned to the print server object. Can occur if no servers are allowed to attach to this queue, or if there is a networking or security problem. Use PCONSOLE to verify servers can attach to the queue, to delete the print server object from the list of queue servers (to have the the HP Jetdirect print server service other queues), or to delete the queue and create a new one (add the print server object to the list of queue servers).
When the HP Jetdirect print server is configured for multiple file servers, the error is only displayed on the configuration page if none of the file servers made the connection.
24 PSERVER CLOSED CONNECTION
The NetWare print server requested a termination of the connection with the HP Jetdirect print server. No error exists or is indicated. Verify the NetWare print server is running, and restart it if necessary.
25 DISCONNECTING - SPX TIMEOUT
The SPX connection to the print server was lost after the connection was made. Indicates a possible network or print server problem. Verify all cables and routers are functioning correctly. Restart the print server.
26 UNKNOWN NCP RETURN CODE
Print server encountered an unexpected fatal error after successfully connecting to the file server. A number of failures could produce this error message, including a downed file server or a network router failure.
27 UNEXPECTED PSERVER DATA RCVD
The HP Jetdirect print server received data without providing permission. Indicates a possible print server or software problem.
28 OUT OF BUFFERS
The HP Jetdirect print server cannot allocate a buffer from its internal memory. All buffers might be busy due to heavy broadcast traffic or large amounts of network traffic directed to the print server.
29 UNABLE TO SENSE NET NUMBER
The HP Jetdirect print server attempted to determine the NetWare protocol used on the network. (The server attempts for 3 minutes.) Verify that file servers and routers are operating correctly, and that the settings for NetWare frame type and source routing are correct.
2A NDS ERR: EXCEEDS MAX SERVERS
More queues are assigned than the HP Jetdirect print server can service. Remove one or more print queues from the list to be serviced by queue server mode.
2B NDS ERR: UNABLE TO LOGIN
Unable to log onto the NetWare directory tree. Verify the print server object is defined in the directory at the correct context. Clear the print server password using NWADMIN or similar NetWare tool.
2C NDS AUTHENTICATION ERROR
Unable to log onto the NetWare directory tree. Verify the print server object is defined in the directory at the correct context.
2D NDS ERR: CHANGE PSSWRD FAILED
Cannot change the print server password to the value expected by the HP Jetdirect print server.
2E NDS SERVER PUBLIC KEY ERROR
Print server object name mismatch. Unable to read the file server's public key. Verify object names, or contact the NDS administrator.
2F NDS ERR: SRVR NAME UNRESOLVD
Cannot locate the file server on the network. The server is not running or a communications problem exists.
30 NDS PRINT SERVER NAME ERROR
Cannot locate the HP Jetdirect print server object in the specified NDS context.
31 NDS PS PRINTER LIST ERROR
Cannot locate a list of printer objects assigned to the print server object.
32 NDS PRINTER OBJ NOTIFY ERR
Cannot locate the list of notification objects assigned to the printer object.
33 NDS PRINT OBJ QUEUE LIST ERR
Cannot locate the list of print queues assigned to the printer objects.
34 NDS ERR: UNRESOLVD PRNTR OBJ
Cannot locate the printer object in the NDS directory.
35 NDS ERR: INVALID SRVR VERS
Current version of the NetWare file server is not supported.
36 NDS ERR: NO PRINTER OBJECTS
No printer objects are assigned to the print server object configured to this HP Jetdirect print server.
37 NDS ERR: MAX PRINT OBJECTS
Too many printer objects assigned to the print server object. Using NetWare utilities (such as NWADMIN), reduce the number of printer objects assigned to the print server.
38 NDS ERR: NO QUEUE OBJECTS
No print queue objects assigned to the printer objects located in the NDS directory.
39 NDS ERR: MAX QUEUE OBJECTS
Too many print queue objects are assigned to the printer. Reduce the number of queues assigned.
3A NDS ERR: UNABLE TO FIND TREE
Cannot locate the NDS tree. Can occur when the file server is not running or when a network communications problem exists.
3B NDS CONNECTION STATE ERROR
Print server cannot change the NDS connection state. Check licenses on the spooling server.
3C NDS ERR: UNRESOLVED QUEUE
Cannot locate the print queue object in the specified NDS context.
3D NDS ERR: CANNOT READ Q HOST
Cannot locate the file server on the network. The server is not running or a communications problem exists.
3E NDS PRNT SRVR PUBLIC KEY ERR
Print server object name mismatch. Unable to read the print server's public key. Verify object names. Verify that the object key assigned to the HP Jetdirect print server is a print server object and not a printer or other object.
3F UNABLE TO GET NDS SRVR ADDR
Cannot locate or access the NDS server address.
40 ARP DUPLICATE IP ADDRESS
ARP layer detected another node on the network using the same IP address as the HP Jetdirect print server. Extended error information can show the hardware address of the other node.
41 NOVRAM ERROR
HP Jetdirect print server cannot read the contents of its NOVRAM.
42 INVALID IP ADDRESS
The specified IP address for the HP Jetdirect print server (through BOOTP) is invalid for a single node. Check your Bootptab file for proper entries.
43 INVALID SUBNET MASK
Specified IP subnet mask for the HP Jetdirect print server (through BOOTP) is invalid. Check your Bootptab file for proper entries.
44 INVALID GATEWAY ADDRESS
Specified default gateway IP address for the HP Jetdirect print server (through BOOTP) is an invalid for a single node. Check your Bootptab file for proper entries.
45 INVALID SYSLOG ADDRESS
Specified syslog server IP address for the HP Jetdirect print server (through BOOTP) is invalid for a single node. Check your Bootptab file for proper entries.
46 INVALID SERVER ADDRESS
The specified TFTP server IP address for the HP Jetdirect print server (through BOOTP) is invalid for a single node. Check your Bootptab file for proper entries.
47 INVALID TRAP DEST ADDRESS
One of the SNMP trap (Trap PDU) destination IP addresses for the HP Jetdirect print server (through TFTP) is invalid for a single node. Check your TFTP configuration file.
48 CF ERR - FILE INCOMPLETE
The TFTP configuration file contains an incomplete last line (does not end in a newline character).
49 CF ERR - LINE TOO LONG
A TFTP configuration file line is longer than the HP Jetdirect print server can accept.
4A CF ERR - UNKNOWN KEYWORD
A TFTP configuration file line contains an unknown keyword.
4B CF ERR - MISSING PARAMETER
A TFTP configuration file line is missing a required parameter.
4C CF ERR - INVALID PARAMETER
A TFTP configuration file line contains an invalid value for one of the parameters on that line.
4D CF ERR - ACCESS LIST EXCEEDED
TFTP configuration file specified too many access list entries that use the allow keyword.
4E CF ERR - TRAP LIST EXCEEDED
TFTP configuration file specifies too many trap destination list entries that use the trap-destination keyword.
4F TFTP REMOTE ERROR
TFTP transfer of the configuration file from the host to the HP Jetdirect print server failed. The remote host sent a TFTP error packet to the print server.
50 TFTP LOCAL ERROR
TFTP transfer of the configuration file from the host to the HP Jetdirect print server failed. The local print server encountered an inactivity timeout or excessive retransmission situation.
51 TFTP RETRIES EXCEEDED
Retry limit exceeded when transferring the TFTP configuration file from the host to the HP Jetdirect print server.
52 BAD BOOTP/DHCP REPLY
Error detected in the BOOTP or DHCP reply received by the HP Jetdirect print server. The reply contains insufficient data in the UDP datagram for the minimum BOOTP/DHCP header of 236 bytes, has an operation field that is not BOOTPREPLY(0X02), has a header field that does not match the print servers hardware address, or contains a UDP source port that is not the BOOTP/DHCP server port (67/udp).
53 BAD BOOTP TAG SIZE
Tag size in a vendor-specific field in the BOOTP reply is either 0, or greater than the remaining number of unprocessed bytes in the vendor-specified area.
54 BOOTP/RARP IN PROGRESS
Print server is obtaining its basic IP configuration information through BOOTP/RARP.
55 BOOTP/DHCP IN PROGRESS
HP Jetdirect print server is obtaining its basic IP configuration information through BOOTP/DHCP (no errors detected).
56 DHCP NAK
Print server received a negative acknowledgement message from the DHCP server in response to a configuration request.
57 UNABLE TO CONNECT DHCP SVR
The HP Jetdirect print server received IP parameters from a DHCP server, but communication with the server is lost. Check status of the DHCP server.
If an infinite lease is assigned, the print server uses the IP address of the most recent DHCP server. Operation can degrade until a DHCP server responds.
58 POSTSCRIPT MODE NOT SELECTED
Printer does not support AppleTalk or AppleTalk extensions.
59 INCOMPLETE F/W - MUST DOWNLOAD
Currently downloading firmware to the HP Jetdirect print server, or the download did not complete properly.
5A TURN PRINTER OFF / ON
Firmware download is complete. Turn the HP Jetdirect print server off and then on.
5C DHCP BAD REPLY
Bad reply received from the DHCP server. Check your DHCP server settings for this print server.
5D DHCP LEASE DURATION TOO SHORT
DHCP lease times for this print server's TCP/IP configuration settings are too short. Re-configure the DHCP lease times on the DHCP server.
5E DHCP LEASE RELEASED
Lease parameters for DHCP, including the IP address, were released through a manual configuration method, such as the printer's control panel.
5F WINS REGISTRATION FAILED
Cannot register the print server's name on the WINS server. Check for duplicate names, or verify the WINS server configuration.
61 AUTO IP CONFIGURED
Cannot retrieve an IP address over the network. The print server defaults to an IP address using link-local addressing in the form 169.254.x.x.
62 DEFAULT IP CONFIGURED
Cannot retrieve an IP address over the network. The print server defaults to a legacy IP address 192.0.0.192.
63 AUTO IP IN PROGRESS
The print server is automatically assigning an IP address using link-local addressing in the form 169.254.x.x.
64 INVALID PASSWORD
An invalid password was specified through TFTP. Verify that the password consists of a maximum of 16 printable characters.
65 DOWNLOAD NOT ALLOWED ON WIRELESS
This print server does not allow firmware upgrade over a wireless network connection.
83 DISCONNECTING FROM SERVER
Server shut down because of a configuration change or reset request. This message automatically clears after a few seconds, unless the printer is offline, is in an error state, or is servicing another I/O port or another network protocol.
84 DHCP LEASE TIMERS ADJUSTED
The print server detected a DHCP lease error due to one of the following conditions:
●
Renew time is less than 30 seconds.
●
Rebind time is less than 52 seconds.
●
Rebind time is less than, or equal to, the Renew time.
●
Lease duration is less than, or equal to, the Rebind time.
F1 TRYING TO CONNECT TO SERVER
The HP Jetdirect print server is attempting connection to the NetWare server(s). This is a normal message. Wait until the connection is established or another status message appears.
F2 TFTP IN PROGRESS
The print server is attempting to use TFTP to obtain TCP/IP configuration settings over the network.
F3 BOOTP/RARP IN PROGRESS
The print server is attempting to use BootP or RARP to obtain TCP/IP configuration settings over the network.
F4 BOOTP/DHCP IN PROGRESS
The print server is attempting to use BootP or DHCP to obtain TCP/IP configuration settings over the network.


HP Jetdirect Security page

HP Jetdirect Security page

If the HP Jetdirect print server supports IPsec, you can print an enhanced Security page from the HP Jetdirect menu that is accessed through the printer control panel. The following figure shows a typical Security page:

NOTE:

This section describes a typical security page. The actual security page content depends on the HP Jetdirect product and the firmware version.

To print the HP Jetdirect Security Page:

1.
On the printer control panel, navigate to the HP Jetdirect menus.
2.
In the HP Jetdirect menus, locate and select the Security menu item.
3.
In the Security menu, locate and select Print Sec Page . (This option is displayed only if IPsec is supported by the print server.)
4.
Click Yes to print the security page.

HP Jetdirect Security Page

Example of the HP Jetdirect Security Page.

The parameters in each section of the Security page are described in the following table.

This section provides information about the following topics:

  • Security settings
  • IPsec Error Log
  • Local IP addresses
  • IPsec Statistics
  • IKE Stats
  • IPsec Rules
  • IPsec Security Associations (SA) table
  • Available Network Services


Security settings

Security settings

This section of the Security page displays similar information to that provided by the standard HP Jetdirect configuration page. See the following table.

General Information
Message
Description
802.1X
EAP/802.1X client authentication setting to use.
EAP-TLS Use EAP-TLS.
EAP-PEAP Use EAP-PEAP.
Specified Use an 802.1X authentication protocol other than EAP-TLS/EAP-PEAP.
Not Specified No authentication specified.
IPsec
Current IPsec status.
Enabled Enabled and operating as configured.
Disabled Turned off.
Policy Failed Print server failed to implement the IPsec policy. You might need to reset security (using the control panel or embedded Web server), or perform a cold-reset of the print server.
Admin Password
IP Administrator password is configured on the print server. This password is shared by Telnet, the embedded Web server, and HP Web Jetadmin to control access to print server configuration parameters. (Consists of up to 16 alphanumeric characters.)
Not Specified Password is not set.
Set Password is set.
Clear the password using a cold reset.
Cert Expires
Expiration date of the digital certificate for SSL/TLS encrypted security. The date is in UTC format (for example, 2012-10-02 12:45 UTC).
Not Applicable Digital certificate is not installed.
SNMP Versions:
SNMP versions enabled on the print server.
Disabled All versions are disabled. No SNMP access is allowed.
1;2 SNMP v.1 and SNMP v.2c supported, and SNMP v.3 is disabled, or not supported.
1;2;3-na/np SNMP v.1, v.2c, and v.3 are enabled. v.3 is enabled with the minimum security of no authentication (na) and no privacy (np).
1;2;3-a/np SNMP v.1, v.2c, and v.3 are enabled. v.3 is enabled with the minimum security of authentication enabled (a) but no privacy (np).
1;2;3-a/p SNMP v.1, v.2c, and v.3 are enabled. v.3 is enabled with the minimum security of authentication (a) with privacy (p) enabled.
3-na/np SNMP v.1 and v.2c are disabled. SNMP v.3 is enabled with the minimum security of no authentication (na) and no privacy (n).
3-a/np SNMP v.1 and v.2c are disabled. SNMP v.3 is enabled with the minimum security of authentication enabled (a) but no privacy (np).
3-a/p SNMP v.1 and v.2c are disabled. SNMP v.3 is enabled with the minimum security of authentication (a) with privacy (p) enabled.
SNMP Set Cmty Name
SNMP set community name is set on the HP Jetdirect print server. An SNMP set community name is a password for write access to SNMP control functions (SNMP SetRequests) on the HP Jetdirect print server.
Not Specified Set community is not set.
Specified Set community is set.
SNMP Get Cmty Name
SNMP get community name is configured on the HP Jetdirect print server. This is a password to determine which SNMP GetRequests the HP Jetdirect print server responds to. If a Get community name is set, the print server responds to either a user specified community name or the factory-default.
Not Specified Get community is not set.
Specified Get community is set.
Access List
(IPv4 only) Access control list is configured on the HP Jetdirect print server. This list specifies the IP address of individual systems, or IP network of systems, that are allowed access to the print server and device.
Specified Host access list is configured.
Not Specified Host access list is not configured.
Secure Web
Use encrypted communications between a browser and the HP Jetdirect embedded Web server.
Optional (HTTPS/HTTP) Allows un-encrypted communication using standard HTTP ports, as well as encrypted communications using HTTPS.
HTTPS Required Allow only encrypted communications on HTTPS.


IPsec Error Log

IPsec Error Log

This section provides IPsec error messages contained in the following table.

IPsec Error Log
Message
Description
Deprecated Template
A Service template from a prior HP Jetdirect firmware version was detected. The template is in one of the following states:
●
Configured as a predefined template and available for use. However, it might not be valid. Upgrade the HP Jetdirect firmware to the most recent version.
●
Saved as a custom service template, which might have been replaced by a new predefined version available for use. Review your IPsec/Firewall policy and ensure the appropriate service templates are used.
Upgrade HP Jetdirect Firmware
You should upgrade the firmware version on your HP Jetdirect print server.


Local IP addresses

Local IP addresses

This section lists the IPv4 and IPv6 addresses configured on the print server.


IPsec Statistics

IPsec Statistics

IPsec statistics gathered and reported by the print server are described in the following table.

IPsec statistics
Message
Description
Fragmentation Errors
Number of fragmented packets that cannot be reassembled.
ESP MAC Errors
Number of encapsulating security payload (ESP) MAC errors. MAC is used to verify that the received message is the same as the one sent.
AH MAC Errors
Number of authentication header (AH) MAC errors. MAC is used to verify that the message received is the same as the one sent.
Replay Errors
Number of replay attacks, where unauthorized packets are resent.
Drop Rule
Number of dropped packets based on the IPsec rule (set to drop all non-IPsec traffic). Client notification of dropped packets is not provided.
Reject Rule
Number of rejected IPsec packets. Client notification of rejected packets is provided through ICMP error messages.
No Rule
Number of received packets for which an IPsec policy rule is not configured.
Generic Drops
Number of dropped packets that are not counted by other statistics.
ESP (Rx/Tx):
Total number of ESP packets received (Rx) and transmitted (Tx) by the print server.
AH (Rx/Tx)
Total number of AH packets received (Rx) and transmitted (Tx) by the print server.
Total (Rx/Tx)
Total number of all packets received (Rx) and transmitted (Tx) by the print server.


IKE Stats

IKE Stats

Internet key exchange (IKE) statistics for the print server are described in the following table.

IKE Statistics
Message
Description
Phase 1 Failures
Number of authentication failures that occur when the print server is establishing a connection over IPsec. These result in connection failures.
Quick Mode Failures
Number of post-authentication failures that occur during IPsec protocol configuration, which result in connection failures.
Rekeys
Number of times keys were regenerated. For example, this can occur after a key lifetime setting is exceeded and then regenerated.
IKE Connections OK (1/Q)
Number of successful IPsec connections for both Phase 1 and Quick Mode attempts, separated by a slash (Phase 1 count / Quick Mode count).


IPsec Rules

IPsec Rules

This section of the Security page identifies the IPsec policy of the print server. The IPsec policy consists of rules that control the security of the traffic received and transmitted by the print server. Rules are configured using an IPsec configuration wizard, which is accessed through the print server's embedded Web server. You can configure up to ten rules.

The heading of this section indicates the default rule for IPsec traffic (Def: Pass or Drop)

●
Pass Allow all non-IPsec traffic.
●
Drop Drop all non-IPsec traffic.

For each rule configured, the names of the IP address template, service template, and IPsec template that define the rule are displayed. For more information, see IPsec/Firewall configuration (V.38.xx).


IPsec Security Associations (SA) table

IPsec Security Associations (SA) table

The IPsec SA Table lists the security associations of cached IPsec sessions between two hosts. For active sessions, all detected security associations are listed in the table. If required, multiple pages print.

IPsec Security Associations
Message
Description
SA Pair number
An SA table entry pair number. Up to eight entries are displayed.
Protocol
Protocol used by the hosts: TCP, UDP, ICMP, IGMPv2
SRC
IP address of the host that initiates the IPsec traffic.
DST
IP address of the host that receives the IPsec traffic.
In
Out
Dropped
Number of IPsec packets received, transmitted, or dropped by the print server.


Available Network Services

Available Network Services

This section lists the well-known ports of HP Jetdirect services being accessed. A remote port is associated with a remote client application. A local port identifies a service and port number on the HP Jetdirect print server. A port is either secure or not secure, depending on the IPsec policy configuration.

For example, for LPD printing enabled with an IPsec rule, a local TCP, secure, port 515 might be listed. Port 515 is a well-known port for LPD services. If the print server is connected to a remote application's port 25, it might list remote TCP, unsecure, port 25 of the client.


LPD printing
LPD printing

LPD printing

The HP Jetdirect print server contains an LPD server module to support LPD printing. This chapter describes how to configure the HP Jetdirect print server for use with various systems that support LPD printing, and includes the following sections:

●
LPD on UNIX systems
●
Configuring BSD-based UNIX systems using LPD
●
Configuring print queues using the SAM utility (HP-UX systems)
●
LPD on Windows 2000/Server 2003 systems
●
LPD on Windows XP systems

NOTE:

For systems not listed, see your operating system documentation and online help.

Recent versions of Novell NetWare (NetWare 5.x with NDPS 2.1 or greater) support LPD printing. For setup instructions and support, see the supplied NetWare documentation. Also, see the Technical Information Documentation (TID) on Novell's support Web site.

  • About LPD
  • Requirements for configuring LPD
  • LPD setup overview
  • LPD on Windows XP systems


About LPD

About LPD

Line printer daemon (LPD) refers to the protocol and programs associated with line-printer spooling services that are typically installed on various TCP/IP systems.

Some of the systems in which the HP Jetdirect print server functionality supports LPD include:

●
Berkeley-based (BSD) UNIX systems
●
HP-UX
●
Solaris
●
IBM AIX
●
Linux
●
Windows 2000
●
Windows Server 2003

The UNIX configuration examples in this section show the syntax for BSD-based UNIX systems. The syntax for your system can vary. See your system documentation for the correct syntax.

NOTE:

Use LPD functionality with any host implementation that complies with the RFC 1179 document. The process for configuring printer spoolers, however, might differ. See your system documentation for information on configuring these systems.

The LPD programs and protocol include the following:

LPD programs and protocols
Program Name
Purpose of Program
lpr
Queue jobs for printing
lpq
Display print queues
lprm
Remove jobs from print queues
lpc
Control print queues
lpd
Scan and print the files if the specified printer is connected to the system
If the specified printer is connected to another system, this process forwards the files to an lpd process on the remote system where the files are to be printed.


Requirements for configuring LPD

Requirements for configuring LPD

Your printer must be properly connected to the network through the HP Jetdirect print server, and you must have print server status information. This information is listed on the HP Jetdirect printer configuration page. If you have not printed a configuration page from your printer, see your printer documentation for instructions. You must also have the following:

●
Operating system that supports LPD printing.
●
Superuser (root) or administrator access to your system.
●
LAN hardware address (or station address) of the print server. This address is displayed with print server status information on the HP Jetdirect configuration page and is of the form:

HARDWARE ADDRESS: xxxxxxxxxxxx

In this examle, x is a hexadecimal digit (for example, 0001E6123ABC).

●
IP address configured on the HP Jetdirect print server.


LPD setup overview

LPD setup overview

To configure the HP Jetdirect print server for LPD printing, complete the following:

1.
Set up IP parameters.
2.
Set up print queues.
3.
Print a test file.

The following sections provide detailed descriptions for each step.

This section provides information about the following topics:

  • Step 1. Set up IP parameters
  • Step 2. Set up print queues
  • Step 3. Print a test file
  • LPD on UNIX systems
  • LPD on Windows 2000/Server 2003 systems
  • Print from Windows clients


Step 1. Set up IP parameters

Step 1. Set up IP parameters

To set up IP parameters on the HP Jetdirect print server, see TCP/IP configuration.


Step 2. Set up print queues

Step 2. Set up print queues

Set up a print queue for each printer or printer personality (PCL or PostScript) you use on your system. Different queues are required for formatted and unformatted files. The following table lists the supported queue types and how the line HP Jetdirect printer daemon server processes each.

Supported queue types
raw, raw1, raw2, raw3
No processing. Treats the data in the queue as a print job already formatted in the PCL, PostScript, or HP-GL/2 and sends it to the printer without modification.
text, text1, text2, text3
Carriage return added. Treats data in the queue as unformatted or ASCII text, and adds a carriage return to each line before sending to the printer.
auto, auto1, auto2, auto3
Automatic. Uses auto-sensing to determine whether the print data is sent as raw or text.
binps, binps1, binps2, binps3
Binary PostScript. Instructs the PostScript interpreter that the print job is binary PostScript data.
<user-defined>
(Full-featured print servers only) Define pre and post-print data strings, which can include job control commands that are automatically added before or after the print job. You can set up print queues using Telnet or the embedded Web server.


Step 3. Print a test file

Step 3. Print a test file

Print a test file using the LPD commands. For instructions, see the information provided for your system.


LPD on UNIX systems

LPD on UNIX systems

This section provides information about the following topics:

  • Configure print queues for BSD-based systems
  • Use SAM to configure print queues (HP-UX systems)
  • Print a test file


Configure print queues for BSD-based systems

Configure print queues for BSD-based systems

Edit the /etc/printcap file to include the following entries:

Example of printcap file entries

In the example, short_printer_name identifies the printer to the user, node_name identifies the printer on the network, and remote_printer_name_argument is the print queue designation (such as text, raw, binps, auto, or user-defined).

For more information on printcap, see the printcap man page.

Example: Printcap entries for ASCII or text printers

Example of printcap file entries

Example: Printcap entries for postScript, PCL, or HP-GL/2 printers

Example of printcap file entries

If your printer does not support automatic switching between PostScript, PCL, and HP-GL/2 languages, use the printer's control panel (if available) to select the printer language or rely on the application to select the printer language via commands embedded in the print data.

Ensure users know the printer names, because they must enter the names on the command line when printing.

Create the spooling directory by entering the following at the root directory:

Example of printcap file entries

In the example, printer_name_1 and printer_name_2 see the printers to be spooled. You can spool several printers. The following example shows the command to create the spooling directories for printers used for text (or ASCII) printing and for PCL or PostScript printing.

Example: Create spooling directory for text and PCL/postScript printers

Example of printcap file entries.


Use SAM to configure print queues (HP-UX systems)

Use SAM to configure print queues (HP-UX systems)

On HP-UX systems, use the SAM utility to configure remote print queues for printing text files (ASCII) or raw files (PCL, PostScript, or other printer language).

Before you begin, select an IP address for the HP Jetdirect print server and add an entry for it in the /etc/hosts file on your HP-UX system.

1.
Start the SAM utility as the superuser.
2.
Select Peripheral Devices from the Main menu.
3.
Select Printers/Plotters from the Peripheral Devices menu.
4.
Select Printers/Plotters from the Printers/Plotters menu.
5.
Select Add a Remote Printer from the Actions list, then select a printer name.

Examples: my_printer or printer1
6.
Select a remote system name. In the following example, the node name (jetdirect1) of the HP Jetdirect print server is used:

Example: jetdirect1
7.
Select a remote printer name.

Type text for ASCII or raw for PostScript, PCL, or HP-GL/2.

Type auto to let the line printer daemon select automatically.

Type binps to instruct the PostScript interpreter to interpret the print job as binary PostScript data.

Type the name of a user-defined queue to include predefined strings before and/or after the print data (set up user-defined queues using Telnet or the embedded Web server).

8.
Check for a remote printer on a BSD system. You must type Y.
9.
Click OK at the bottom of the menu. If the configuration is successful, the program prints the message:

The printer has been added and is ready to accept print requests.
10.
Click OK and select Exit from the List menu.
11.
Select Exit Sam.

NOTE:

By default, the print scheduler (lpsched) is not running. Turn the scheduler on when you set up your print queues.


Print a test file

Print a test file

To verify that the printer and print server connections are correct, print a test file using the following steps:

1.
At the UNIX system prompt type:
lpr -Pprintername filename

In the example, printername is the designated printer and filename is the file to print.

Examples (for BSD-based systems):

Text File: lpr -Ptext1 textfile

PCL File: lpr -Praw1 pclfile.pcl

PostScript File: lpr -Praw1 psfile.ps

HP-GL/2 File: lpr -Praw1 hpglfile.hpg

For HP-UX systems, use lp -d instead of lpr -P.

2.
To display the print status, type the following at the UNIX prompt:
lpq -Pprintername

In the example, printername is the designated printer.

Examples (for BSD-based systems):

lpq -Ptext1 lpq -Praw1

For HP-UX systems, use lpstat instead of lpq -P.

This completes the process for configuring the HP Jetdirect print server to use LPD.


LPD on Windows 2000/Server 2003 systems

LPD on Windows 2000/Server 2003 systems

Use the information in this section to configure supported Windows networks to use the HP Jetdirect LPD services.

●
Install TCP/IP software (if required).
●
Configure a network LPD printer.

This section provides information about the following topics:

  • Install TCP/IP software
  • Configure a network printer for Windows 2000/Server 2003 systems
  • Verify the configuration


Install TCP/IP software

Install TCP/IP software

Use this procedure to verify whether you have TCP/IP installed on a supported Windows system and to install the software, if necessary.

NOTE:

You might need your Windows System distribution files or CD-ROMs to install TCP/IP components.

1.
To check whether you have Microsoft TCP/IP Printing protocol and TCP/IP printing support, complete the following:
●
Windows 2000/Server 2003—

Windows 2000 Click Start, Settings, Control Panel. Then, double-click the Network and Dial-up Connections folder. Double-click the Local Area Connection for your network and click Properties.

Server 2003 Click Start, All Programs, Accessories, Communications, and open the Network Connections folder. Double-click the Local Area Connection for your network and click Properties.

If Internet Protocol (TCP/IP) is listed and enabled in the list of components used by this connection, the necessary software is installed. Proceed to Configure a network printer for Windows 2000/Server 2003 systems. Otherwise, continue with step 2.

2.
If you have not previously installed the software:
●
Windows 2000/Server 2003—In the Local Area Connection Properties window, click Install. In the Select Network Component Type window, select Protocol and click Add to add the Internet Protocol (TCP/IP).

Follow the on-screen instructions.

3.
Enter TCP/IP configuration values for the computer:
●
Windows 2000/Server 2003—On the General tab in the Local Area Connection Properties window, select Internet Protocol (TCP/IP) and click Properties.

If you are configuring a Windows server, type the IP address, default gateway address, and subnet mask in the appropriate spaces.

If you are configuring a client, verify with your network administrator whether to enable automatic TCP/IP configuration or enter a static IP address, default gateway address, and subnet mask in the appropriate spaces.

4.
Click OK to exit.
5.
If prompted, exit Windows and restart your computer for the changes to take effect.


Configure a network printer for Windows 2000/Server 2003 systems

Configure a network printer for Windows 2000/Server 2003 systems

Set up the default printer by performing the following steps.

1.
Verify that the Print Services for Unix is installed (required for LPR port availability):
a.
On Windows 2000, click Start, Setup, and Control Panel. Double-click the Network and Dial-up Connections folder.

On Server 2003, click Start, All Programs, Accessories, Communications, and open the Network Connections folder.

b.
Click the Advanced menu and then select Optional Networking Components.
c.
Select and enable Other Network File and Print Services.
d.
Click Details, and verify that Print Services for Unix is enabled.
e.
Click OK, and then Next.
2.
On Windows 2000, open the Printers folder (click Start, Settings, and Printers).

On Server 2003, open the Printers and Faxes folder (click Start, Printers and Faxes).

3.
Double-click Add Printer. From the Add Printer wizard welcome screen, click Next.
4.
Select Local printer, and disable automatic detection for Plug and Play printer installation. Click Next.
5.
Choose Create a new port, and select LPR Port. Click Next.
6.
In the Add LPR compatible printer window:
a.
Enter the DNS name or IP address of the HP Jetdirect print server.
NOTE:

Some client applications might not support direct IPv6 address entry. However, name resolution might be available provided the appropriate IPv6 records are configured in DNS. If name resolution is supported, enter the print server's host name or an FQDN on these applications.

b.
For the name of the printer or print queue on the HP Jetdirect print server, enter (in lowercase) raw, text, auto, binps, or the name of a user-defined print queue (see Embedded Web server (V.38.xx)).
c.
Then click OK.
NOTE:

The HP Jetdirect print server treats text files as unformatted text or ASCII files. Raw files are formatted files in PCL, PostScript, or HP-GL/2 printer languages.

If the queue type is binps, the PostScript interpreter is instructed to interpret the print job as binary PostScript data.

7.
Select the Manufacturer and Printer model. (If necessary, click Have Disk and follow the instructions to install the printer driver.) Click Next.
8.
Choose to keep the existing driver, if prompted. Click Next.
9.
Enter a printer name, and choose whether this printer is the default printer. Click Next.
10.
Choose whether this printer is available to other computers. If shared, enter a share name that identifies the printer to other users. Click Next.
11.
If desired, enter a location and other information for this printer. Click Next.
12.
Choose whether to print a test page, and click Next.
13.
Click Finish to close the wizard.


Verify the configuration

Verify the configuration

In Windows, print a file from any application. If the file prints correctly, the configuration was successful.

If the print job is not successful, try printing directly from DOS using the following syntax:

lpr -S <ipaddress> -P<queuename> filename

In the example, <ipaddress> is the IP address of the print server, <queuename> is raw or text and filename is the file to print. If the file prints correctly, the configuration was successful. If the file does not print, or prints incorrectly, see Troubleshoot the HP Jetdirect print server.


Print from Windows clients

Print from Windows clients

If the LPD printer on the Windows server is shared, Windows clients can connect to the printer on the Windows server using the Windows Add Printer wizard in the Printers folder.


LPD on Windows XP systems

LPD on Windows XP systems

Use this section to configure Windows XP networks to use the HP Jetdirect LPD services.

The process consists of two parts:

●
Add Windows optional networking components
●
Configure a network LPD printer

This section provides information about the following topics:

  • Add Windows optional networking components
  • Configure a network LPD printer


Add Windows optional networking components

Add Windows optional networking components

1.
Click Start.
2.
Click Control Panel.
3.
Click Network and Internet Connections.
4.
Click the Network Connections icon.
5.
Select Advanced in the top menu bar. In the drop-down list, select Optional Networking Components.
6.
Select Other Network File and Print Services and click Next. (If you select Details before selecting Next, you see Print Services for UNIX (R) as a component of Other Network File and Print Services.) The files being loaded are shown.
7.
Close the Network Connections window. LPR port is now an option in the Properties of a printer under Ports, Add Port.


Configure a network LPD printer

Configure a network LPD printer

This section provides information about the following topics:

  • Add a new LPD printer
  • Create an LPR port for an installed printer


Add a new LPD printer

Add a new LPD printer

1.
Open the Printers folder (click Start, Printers and Faxes).
2.
Click Add Printer. On the Add Printer wizard welcome screen, click Next.
3.
Select Local printer, then uncheck the automatic detection for Plug and Play printer installation. Click Next.
4.
Select Create a new port, and then select LPR Port from the pull-down menu. Click Next.
5.
In the Add LPR Compatible Printer window, do the following:
a.
Type the DNS name or IP address of the HP Jetdirect print server.
NOTE:

Some client applications do not support direct IPv6 address entry. However, name resolution might be available, provided the appropriate IPv6 records are configured in DNS. If name resolution is supported, enter the print server's host name or an FQDN on these applications.

b.
Type (in lowercase) the name of the print queue for the HP Jetdirect print server (for example: raw, text, auto, or binps.)
c.
Click OK.
6.
Select the manufacturer and printer model. (If necessary, click Have Disk and follow the instructions to install the printer driver.) Click Next.
7.
Click Yes to keep the existing driver, if prompted. Click Next.
8.
Type a printer name and set this printer as the default (if desired). Click Next.
9.
Select whether to share this printer with other network computers (for example, if your system is a printer server). If shared, type a share name to identify the printer to other users. Click Next.
10.
If desired, enter a location and other information for this printer. Click Next.
11.
Click Yes to print a test page, then click Next.
12.
Click Finish to close the wizard.


Create an LPR port for an installed printer

Create an LPR port for an installed printer

1.
Click Start, Printers and Faxes.
2.
Right-click the Printer icon, and select Properties.
3.
Select the Ports tab and Add Port.
4.
Select LPR Port from the Printer Ports dialog box, and select New Port.
5.
In the field labeled Name or address of server providing lpd, enter the DNS name or IP address of the HP Jetdirect print server.
NOTE:

Some client applications do not support direct IPv6 address entry. However, name resolution might be available provided the appropriate IPv6 records are configured in DNS. If name resolution is supported, enter the print server's host name or an FQDN on these applications.

6.
In the dialog box labeled Name of printer or print queue on that server, type (in lowercase) the name of the print queue for the HP Jetdirect print server (for example: raw, text, auto, binps, or user-specified print queue).
7.
Select OK.
8.
Select Close and OK to close the Properties box.


FTP printing
FTP printing

FTP printing

FTP is a basic TCP/IP utility for transferring data between systems. FTP printing sends print files from a client system to an HP Jetdirect connected printer. In an FTP printing session, the client connects and sends a print file to the HP Jetdirect FTP server, which passes the print file to the printer.

You can enable or disable the HP Jetdirect FTP server using a configuration tool, such as Telnet (see TCP/IP configuration) or the embedded Web server (see Embedded Web server (V.38.xx)).

  • Requirements
  • Print files
  • Use FTP printing
  • Example FTP Session


Requirements

Requirements

FTP printing requires TCP/IPv4 client systems with FTP that complies with RFC 959.

NOTE:

For the most recent list of tested systems, visit HP online support at http://www.hp.com/support/net_printing.


Print files

Print files

The HP Jetdirect FTP server transfers print files to the printer but does not interpret them. Print files must be in a language recognized by the printer (such as PostScript, PCL, or unformatted text). For formatted print jobs, first print to a file from your application by using the driver for the selected printer, then transfer the print file to the printer through an FTP session. For formatted print files, use binary (image) type transfers.


Use FTP printing

Use FTP printing

This section provides information about the following topics:

  • FTP connections
  • FTP login
  • End the FTP session
  • Commands


FTP connections

FTP connections

FTP printing uses a TCP control connection and a data connection.

Once an FTP session is opened, it remains active until either the client closes the connection or the data and control connections are idle longer than the idle timeout period (default is 270 seconds). You can set the idle timeout using various TCP/IP configuration tools, such as BOOTP/TFTP, Telnet, the printer control panel (see TCP/IP configuration), the embedded Web server (see Embedded Web server (V.38.xx)), or management software.

This section provides information about the following topics:

  • Control connection
  • Data connection


Control connection

Control connection

Using standard FTP, the client opens a control connection to the HP Jetdirect FTP server. Control connections exchange commands between the client and the FTP server. The HP Jetdirect print server supports up to four simultaneous control connections (or FTP sessions). If the number is exceeded, a service not available message is displayed.

FTP control connections use TCP port 21.


Data connection

Data connection

A data connection is created each time a file is transferred between the client and the FTP server. The client controls the creation of a data connection by issuing the commands that require a data connection (such as FTP ls, dir or put commands).

Although the ls and dir commands are always accepted, the HP Jetdirect FTP server supports a single data connection for printing.

The transmission mode for an FTP data connection with the HP Jetdirect print server is always in stream mode, which marks the end-of-file by closing the data connection.

Once a data connection is established, the file transfer type (ASCII or binary) is specified. Clients attempt to auto-negotiate a transfer type. The default transfer type depends on the client system. For example, UNIX might default to binary. To specify the transfer type, enter the bin or ascii command at the FTP prompt.


FTP login

FTP login

To start an FTP session, enter the following command from an MS-DOS or UNIX command prompt:

ftp <ipaddress>

In the example, <ipaddress> is the valid IP address or node name configured for the HP Jetdirect print server.

FTP Login Example

Example of an FTP session login.

If the connection succeeds, a Ready message is displayed.

You are then prompted for a login name and password. The default is the client's login name. The HP Jetdirect FTP server allows any user name, and passwords are ignored.

If login is successful, a message 230 is displayed on the client system. In addition, the available HP Jetdirect printing ports are displayed. Supported HP Jetdirect print servers provide a single port (Port 1). For a typical FTP printing session, see Example FTP Session.


End the FTP session

End the FTP session

To end an FTP session, type quit or bye.

NOTE:

Before ending an FTP session, use a Ctrl C command to close the data connection.


Commands

Commands

The following table summarizes the available FTP printing session commands.

User commands for HP Jetdirect FTP server
Command
Description
user <Username>
<Username> specifies a user. Any user is accepted and can print to the selected port.
cd <port#>
Select a port number for printing. (On HP Jetdirect embedded print servers, only port1 is available.)
cd /
Change to the root directory / of the HP Jetdirect FTP server.
quit
Terminate the FTP session with the printer server.
bye
dir
Display the contents of the current directory. If entered in the root directory, a list of available printing ports is displayed.
ls
pwd
Display the current directory or the current HP Jetdirect printing port.
put <Filename>
File name (<Filename>) to send to the selected HP Jetdirect print server port (Port 1).
bin
Configure an FTP binary (image) file transfer.
ascii
Configure an FTP ASCII file transfer. HP Jetdirect print servers support only non-print format control for character transfers (standard values for spacing and margins are used).
Ctrl C
Abort the FTP service command and any transfer of data. The data connection is closed.
rhelp remotehelp
Display a list of FTP system commands supported by the print server. (Use rhelp on UNIX, or remotehelp on Windows 2000/Server 2003.) These are not user commands. User-accessible commands depend on the client's FTP system.


Example FTP Session

Example FTP Session

This is an example of a typical FTP printing session:

FTP Session Example

Example of an FTP session to print a file


HP Jetdirect control panel menus (V.38.xx)
HP Jetdirect control panel menus (V.38.xx)

HP Jetdirect control panel menus (V.38.xx)

The configuration menu for the HP Jetdirect EIO and embedded print servers is accessed from the printer's control panel. The steps to access this menu from the printer control panel depend on the printer. See the printer guide, or print a control panel menu map for more information.

The available HP Jetdirect menus depend on the type of control panel, either Graphical or Classic.

  • Graphical control panel menus
  • Classic control panel EIO menus


Graphical control panel menus

Graphical control panel menus

Newer printer/MFP devices support graphical control panels, which can consist of a numeric keypad, navigation buttons, and touch-screen displays.

For HP Jetdirect menus, graphical control panels typically display 18 characters on a line, and as many as four lines at a time. Scroll support allows display of additional lines.

NOTE:

These menus apply to printers/MFPs with an HP Jetdirect embedded print server, or that contain a EIO slot in which an HP Jetdirect EIO print server is installed. The displayed menu items depend on the features supported by the print server.

Example of Graphical Control Panel

Typical Graphical control panel interface.

HP Jetdirect EIO Menu on Graphical Control Panel
Menu item
Sub-menu item
Sub-menu item
Values and Description
TCP/IP
Enable
Off: Disable the TCP/IP protocol.
On (default): Enable the TCP/IP protocol.
Host Name
An alphanumeric string (up to 32 characters), identifying the device. The default is NPIxxxxxx, where xxxxxx is the last six digits of the LAN hardware (MAC) address.
IPv4 Settings
Config Method
How TCP/IPv4 parameters are configured on the HP Jetdirect print server.
BootP: Automatic configuration from a BootP server.
DHCP (default): Automatic configuration from a DHCPv4 server. If a DHCP lease exists, use the DHCP Release and DHCP Renew menus to set DHCP lease options.
Auto IP: Automatic link-local IPv4 addressing. An address in the form 169.254.x.x is assigned automatically.
Manual: Manually configure TCP/IP4, using the Manual Settings menu.
DHCP Release
Displays if Config Method is set to DHCP and a DHCP lease exists for the print server.
No (default): Current DHCP lease is saved.
Yes: Current DHCP lease and the leased IP address are released.
DHCP Renew
Displays if Config Method is set to DHCP and a DHCP lease exists for the print server.
No (default): Print server does not request to renew the DHCP lease.
Yes: Print server requests to renew the current DHCP lease.
Manual Settings
Available if Config Method is set to Manual. You can set the following from the printer control panel:
IP Address: Printer IP address.
Subnet Mask: Printer subnet mask.
Syslog Server: IP address of the syslog server used to receive and log syslog messages.
Default Gateway: IP address of the gateway or router used for communications with other networks.
Idle Timeout: Time, in seconds, after which an idle TCP print data connection is closed.
Default IP
Default IP address to use if the print server is unable to obtain an IP address from the network during a forced TCP/IP reconfiguration. (For example, when manually configured to use BootP or DHCP.)
Auto IP: Link-local IP address 169.254.x.x is set.
Legacy: 192.0.0.192 is set, consistent with older HP Jetdirect devices.
Primary DNS
IP address (n.n.n.n) of a primary DNS server.
NOTE:

Displays only if Manual configuration is a higher priority than DHCP in the Config Precedence table, when configured through the embedded Web server.

Secondary DNS
IP address (n.n.n.n) of a secondary DNS server.
NOTE:

Displays only if Manual configuration is a higher priority than DHCP in the Config Precedence table, when configured through the embedded Web server.

IPv6 Settings
Enable
IPv6 operation on the print server.
Off: Disable IPv6.
On (default): Enable IPv6.
Address
Manually configure an IPv6 address.
Manual Settings: Manually configure a TCP/ IPv6 address.
Enable: Enable (On) or disable (Off) manual configuration.
Address: IPv6 node address (32 hexadecimal digits).
DHCPv6 Policy
Router Specified: Router determines the stateful auto-configuration method used by the print server. The print server obtains its address, its configuration information, or both from a DHCPv6 server.
Router Unavailable: If a router is not available, the print server obtains its stateful configuration from a DHCPv6 server.
Always: Print server always attempts to obtain its stateful configuration from a DHCPv6 server.
Primary DNS
IPv6 address of the primary DNS server the print server uses.
NOTE:

Displays only if Manual configuration is a higher priority than DHCP in the Config Precedence table, when configured using the embedded Web server.

Secondary DNS
IPv6 address for a secondary DNS server that the print server uses.
NOTE:

Displays only if Manual configuration is a higher priority than DHCP in the Config Precedence table, when configured using the embedded Web server.

Proxy Server
Proxy server to use by embedded applications in the device. A proxy server is typically used by network clients for Internet access. The proxy server caches Web pages and provides a degree of Internet security.
Enter its IPv4 address or FQDN (up to 255 octets).
Contact your ISP for the proxy server address, when required.
Proxy Port
Port number used by the proxy server for client support. This port is reserved for proxy activity on your network, and can be a value from 0 to 65535.
IPX/SPX
Enable
Off: Disable the IPX/SPX protocol.
On: Enable the IPX/SPX protocol.
NOTE:

The factory default setting depends on the print server model.
Frame Type
Frame-type setting for your network.
Auto: Sense all types and configure the first one detected.
EN_8023, EN_II, EN_8022, and EN_SNAP: Frame-type selections for Ethernet networks
AppleTalk
Enable
Off: Disable the AppleTalk protocol.
On: Enable the AppleTalk protocol.
NOTE:

The factory default setting depends on the print server model.
DLC/LLC
Enable
Off: Disable the DLC/LLC protocol.
On: Enable the DLC/LLC protocol.
NOTE:

The factory default setting depends on the print server model.
Security
Print Sec Page
Yes: Print the current IPsec security settings.
No (default): Do not print the current settings..
NOTE:

Displays only if IPsec is supported on the print server.
Secure Web
Require encrypted communication between a browser and the HP Jetdirect embedded Web server.
HTTPS Required: Only HTTPS access is accepted. The print server appears as a secure site.
HTTP/HTTPS Optional: Access using either HTTP or HTTPS.
NOTE:

The factory default setting depends on the print server model.
IPsec or Firewall
Specify the IPsec or Firewall status on the print server.
Keep: Retain IPsec/Firewall configuration.
Disable: Disable IPsec/Firewall operation on the print server.
NOTE:

Displays IPsec if the print server supports both IPsec and Firewall. Displays Firewall if the print server does not support IPsec..

Reset Security
Reset security settings on the print server to factory defaults.
No (default): Retain current security settings.
Yes: Reset security settings to factory defaults.
802.1X
Reset 802.1X settings on the print server to factory defaults.
No (default): Retain current 802.1X settings.
Yes: Reset 802.1X settings to factory defaults.
Diagnostics
Embedded Tests
(HP Jetdirect embedded print servers only.) Diagnose network hardware or TCP/IP network connection problems.
Use an embedded test to check hardware and communication paths on the print server. After you select and enable a test and set the execution time, select Execute to initiate the test.
Depending on the execution time, a selected test runs continuously until either the device is turned off, or an error occurs and a diagnostic page is printed.
LAN HW Test
CAUTION:

Running this embedded test erases your TCP/IP configuration.
Performs an internal loopback test, which sends and receives packets only on the internal network hardware. There are no external transmissions.
Yes: Select this test.
No: Do not select this test.
HTTP Test
Check operation of HTTP by retrieving predefined pages from the device, and test the embedded Web server.
Yes: Select this test.
No: Do not select this test.
SNMP Test
Checks operation of SNMP communications by accessing predefined SNMP objects on the device.
Yes: Select this test.
No: Do not select this test.
Data Path Test
Identify data path and corruption problems on an HP postscript level 3 emulation device. Sends a predefined PS file to the device. However, the file does not print (paperless).
Yes: Select this test.
No: Do not select this test.
Select All Tests
Run all the embedded tests.
Yes: Run all tests.
No: Do not run all tests.
Execution Time [H]
Specify the length of time (in hours) that an embedded test runs, using a value from 1 to 60. If you select zero (0), the test runs indefinitely until an error occurs or the device is turned off.
Data gathered from the HTTP, SNMP, and Data Path tests is printed after the tests complete.
Execute
No (default): Do not run the selected tests.
Yes: Run the selected tests.
Ping Test
Test network communications. Sends link-level packets to a remote network host, then waits for an appropriate response.
Dest Type
Target device is an IPv4 or IPv6 node.
Dest IPv4
The IPv4 address.
Dest IPv6
The IPv6 address.
Packet Size
Size of each packet, in bytes, sent to the remote host. The minimum is 64 (default) and the maximum is 2048.
Timeout
Length of time, in seconds, to wait for a response from the remote host. The default is 1 and the maximum is 100.
Count
Number of ping test packets to send. Select a value from 1 to 100. Enter zero (0) to run the test continuously.
Print Results
Print the test results (if not running continuously).
Yes: Print the results.
No (default): Do not print the results.
Execute
Run the ping test.
No (default): Do not run the test.
Yes: Run the test
Ping Results
View the ping test status and results, using the control panel display.
Packets Sent
Number of packets (0 - 65535) sent to the remote host since the most recent test was initiated or completed.
Packets Received
Number of packets (0 - 65535) received from the remote host since the most recent test was initiated or completed.
Percent Lost
Percent of sent ping test packets without a response from the remote host since the most recent test was initiated or completed.
RTT Min
Minimum detected round trip time (RTT), from 0 to 4096 milliseconds, for packet transmission and response.
RTT Max
Shows the maximum detected round trip time (RTT), from 0 to 4096 milliseconds, for packet transmission and response.
RTT Average
Average RTT, from 0 to 4096 milliseconds, for packet transmission and response.
Ping in Progress
Yes a test is in progress. No a test completed or is not running.
Refresh
Update the ping test data with current results.
Yes: Update the data.
No: Maintain the existing data. (Automatically refreshes when the menu times out or you manually return to the main menu.)
Link Speed
Set the print server's link speed. The available settings depend on the device and installed print server. Select one of the following modes:
Auto (default): Use auto-negotiation to configure the highest link speed and communication mode allowed. If auto-negotiation fails, either 100TX HALF or 10TX HALF is set depending on the detected link speed of the hub/switch port. (A 1000T half-duplex selection is not supported.)
10T Half: 10 Mbps, half-duplex operation.
10T Full: 10 Mbps, full-duplex operation.
100TX Half: 100 Mbps, half-duplex operation.
100TX Full: 100 Mbps, full-duplex operation.
100TX Auto: Limits auto-negotiation to a maximum link speed of 100 Mbps on 1000T networks.
1000TX Full: 1000 Mbps, full-duplex operation.
CAUTION:

Changing the link setting can cause the loss of network communication with the print server.
Print Protocols
Print a page that lists the configuration of the following protocols: IPX/SPX, Novell NetWare, AppleTalk, DLC/LLC.


Classic control panel EIO menus

Classic control panel EIO menus

Classic control panels are provided on older devices that support HP Jetdirect EIO print servers only. Classic control panels typically display two lines of 16 characters each. Use the available device keys to display and select HP Jetdirect settings. Typically, an asterisk (*) identifies the selected value.

Example of Classic Control Panel

Typical Classic control panel interface.

HP Jetdirect EIO Menu on Classic Control Panel
Menu Item
Description
CFG NETWORK
Access the HP Jetdirect menu. You must set this to YES* each time you want to access the menu.
NO (default): Bypass the HP Jetdirect menu.
YES: Access the HP Jetdirect menu.
TCP/IP
IPX/SPX
DLC/LLC
ATALK
Enable the selected protocol stack.
ON: Enable the protocol.
OFF: Disable the protocol.
NOTE:

The factory default setting depends on the print server model. On HP Jetdirect 635n print servers, all network protocols except TCP/IP are disabled by default..

CFG TCP/IP
Access the TCP/IP menu and set TCP/IP protocol parameters.
NO (default): Bypass the TCP/IP menu.
YES: Access the TCP/IP menu.
●
BOOTP=YES* Enable IPv4 configuration by a BootP Server.
●
DHCP=YES* Enable IPv4 configuration by a DHCP Server.

If DHCP=YES* and the print server has a DHCP lease, you can configure the following DHCP settings:

●
RELEASE: Select whether to release (YES) or save (NO) the current lease.
●
RENEW: Select whether to renew (YES or NO) the lease.
●
AUTO IP=YES* Automatically assign a link-local IPv4 address in the form 169.254.x.x.

If you specify BOOTP=NO*, DHCP=NO* and AUTO IP=NO*, you can manually set the following TCP/IPv4 parameters from the control panel:

●
Each byte of the IPv4 address (IP)
●
Subnet Mask (SM)
●
Syslog Server (LG)
●
Default Gateway (GW)
●
Idle Timeout period (default is 270 seconds, 0 disables the timeout)
●
CFG DNS 1=YES* IPv4 address of a primary DNS server (one byte at a time).
●
CFG DNS 2=YES* IPv4 address of a secondary DNS server (one byte at a time).
●
IPV6 = YES* Enable IPv6 operation. Select NO to disable IPv6 operation.
●
POLICY=<option> Set one of the following IPv6 addressing policies:
●
RTR_AV: (default) Stateful auto-configuration method is determined by a router. The router specifies whether the print server obtains its address, configuration information, or both from a DHCPv6 server.
●
RTR_UN: Attempt to obtain stateful configuration from a DHCPv6 server (when a router is not available)..
●
ALWAYS: Always attempt to obtain its stateful configuration from a DHCPv6 server (whether or not a router is available).
●
MANUAL= KEEP/DISABLE Set the behavior of a manually configured IPv6 address detected on the print server.
●
KEEP (default): Maintain the address in an active state.
●
DISABLE: Maintain the address but in an inactive state.
Print an HP Jetdirect configuration page to verify your settings. (The print server can overwrite selected parameters with values that ensure proper operation.)
CFG IPX/SPX
Access the IPX/SPX menu and set protocol parameters.
NO (default): Bypass the menu.
YES: Access the menu.
Using this menu, you can specify the Frame Type parameter used on your network.
●
AUTO (default) Automatically set the frame type to the first detected.
●
For Ethernet cards, you can select EN_8023, EN_II, EN_8022, EN_SNAP.
WEB
Embedded Web server accepts communications using HTTPS (Secure HTTP) only, or both HTTP and HTTPS.
HTTPS: Accept only HTTPS (print server appears as a secure site).
HTTP/HTTPS: Accept either HTTP or HTTPS.
SECURITY
Reset current security settings to factory defaults.
KEEP (default): Retain current security settings.
RESET: Reset security settings to factory defaults.
IPSEC
or
FIREWALL
(Full featured print servers only) If the print server supports IPsec, IPSEC is displayed on the menu for both IPsec and Firewall status. If the print server does not support IPsec, Firewall is displayed. Specify the state of IPsec/Firewall on the print server.
Disable IPsec/Firewall.
KEEP (default): Retain IPsec/Firewall operation as configured.
DISABLE: Disable IPsec/Firewall operation.
802.1X
KEEP (default): Retain current 802.1X settings.
RESET: Reset 802.1X settings to factory defaults.
PRINT
Print a configuration page for the selected item.
PROTOCOLS: Print IPX/SPX, Novell NetWare, AppleTalk,or DLC/LLC configuration.
SECURITY: Print the current security settings.
CFG LINK
Manually configure the HP Jetdirect print server's network link.
NO (default): Bypass the link configuration menu.
YES: Access the link configuration menu.
Set the link speed and communication mode. These must match the network. The available settings depend on the print server model.
CAUTION:

Changing the link setting can cause the loss of network communication with the print server.
AUTO (default): Use auto-negotiation to set the highest link speed and communication mode allowed. If auto-negotiation fails, either 100TX HALF or 10TX HALF is set depending on the detected link speed of the hub/switch port. (A 1000T half-duplex selection is not supported.)
10T HALF: 10 Mbps, half-duplex operation.
10T FULL: 10 Mbps, Full-duplex operation.
100TX HALF: 100 Mbps, half-duplex operation.
100TX FULL: 100 Mbps, full-duplex operation.
100TX AUTO: Limits auto-negotiation to a maximum link speed of 100 Mbps.
1000 FULL: 1000 Mbps, full-duplex operation.


Open source licensing statements
Open source licensing statements

Open source licensing statements

  • gSOAP
  • OpenSSL


gSOAP

gSOAP

Part of the software embedded in, or supplied with, this product is gSOAP software. Portions created by gSOAP are Copyright © 2001-2004 Robert A. van Engelen, Genivia inc. All Rights Reserved.

THE SOFTWARE IN THIS PRODUCT WAS IN PART PROVIDED BY GENIVIA INC AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


OpenSSL

OpenSSL

This section provides information about the following topics:

  • OpenSSL license
  • Original SSLeay license


OpenSSL license

OpenSSL license

Copyright © 1998–2004 The OpenSSL Project. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1.
Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2.
Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
3.
All advertising materials mentioning features or use of this software must display the following acknowledgment:

“This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)”

4.
The names “OpenSSL Toolkit” and “OpenSSL Project” must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.
5.
Products derived from this software may not be called “OpenSSL” nor may “OpenSSL” appear in their names without prior written permission of the OpenSSL Project.
6.
Redistributions of any form whatsoever must retain the following acknowledgment:

“This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)”

THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT “AS IS” AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This product includes cryptographic software written by Eric Young (eay@cryptsoft.com). This product includes software written by Tim Hudson (tjh@cryptsoft.com).


Original SSLeay license

Original SSLeay license

Copyright © 1995–1998 Eric Young (eay@cryptsoft.com). All rights reserved.

This package is an SSL implementation written by Eric Young (eay@cryptsoft.com). The implementation was written so as to conform with Netscape's SSL.

This library is free for commercial and non-commercial use as long as the following conditions are adheared to. The following conditions apply to all code found in this distribution, be it the RC4, RSA, lhash, DES, etc., code; not just the SSL code. The SSL documentation included with this distribution is covered by the same copyright terms except that the holder is Tim Hudson (tjh@cryptsoft.com).

Copyright remains Eric Young's, and as such any Copyright notices in the code are not to be removed.

If this package is used in a product, Eric Young should be given attribution as the author of the parts of the library used.

This can be in the form of a textual message at program startup or in documentation (online or textual) provided with the package.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1.
Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer.
2.
Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
3.
All advertising materials mentioning features or use of this software must display the following acknowledgement:

“This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)”

The word ‘cryptographic’ can be left out if the routines from the library being used are not cryptographic related.

4.
If you include any Windows specific code (or a derivative thereof) from the apps directory (application code) you must include an acknowledgement:

“This product includes software written by Tim Hudson (tjh@cryptsoft.com)”

THIS SOFTWARE IS PROVIDED BY ERIC YOUNG “AS IS” AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The license and distribution terms for any publicly available version or derivative of this code cannot be changed, i.e., this code cannot simply be copied and put under another distribution license [including the GNU Public License.]


Using accessibility shortcut keys in the Help Viewer

Using accessibility shortcut keys in the Help Viewer

The following topics describe how you can navigate in this user guide.

  • Using F6 to switch between the Navigation and Topic Panes
  • Shortcut keys for the Help Viewer
  • Shortcut keys for the Contents tab
  • Shortcut keys for the Index tab
  • Shortcut keys for the Search tab
  • Shortcut keys for the Favorites tab

Notes

  • There are also shortcut menu commands that can be accessed through the keyboard.
  • Shortcut keys also work in secondary and pop-up windows.
  • Every time you use a shortcut key in the Navigation pane, you lose focus in the Topic pane. To return to the Topic pane, press F6.
  • The Match similar words check box on the Search tab will be selected if you used it for your last search.


Using the HTML Help Viewer

Using the HTML Help Viewer

The following topics provide information about navigating and using this HTML Help User Guide. For more information, click one of the following topics:

  • Getting more out of help
  • To find a help topic
  • To create a list of favorite help topics
  • To copy a help topic
  • To print the current help topic
  • To find topics using the toolbar buttons
  • Using the shortcut menu commands


Using F6 to switch between the Navigation and Topic Panes

You can quickly switch between the Navigation pane and the Topic pane by pressing F6 on the keyboard.


Shortcut keys for the Help Viewer

To close the Help Viewer. | Alt+F4
To switch between the Help Viewer and other open windows. | Alt+Tab
To display the Options menu. | Alt+O
To change Microsoft Internet Explorer settings. The Internet Options dialog box contains accessibility settings. To change these settings click the General tab, and then click Accessibility. | Alt+O, and then press I
To hide or show the Navigation pane. | Alt+O, and then press T
To print a topic. | Alt+O, and then press P. Or, right-click in the topic and click Print.
To move back to the previous topic. | Alt+Left Arrow, or Alt+O, and then press B
To move forward to the next topic (provided you have viewed it just previously). | Alt+Right Arrow, or Alt+O, and then press F
To turn on or off search highlighting. | Alt+O, and then press O
To refresh the topic that appears in the Topic pane (this is useful if you have linked to a Web page). | F5, or Alt+O, and then press R
To return to the home page (help authors can specify a home page for a help system). | Alt+O, and then press H
To stop the viewer from opening a page (this is also useful if you are linking to the Web and want to stop a page from downloading). | Alt+O, and then press S
To jump to a predetermined topic or Web page. The help author who builds a compiled help (.chm) file can add two links, on the Options menu, to important topics or Web pages. When you select a Jump command you go to one of those topics or Web pages. | Alt+O, and then press 1 or 2
To switch between the Navigation pane and the Topic pane. | F6
To scroll through a topic. | Up Arrow and Down Arrow, or Page Up and Page Down
To scroll through all the links in a topic or through all the options on a Navigation pane tab. | Tab


Shortcut keys for the Contents tab

To display the Contents tab. | Alt+C
To open and close a book or folder. | Plus Sign (+) and Minus Sign (-), or Left Arrow and Right Arrow
To select a topic. | Up Arrow and Down Arrow
To display the selected topic. | Enter


Shortcut keys for the Index tab

To display the Index tab. | Alt+N
To type a keyword to search for. | Alt+W, and then type the word
To select a keyword in the list. | Up Arrow and Down Arrow
To display the associated topic. | Alt+D


Shortcut keys for the Search tab

To display the Search tab. | Alt+S
To type a keyword to search for. | Alt+W, and then type the word
To start a search. | Alt+L
To select a topic in the results list. | Alt+T, and then Up Arrow and Down Arrow
To display the selected topic. | Alt+D
The following options are only available if full-text search is enabled.
To search for a keyword in the result list of a prior search. | Alt+U
To search for words similar to the keyword. For example, to find words like "running" and "runs" for the keyword "run." | Alt+M
To only search through topic titles. | Alt+R


Shortcut keys for the Favorites tab

To display the Favorites tab. | Alt+I
To add the currently displayed topic to the Favorites list. | Alt+A
To select a topic in the Favorites list. | Alt+P, and then Up Arrow and Down Arrow
To display the selected topic. | Alt+D
To remove the selected topic from the list. | Alt+R


Getting more out of help

Here are some tips on how to find more information when using the HTML Help Viewer:

  • To link to another topic, a Web page, a list of other topics, or a program, click the colored, underlined words.
  • To view topics that contain related information, click the words, "Related Topics," which may appear at the end of a topic, and then click the title of the topic you want.
  • To see if a word or phrase contained in a topic is in the index, select the word, and then press F1.
  • If you are viewing content from the Web in the Topic pane, you can click Stop or Refresh on the toolbar to interrupt a download or refresh a Web page.
  • If you use a particular help topic often, you can add it to your favorites list.
  • Right-click the Contents tab or Topic pane for shortcut menu commands


To find a help topic

In the Navigation pane, click one of the following tabs:

  • To browse through a table of contents, click the Contents tab. The table of contents is an expandable list of important topics.
  • To see a list of index entries, click the Index tab, and then type a word or scroll through the list. Topics are often indexed under more than one entry.
  • To locate every occurrence of a word or phrase that may be contained in a help file, click the Search tab, and then type the word.
Note Click the contents entry, index entry, or search results entry to display the corresponding topic.


To create a list of favorite help topics

  1. Locate the help topic you want to make a favorite topic.
  2. Click the Favorites tab, and then click Add.
Notes
  • To return to a favorite topic, click the Favorites tab, select the topic, and then click Display.
  • If you want to rename a topic, select the topic, and then type a new name in the Current topic box.
  • To remove a favorite topic, select the topic and then click Remove.


To copy a help topic

  1. In the Topic pane, right-click the topic you want to copy, and then click Select All.
  2. Right-click again, and then click Copy. This copies the topic to the Clipboard.
  3. Open the document you want to copy the topic to.
  4. Position your cursor where you want the information to appear.
  5. On the Edit menu, click Paste.
Note If you want to copy only part of a topic, select the text you want to copy, right-click, and then click Copy.


To print the current help topic

Right-click a topic, and then click Print.

Note If you print from the Contents tab (by right-clicking an entry, and then clicking Print) you will see options to print only the current topic, or the current topic and all subtopics.


To find topics using the toolbar buttons

There are five navigational buttons that can be located on the toolbar in the Help Viewer. You can click these buttons to find help topics:

  • Back displays the last topic you viewed.
  • Forward displays the next topic in a previously displayed sequence of topics.
  • Next displays the next topic listed in the table of contents.
  • Previous displays the previous topic listed in the table of contents.
  • Home displays the Home page topic for the help file you are viewing.
  • Refresh updates Web content that is currently displayed in the Topic pane.
  • Stop stops downloading file information. Click this button to stop a Web page from downloading.
Note The toolbar in your Help Viewer may not contain all of these navigational buttons.


Using the shortcut menu commands

There are several commands on the shortcut menu that you can use to display and customize information.

Command
Description
Right-click in the table of contents, and then click Open All.
Opens all books or folders in the table of contents. This command only works if the Contents tab is displayed.
Right-click in the table of contents, and then click Close All.
Closes all books or folders. This command only works if the Contents tab is displayed.
Right-click, and then click Print.
Prints the topic.

Note These commands can be accessed through the keyboard. You can click SHIFT+F10 to display the shortcut menu, and then click the appropriate shortcut keys. Or, you can enable Mousekeys. Use a Mousekey combination to display the shortcut menu, and then click the appropriate shortcut keys.